/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.controller.rencanakinerja;

import id.go.bpkp.ski.ejb.CrudEJB;
import id.go.bpkp.ski.entity.*;
import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;

/**
 *
 * @author phai
 */
@Named
@RequestScoped
public class RencanaKinerjaAddEditDeleteBean implements Serializable {

    @Inject
    private RencanaKinerjaBean rencanaKinerjaBean;
    @Inject
    private CrudEJB crudEJB;
    private Runit selectedUnitKerja;
    private Periode selectedPeriode;
    private RencanaKinerjaPegawai currentRencanaKinerjaPegawai;
    
    private List<Rpegawai> pegawais;

    @PostConstruct
    public void init() {
        System.err.println("=== INIT ===");
        selectedUnitKerja = rencanaKinerjaBean.getSelectedRunit();
        selectedPeriode = rencanaKinerjaBean.getSelectedPeriode();
        currentRencanaKinerjaPegawai = rencanaKinerjaBean.getSelectedRencanaKinerjaPegawai();
    }

    @PreDestroy
    public void destroy() {
        System.err.println("=== DESTROY ===");
        selectedUnitKerja=null;
        selectedPeriode=null;
        currentRencanaKinerjaPegawai = null;
    }
    
    public String delete(){
        System.err.println("delete");
        crudEJB.delete(RencanaKinerjaPegawai.class, currentRencanaKinerjaPegawai.getRencanaKinerjaPegawaiPk());
        return "/rencanakinerja/index?faces-redirect=true";
    }
    
}
