/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "EXPLAIN_DIAGNOSTIC")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "ExplainDiagnostic.findAll", query = "SELECT e FROM ExplainDiagnostic e"),
    @NamedQuery(name = "ExplainDiagnostic.findByExplainRequester", query = "SELECT e FROM ExplainDiagnostic e WHERE e.explainDiagnosticPK.explainRequester = :explainRequester"),
    @NamedQuery(name = "ExplainDiagnostic.findByExplainTime", query = "SELECT e FROM ExplainDiagnostic e WHERE e.explainDiagnosticPK.explainTime = :explainTime"),
    @NamedQuery(name = "ExplainDiagnostic.findBySourceName", query = "SELECT e FROM ExplainDiagnostic e WHERE e.explainDiagnosticPK.sourceName = :sourceName"),
    @NamedQuery(name = "ExplainDiagnostic.findBySourceSchema", query = "SELECT e FROM ExplainDiagnostic e WHERE e.explainDiagnosticPK.sourceSchema = :sourceSchema"),
    @NamedQuery(name = "ExplainDiagnostic.findBySourceVersion", query = "SELECT e FROM ExplainDiagnostic e WHERE e.explainDiagnosticPK.sourceVersion = :sourceVersion"),
    @NamedQuery(name = "ExplainDiagnostic.findByExplainLevel", query = "SELECT e FROM ExplainDiagnostic e WHERE e.explainDiagnosticPK.explainLevel = :explainLevel"),
    @NamedQuery(name = "ExplainDiagnostic.findByStmtno", query = "SELECT e FROM ExplainDiagnostic e WHERE e.explainDiagnosticPK.stmtno = :stmtno"),
    @NamedQuery(name = "ExplainDiagnostic.findBySectno", query = "SELECT e FROM ExplainDiagnostic e WHERE e.explainDiagnosticPK.sectno = :sectno"),
    @NamedQuery(name = "ExplainDiagnostic.findByDiagnosticId", query = "SELECT e FROM ExplainDiagnostic e WHERE e.explainDiagnosticPK.diagnosticId = :diagnosticId"),
    @NamedQuery(name = "ExplainDiagnostic.findByCode", query = "SELECT e FROM ExplainDiagnostic e WHERE e.code = :code")})
public class ExplainDiagnostic implements Serializable {
    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected ExplainDiagnosticPK explainDiagnosticPK;
    @Basic(optional = false)
    @NotNull
    @Column(name = "CODE")
    private int code;

    public ExplainDiagnostic() {
    }

    public ExplainDiagnostic(ExplainDiagnosticPK explainDiagnosticPK) {
        this.explainDiagnosticPK = explainDiagnosticPK;
    }

    public ExplainDiagnostic(ExplainDiagnosticPK explainDiagnosticPK, int code) {
        this.explainDiagnosticPK = explainDiagnosticPK;
        this.code = code;
    }

    public ExplainDiagnostic(String explainRequester, Date explainTime, String sourceName, String sourceSchema, String sourceVersion, char explainLevel, int stmtno, int sectno, int diagnosticId) {
        this.explainDiagnosticPK = new ExplainDiagnosticPK(explainRequester, explainTime, sourceName, sourceSchema, sourceVersion, explainLevel, stmtno, sectno, diagnosticId);
    }

    public ExplainDiagnosticPK getExplainDiagnosticPK() {
        return explainDiagnosticPK;
    }

    public void setExplainDiagnosticPK(ExplainDiagnosticPK explainDiagnosticPK) {
        this.explainDiagnosticPK = explainDiagnosticPK;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (explainDiagnosticPK != null ? explainDiagnosticPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ExplainDiagnostic)) {
            return false;
        }
        ExplainDiagnostic other = (ExplainDiagnostic) object;
        if ((this.explainDiagnosticPK == null && other.explainDiagnosticPK != null) || (this.explainDiagnosticPK != null && !this.explainDiagnosticPK.equals(other.explainDiagnosticPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.ExplainDiagnostic[ explainDiagnosticPK=" + explainDiagnosticPK + " ]";
    }
    
}
