/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "INDIKATOR_KINERJA")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "IndikatorKinerja.findAll", query = "SELECT i FROM IndikatorKinerja i"),
    @NamedQuery(name = "IndikatorKinerja.findByIndikatorKinerjaPk", query = "SELECT i FROM IndikatorKinerja i WHERE i.indikatorKinerjaPk = :indikatorKinerjaPk"),
    @NamedQuery(name = "IndikatorKinerja.findByIndikatorKinerjaNama", query = "SELECT i FROM IndikatorKinerja i WHERE i.indikatorKinerjaNama = :indikatorKinerjaNama"),
    @NamedQuery(name = "IndikatorKinerja.findByIndikatorKinerjaPerhitunganTarget", query = "SELECT i FROM IndikatorKinerja i WHERE i.indikatorKinerjaPerhitunganTarget = :indikatorKinerjaPerhitunganTarget"),
    @NamedQuery(name = "IndikatorKinerja.findByIndikatorKinerjaBobot", query = "SELECT i FROM IndikatorKinerja i WHERE i.indikatorKinerjaBobot = :indikatorKinerjaBobot")})
public class IndikatorKinerja implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "INDIKATOR_KINERJA_PK")
    private Long indikatorKinerjaPk;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 255)
    @Column(name = "INDIKATOR_KINERJA_NAMA")
    private String indikatorKinerjaNama;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 255)
    @Column(name = "INDIKATOR_KINERJA_PERHITUNGAN_TARGET")
    private String indikatorKinerjaPerhitunganTarget;
    @Basic(optional = false)
    @NotNull
    @Column(name = "INDIKATOR_KINERJA_BOBOT")
    private long indikatorKinerjaBobot;
    @JoinColumn(name = "SASARAN_FK", referencedColumnName = "SASARAN_PK")
    @ManyToOne(optional = false)
    private Sasaran sasaranFk;

    public IndikatorKinerja() {
    }

    public IndikatorKinerja(Long indikatorKinerjaPk) {
        this.indikatorKinerjaPk = indikatorKinerjaPk;
    }

    public IndikatorKinerja(Long indikatorKinerjaPk, String indikatorKinerjaNama, String indikatorKinerjaPerhitunganTarget, long indikatorKinerjaBobot) {
        this.indikatorKinerjaPk = indikatorKinerjaPk;
        this.indikatorKinerjaNama = indikatorKinerjaNama;
        this.indikatorKinerjaPerhitunganTarget = indikatorKinerjaPerhitunganTarget;
        this.indikatorKinerjaBobot = indikatorKinerjaBobot;
    }

    public Long getIndikatorKinerjaPk() {
        return indikatorKinerjaPk;
    }

    public void setIndikatorKinerjaPk(Long indikatorKinerjaPk) {
        this.indikatorKinerjaPk = indikatorKinerjaPk;
    }

    public String getIndikatorKinerjaNama() {
        return indikatorKinerjaNama;
    }

    public void setIndikatorKinerjaNama(String indikatorKinerjaNama) {
        this.indikatorKinerjaNama = indikatorKinerjaNama;
    }

    public String getIndikatorKinerjaPerhitunganTarget() {
        return indikatorKinerjaPerhitunganTarget;
    }

    public void setIndikatorKinerjaPerhitunganTarget(String indikatorKinerjaPerhitunganTarget) {
        this.indikatorKinerjaPerhitunganTarget = indikatorKinerjaPerhitunganTarget;
    }

    public long getIndikatorKinerjaBobot() {
        return indikatorKinerjaBobot;
    }

    public void setIndikatorKinerjaBobot(long indikatorKinerjaBobot) {
        this.indikatorKinerjaBobot = indikatorKinerjaBobot;
    }

    public Sasaran getSasaranFk() {
        return sasaranFk;
    }

    public void setSasaranFk(Sasaran sasaranFk) {
        this.sasaranFk = sasaranFk;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (indikatorKinerjaPk != null ? indikatorKinerjaPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof IndikatorKinerja)) {
            return false;
        }
        IndikatorKinerja other = (IndikatorKinerja) object;
        if ((this.indikatorKinerjaPk == null && other.indikatorKinerjaPk != null) || (this.indikatorKinerjaPk != null && !this.indikatorKinerjaPk.equals(other.indikatorKinerjaPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.IndikatorKinerja[ indikatorKinerjaPk=" + indikatorKinerjaPk + " ]";
    }
    
}
