/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "PERIODE")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Periode.findAll", query = "SELECT p FROM Periode p"),
    @NamedQuery(name = "Periode.findByPeriodePk", query = "SELECT p FROM Periode p WHERE p.periodePk = :periodePk"),
    @NamedQuery(name = "Periode.findByPeriodeTahun1", query = "SELECT p FROM Periode p WHERE p.periodeTahun1 = :periodeTahun1"),
    @NamedQuery(name = "Periode.findByPeriodeTahun2", query = "SELECT p FROM Periode p WHERE p.periodeTahun2 = :periodeTahun2"),
    @NamedQuery(name = "Periode.findByPeriodeTahun3", query = "SELECT p FROM Periode p WHERE p.periodeTahun3 = :periodeTahun3"),
    @NamedQuery(name = "Periode.findByPeriodeTahun4", query = "SELECT p FROM Periode p WHERE p.periodeTahun4 = :periodeTahun4")})
public class Periode implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "PERIODE_PK")
    private Long periodePk;
    @Basic(optional = false)
    @NotNull
    @Column(name = "PERIODE_TAHUN_1")
    private long periodeTahun1;
    @Basic(optional = false)
    @NotNull
    @Column(name = "PERIODE_TAHUN_2")
    private long periodeTahun2;
    @Basic(optional = false)
    @NotNull
    @Column(name = "PERIODE_TAHUN_3")
    private long periodeTahun3;
    @Basic(optional = false)
    @NotNull
    @Column(name = "PERIODE_TAHUN_4")
    private long periodeTahun4;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "periodeFk")
    private Collection<UnitKerjaPeriode> unitKerjaPeriodeCollection;

    public Periode() {
    }

    public Periode(Long periodePk) {
        this.periodePk = periodePk;
    }

    public Periode(Long periodePk, long periodeTahun1, long periodeTahun2, long periodeTahun3, long periodeTahun4) {
        this.periodePk = periodePk;
        this.periodeTahun1 = periodeTahun1;
        this.periodeTahun2 = periodeTahun2;
        this.periodeTahun3 = periodeTahun3;
        this.periodeTahun4 = periodeTahun4;
    }

    public Long getPeriodePk() {
        return periodePk;
    }

    public void setPeriodePk(Long periodePk) {
        this.periodePk = periodePk;
    }

    public long getPeriodeTahun1() {
        return periodeTahun1;
    }

    public void setPeriodeTahun1(long periodeTahun1) {
        this.periodeTahun1 = periodeTahun1;
    }

    public long getPeriodeTahun2() {
        return periodeTahun2;
    }

    public void setPeriodeTahun2(long periodeTahun2) {
        this.periodeTahun2 = periodeTahun2;
    }

    public long getPeriodeTahun3() {
        return periodeTahun3;
    }

    public void setPeriodeTahun3(long periodeTahun3) {
        this.periodeTahun3 = periodeTahun3;
    }

    public long getPeriodeTahun4() {
        return periodeTahun4;
    }

    public void setPeriodeTahun4(long periodeTahun4) {
        this.periodeTahun4 = periodeTahun4;
    }

    @XmlTransient
    public Collection<UnitKerjaPeriode> getUnitKerjaPeriodeCollection() {
        return unitKerjaPeriodeCollection;
    }

    public void setUnitKerjaPeriodeCollection(Collection<UnitKerjaPeriode> unitKerjaPeriodeCollection) {
        this.unitKerjaPeriodeCollection = unitKerjaPeriodeCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (periodePk != null ? periodePk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Periode)) {
            return false;
        }
        Periode other = (Periode) object;
        if ((this.periodePk == null && other.periodePk != null) || (this.periodePk != null && !this.periodePk.equals(other.periodePk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Periode[ periodePk=" + periodePk + " ]";
    }
    
}
