/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RARAHAN_KA_BPKP")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RarahanKaBpkp.findAll", query = "SELECT r FROM RarahanKaBpkp r"),
    @NamedQuery(name = "RarahanKaBpkp.findByRarahanKaBpkpPk", query = "SELECT r FROM RarahanKaBpkp r WHERE r.rarahanKaBpkpPk = :rarahanKaBpkpPk"),
    @NamedQuery(name = "RarahanKaBpkp.findByArahanKaBpkpCode", query = "SELECT r FROM RarahanKaBpkp r WHERE r.arahanKaBpkpCode = :arahanKaBpkpCode"),
    @NamedQuery(name = "RarahanKaBpkp.findByArahanKaBpkpName", query = "SELECT r FROM RarahanKaBpkp r WHERE r.arahanKaBpkpName = :arahanKaBpkpName")})
public class RarahanKaBpkp implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RARAHAN_KA_BPKP_PK")
    private Integer rarahanKaBpkpPk;
    @Size(max = 30)
    @Column(name = "ARAHAN_KA_BPKP_CODE")
    private String arahanKaBpkpCode;
    @Size(max = 250)
    @Column(name = "ARAHAN_KA_BPKP_NAME")
    private String arahanKaBpkpName;

    public RarahanKaBpkp() {
    }

    public RarahanKaBpkp(Integer rarahanKaBpkpPk) {
        this.rarahanKaBpkpPk = rarahanKaBpkpPk;
    }

    public Integer getRarahanKaBpkpPk() {
        return rarahanKaBpkpPk;
    }

    public void setRarahanKaBpkpPk(Integer rarahanKaBpkpPk) {
        this.rarahanKaBpkpPk = rarahanKaBpkpPk;
    }

    public String getArahanKaBpkpCode() {
        return arahanKaBpkpCode;
    }

    public void setArahanKaBpkpCode(String arahanKaBpkpCode) {
        this.arahanKaBpkpCode = arahanKaBpkpCode;
    }

    public String getArahanKaBpkpName() {
        return arahanKaBpkpName;
    }

    public void setArahanKaBpkpName(String arahanKaBpkpName) {
        this.arahanKaBpkpName = arahanKaBpkpName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rarahanKaBpkpPk != null ? rarahanKaBpkpPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RarahanKaBpkp)) {
            return false;
        }
        RarahanKaBpkp other = (RarahanKaBpkp) object;
        if ((this.rarahanKaBpkpPk == null && other.rarahanKaBpkpPk != null) || (this.rarahanKaBpkpPk != null && !this.rarahanKaBpkpPk.equals(other.rarahanKaBpkpPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RarahanKaBpkp[ rarahanKaBpkpPk=" + rarahanKaBpkpPk + " ]";
    }
    
}
