/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RGROUP_KEGIATAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RgroupKegiatan.findAll", query = "SELECT r FROM RgroupKegiatan r"),
    @NamedQuery(name = "RgroupKegiatan.findByRgroupKegiatanPk", query = "SELECT r FROM RgroupKegiatan r WHERE r.rgroupKegiatanPk = :rgroupKegiatanPk"),
    @NamedQuery(name = "RgroupKegiatan.findByGroupKegiatanCode", query = "SELECT r FROM RgroupKegiatan r WHERE r.groupKegiatanCode = :groupKegiatanCode"),
    @NamedQuery(name = "RgroupKegiatan.findByGroupKegiatanName", query = "SELECT r FROM RgroupKegiatan r WHERE r.groupKegiatanName = :groupKegiatanName"),
    @NamedQuery(name = "RgroupKegiatan.findByGroupKegiatanType", query = "SELECT r FROM RgroupKegiatan r WHERE r.groupKegiatanType = :groupKegiatanType")})
public class RgroupKegiatan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RGROUP_KEGIATAN_PK")
    private Integer rgroupKegiatanPk;
    @Size(max = 30)
    @Column(name = "GROUP_KEGIATAN_CODE")
    private String groupKegiatanCode;
    @Size(max = 100)
    @Column(name = "GROUP_KEGIATAN_NAME")
    private String groupKegiatanName;
    @Column(name = "GROUP_KEGIATAN_TYPE")
    private Integer groupKegiatanType;

    public RgroupKegiatan() {
    }

    public RgroupKegiatan(Integer rgroupKegiatanPk) {
        this.rgroupKegiatanPk = rgroupKegiatanPk;
    }

    public Integer getRgroupKegiatanPk() {
        return rgroupKegiatanPk;
    }

    public void setRgroupKegiatanPk(Integer rgroupKegiatanPk) {
        this.rgroupKegiatanPk = rgroupKegiatanPk;
    }

    public String getGroupKegiatanCode() {
        return groupKegiatanCode;
    }

    public void setGroupKegiatanCode(String groupKegiatanCode) {
        this.groupKegiatanCode = groupKegiatanCode;
    }

    public String getGroupKegiatanName() {
        return groupKegiatanName;
    }

    public void setGroupKegiatanName(String groupKegiatanName) {
        this.groupKegiatanName = groupKegiatanName;
    }

    public Integer getGroupKegiatanType() {
        return groupKegiatanType;
    }

    public void setGroupKegiatanType(Integer groupKegiatanType) {
        this.groupKegiatanType = groupKegiatanType;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rgroupKegiatanPk != null ? rgroupKegiatanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RgroupKegiatan)) {
            return false;
        }
        RgroupKegiatan other = (RgroupKegiatan) object;
        if ((this.rgroupKegiatanPk == null && other.rgroupKegiatanPk != null) || (this.rgroupKegiatanPk != null && !this.rgroupKegiatanPk.equals(other.rgroupKegiatanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RgroupKegiatan[ rgroupKegiatanPk=" + rgroupKegiatanPk + " ]";
    }
    
}
