/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RISSUE_NASIONAL")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RissueNasional.findAll", query = "SELECT r FROM RissueNasional r"),
    @NamedQuery(name = "RissueNasional.findByRissueNasionalPk", query = "SELECT r FROM RissueNasional r WHERE r.rissueNasionalPk = :rissueNasionalPk"),
    @NamedQuery(name = "RissueNasional.findByIssueNasionalCode", query = "SELECT r FROM RissueNasional r WHERE r.issueNasionalCode = :issueNasionalCode"),
    @NamedQuery(name = "RissueNasional.findByIssueNasionalName", query = "SELECT r FROM RissueNasional r WHERE r.issueNasionalName = :issueNasionalName")})
public class RissueNasional implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RISSUE_NASIONAL_PK")
    private Integer rissueNasionalPk;
    @Size(max = 30)
    @Column(name = "ISSUE_NASIONAL_CODE")
    private String issueNasionalCode;
    @Size(max = 250)
    @Column(name = "ISSUE_NASIONAL_NAME")
    private String issueNasionalName;

    public RissueNasional() {
    }

    public RissueNasional(Integer rissueNasionalPk) {
        this.rissueNasionalPk = rissueNasionalPk;
    }

    public Integer getRissueNasionalPk() {
        return rissueNasionalPk;
    }

    public void setRissueNasionalPk(Integer rissueNasionalPk) {
        this.rissueNasionalPk = rissueNasionalPk;
    }

    public String getIssueNasionalCode() {
        return issueNasionalCode;
    }

    public void setIssueNasionalCode(String issueNasionalCode) {
        this.issueNasionalCode = issueNasionalCode;
    }

    public String getIssueNasionalName() {
        return issueNasionalName;
    }

    public void setIssueNasionalName(String issueNasionalName) {
        this.issueNasionalName = issueNasionalName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rissueNasionalPk != null ? rissueNasionalPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RissueNasional)) {
            return false;
        }
        RissueNasional other = (RissueNasional) object;
        if ((this.rissueNasionalPk == null && other.rissueNasionalPk != null) || (this.rissueNasionalPk != null && !this.rissueNasionalPk.equals(other.rissueNasionalPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RissueNasional[ rissueNasionalPk=" + rissueNasionalPk + " ]";
    }
    
}
