/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RJENIS_LEMBAGA")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RjenisLembaga.findAll", query = "SELECT r FROM RjenisLembaga r"),
    @NamedQuery(name = "RjenisLembaga.findByRjenisLembagaPk", query = "SELECT r FROM RjenisLembaga r WHERE r.rjenisLembagaPk = :rjenisLembagaPk"),
    @NamedQuery(name = "RjenisLembaga.findByJenisLembagaCode", query = "SELECT r FROM RjenisLembaga r WHERE r.jenisLembagaCode = :jenisLembagaCode"),
    @NamedQuery(name = "RjenisLembaga.findByJenisLembagaName", query = "SELECT r FROM RjenisLembaga r WHERE r.jenisLembagaName = :jenisLembagaName")})
public class RjenisLembaga implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RJENIS_LEMBAGA_PK")
    private Integer rjenisLembagaPk;
    @Size(max = 30)
    @Column(name = "JENIS_LEMBAGA_CODE")
    private String jenisLembagaCode;
    @Size(max = 100)
    @Column(name = "JENIS_LEMBAGA_NAME")
    private String jenisLembagaName;

    public RjenisLembaga() {
    }

    public RjenisLembaga(Integer rjenisLembagaPk) {
        this.rjenisLembagaPk = rjenisLembagaPk;
    }

    public Integer getRjenisLembagaPk() {
        return rjenisLembagaPk;
    }

    public void setRjenisLembagaPk(Integer rjenisLembagaPk) {
        this.rjenisLembagaPk = rjenisLembagaPk;
    }

    public String getJenisLembagaCode() {
        return jenisLembagaCode;
    }

    public void setJenisLembagaCode(String jenisLembagaCode) {
        this.jenisLembagaCode = jenisLembagaCode;
    }

    public String getJenisLembagaName() {
        return jenisLembagaName;
    }

    public void setJenisLembagaName(String jenisLembagaName) {
        this.jenisLembagaName = jenisLembagaName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rjenisLembagaPk != null ? rjenisLembagaPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RjenisLembaga)) {
            return false;
        }
        RjenisLembaga other = (RjenisLembaga) object;
        if ((this.rjenisLembagaPk == null && other.rjenisLembagaPk != null) || (this.rjenisLembagaPk != null && !this.rjenisLembagaPk.equals(other.rjenisLembagaPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RjenisLembaga[ rjenisLembagaPk=" + rjenisLembagaPk + " ]";
    }
    
}
