/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RKAP_KEBIJAKAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RkapKebijakan.findAll", query = "SELECT r FROM RkapKebijakan r"),
    @NamedQuery(name = "RkapKebijakan.findByRkapKebijakanPk", query = "SELECT r FROM RkapKebijakan r WHERE r.rkapKebijakanPk = :rkapKebijakanPk"),
    @NamedQuery(name = "RkapKebijakan.findByRpp60Fk", query = "SELECT r FROM RkapKebijakan r WHERE r.rpp60Fk = :rpp60Fk"),
    @NamedQuery(name = "RkapKebijakan.findByKebijakanTahun", query = "SELECT r FROM RkapKebijakan r WHERE r.kebijakanTahun = :kebijakanTahun"),
    @NamedQuery(name = "RkapKebijakan.findByKebijakanCode", query = "SELECT r FROM RkapKebijakan r WHERE r.kebijakanCode = :kebijakanCode"),
    @NamedQuery(name = "RkapKebijakan.findByKebijakanName", query = "SELECT r FROM RkapKebijakan r WHERE r.kebijakanName = :kebijakanName")})
public class RkapKebijakan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RKAP_KEBIJAKAN_PK")
    private Integer rkapKebijakanPk;
    @Column(name = "RPP60_FK")
    private Integer rpp60Fk;
    @Size(max = 4)
    @Column(name = "KEBIJAKAN_TAHUN")
    private String kebijakanTahun;
    @Size(max = 30)
    @Column(name = "KEBIJAKAN_CODE")
    private String kebijakanCode;
    @Size(max = 250)
    @Column(name = "KEBIJAKAN_NAME")
    private String kebijakanName;

    public RkapKebijakan() {
    }

    public RkapKebijakan(Integer rkapKebijakanPk) {
        this.rkapKebijakanPk = rkapKebijakanPk;
    }

    public Integer getRkapKebijakanPk() {
        return rkapKebijakanPk;
    }

    public void setRkapKebijakanPk(Integer rkapKebijakanPk) {
        this.rkapKebijakanPk = rkapKebijakanPk;
    }

    public Integer getRpp60Fk() {
        return rpp60Fk;
    }

    public void setRpp60Fk(Integer rpp60Fk) {
        this.rpp60Fk = rpp60Fk;
    }

    public String getKebijakanTahun() {
        return kebijakanTahun;
    }

    public void setKebijakanTahun(String kebijakanTahun) {
        this.kebijakanTahun = kebijakanTahun;
    }

    public String getKebijakanCode() {
        return kebijakanCode;
    }

    public void setKebijakanCode(String kebijakanCode) {
        this.kebijakanCode = kebijakanCode;
    }

    public String getKebijakanName() {
        return kebijakanName;
    }

    public void setKebijakanName(String kebijakanName) {
        this.kebijakanName = kebijakanName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rkapKebijakanPk != null ? rkapKebijakanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RkapKebijakan)) {
            return false;
        }
        RkapKebijakan other = (RkapKebijakan) object;
        if ((this.rkapKebijakanPk == null && other.rkapKebijakanPk != null) || (this.rkapKebijakanPk != null && !this.rkapKebijakanPk.equals(other.rkapKebijakanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RkapKebijakan[ rkapKebijakanPk=" + rkapKebijakanPk + " ]";
    }
    
}
