/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RKAP_KEGIATAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RkapKegiatan.findAll", query = "SELECT r FROM RkapKegiatan r"),
    @NamedQuery(name = "RkapKegiatan.findByRkapKegiatanPk", query = "SELECT r FROM RkapKegiatan r WHERE r.rkapKegiatanPk = :rkapKegiatanPk"),
    @NamedQuery(name = "RkapKegiatan.findByRkapProgramFk", query = "SELECT r FROM RkapKegiatan r WHERE r.rkapProgramFk = :rkapProgramFk"),
    @NamedQuery(name = "RkapKegiatan.findByRkegiatanFk", query = "SELECT r FROM RkapKegiatan r WHERE r.rkegiatanFk = :rkegiatanFk"),
    @NamedQuery(name = "RkapKegiatan.findByKapKegiatanCode", query = "SELECT r FROM RkapKegiatan r WHERE r.kapKegiatanCode = :kapKegiatanCode"),
    @NamedQuery(name = "RkapKegiatan.findByKapKegiatanName", query = "SELECT r FROM RkapKegiatan r WHERE r.kapKegiatanName = :kapKegiatanName"),
    @NamedQuery(name = "RkapKegiatan.findByRprodukFk", query = "SELECT r FROM RkapKegiatan r WHERE r.rprodukFk = :rprodukFk"),
    @NamedQuery(name = "RkapKegiatan.findByRakuntabilitas40Fk", query = "SELECT r FROM RkapKegiatan r WHERE r.rakuntabilitas40Fk = :rakuntabilitas40Fk")})
public class RkapKegiatan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RKAP_KEGIATAN_PK")
    private Integer rkapKegiatanPk;
    @Column(name = "RKAP_PROGRAM_FK")
    private Integer rkapProgramFk;
    @Column(name = "RKEGIATAN_FK")
    private Integer rkegiatanFk;
    @Size(max = 30)
    @Column(name = "KAP_KEGIATAN_CODE")
    private String kapKegiatanCode;
    @Size(max = 250)
    @Column(name = "KAP_KEGIATAN_NAME")
    private String kapKegiatanName;
    @Column(name = "RPRODUK_FK")
    private Integer rprodukFk;
    @Column(name = "RAKUNTABILITAS40_FK")
    private Integer rakuntabilitas40Fk;

    public RkapKegiatan() {
    }

    public RkapKegiatan(Integer rkapKegiatanPk) {
        this.rkapKegiatanPk = rkapKegiatanPk;
    }

    public Integer getRkapKegiatanPk() {
        return rkapKegiatanPk;
    }

    public void setRkapKegiatanPk(Integer rkapKegiatanPk) {
        this.rkapKegiatanPk = rkapKegiatanPk;
    }

    public Integer getRkapProgramFk() {
        return rkapProgramFk;
    }

    public void setRkapProgramFk(Integer rkapProgramFk) {
        this.rkapProgramFk = rkapProgramFk;
    }

    public Integer getRkegiatanFk() {
        return rkegiatanFk;
    }

    public void setRkegiatanFk(Integer rkegiatanFk) {
        this.rkegiatanFk = rkegiatanFk;
    }

    public String getKapKegiatanCode() {
        return kapKegiatanCode;
    }

    public void setKapKegiatanCode(String kapKegiatanCode) {
        this.kapKegiatanCode = kapKegiatanCode;
    }

    public String getKapKegiatanName() {
        return kapKegiatanName;
    }

    public void setKapKegiatanName(String kapKegiatanName) {
        this.kapKegiatanName = kapKegiatanName;
    }

    public Integer getRprodukFk() {
        return rprodukFk;
    }

    public void setRprodukFk(Integer rprodukFk) {
        this.rprodukFk = rprodukFk;
    }

    public Integer getRakuntabilitas40Fk() {
        return rakuntabilitas40Fk;
    }

    public void setRakuntabilitas40Fk(Integer rakuntabilitas40Fk) {
        this.rakuntabilitas40Fk = rakuntabilitas40Fk;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rkapKegiatanPk != null ? rkapKegiatanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RkapKegiatan)) {
            return false;
        }
        RkapKegiatan other = (RkapKegiatan) object;
        if ((this.rkapKegiatanPk == null && other.rkapKegiatanPk != null) || (this.rkapKegiatanPk != null && !this.rkapKegiatanPk.equals(other.rkapKegiatanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RkapKegiatan[ rkapKegiatanPk=" + rkapKegiatanPk + " ]";
    }
    
}
