/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RMENKO")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rmenko.findAll", query = "SELECT r FROM Rmenko r"),
    @NamedQuery(name = "Rmenko.findByRmenkoPk", query = "SELECT r FROM Rmenko r WHERE r.rmenkoPk = :rmenkoPk"),
    @NamedQuery(name = "Rmenko.findByRmenkoCode", query = "SELECT r FROM Rmenko r WHERE r.rmenkoCode = :rmenkoCode"),
    @NamedQuery(name = "Rmenko.findByRmenkoName", query = "SELECT r FROM Rmenko r WHERE r.rmenkoName = :rmenkoName")})
public class Rmenko implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RMENKO_PK")
    private Integer rmenkoPk;
    @Size(max = 30)
    @Column(name = "RMENKO_CODE")
    private String rmenkoCode;
    @Size(max = 200)
    @Column(name = "RMENKO_NAME")
    private String rmenkoName;

    public Rmenko() {
    }

    public Rmenko(Integer rmenkoPk) {
        this.rmenkoPk = rmenkoPk;
    }

    public Integer getRmenkoPk() {
        return rmenkoPk;
    }

    public void setRmenkoPk(Integer rmenkoPk) {
        this.rmenkoPk = rmenkoPk;
    }

    public String getRmenkoCode() {
        return rmenkoCode;
    }

    public void setRmenkoCode(String rmenkoCode) {
        this.rmenkoCode = rmenkoCode;
    }

    public String getRmenkoName() {
        return rmenkoName;
    }

    public void setRmenkoName(String rmenkoName) {
        this.rmenkoName = rmenkoName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rmenkoPk != null ? rmenkoPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rmenko)) {
            return false;
        }
        Rmenko other = (Rmenko) object;
        if ((this.rmenkoPk == null && other.rmenkoPk != null) || (this.rmenkoPk != null && !this.rmenkoPk.equals(other.rmenkoPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rmenko[ rmenkoPk=" + rmenkoPk + " ]";
    }
    
}
