/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RPEGAWAI")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rpegawai.findAll", query = "SELECT r FROM Rpegawai r"),
    @NamedQuery(name = "Rpegawai.findByRpegawaiPk", query = "SELECT r FROM Rpegawai r WHERE r.rpegawaiPk = :rpegawaiPk"),
    @NamedQuery(name = "Rpegawai.findByPegawaicode", query = "SELECT r FROM Rpegawai r WHERE r.pegawaicode = :pegawaicode"),
    @NamedQuery(name = "Rpegawai.findByPegawainame", query = "SELECT r FROM Rpegawai r WHERE r.pegawainame = :pegawainame"),
    @NamedQuery(name = "Rpegawai.findByRpegawaiPangkat", query = "SELECT r FROM Rpegawai r WHERE r.rpegawaiPangkat = :rpegawaiPangkat"),
    @NamedQuery(name = "Rpegawai.findByRpegawaiJabatan", query = "SELECT r FROM Rpegawai r WHERE r.rpegawaiJabatan = :rpegawaiJabatan")})
public class Rpegawai implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RPEGAWAI_PK")
    private Integer rpegawaiPk;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 18)
    @Column(name = "PEGAWAICODE")
    private String pegawaicode;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 100)
    @Column(name = "PEGAWAINAME")
    private String pegawainame;
    @Size(max = 255)
    @Column(name = "RPEGAWAI_PANGKAT")
    private String rpegawaiPangkat;
    @Size(max = 255)
    @Column(name = "RPEGAWAI_JABATAN")
    private String rpegawaiJabatan;
    @OneToMany(mappedBy = "rpegawaiAtasanAtasanFk")
    private Collection<RencanaKinerjaPegawai> rencanaKinerjaPegawaiCollection;
    @OneToMany(mappedBy = "rpegawaiAtasanFk")
    private Collection<RencanaKinerjaPegawai> rencanaKinerjaPegawaiCollection1;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "rpegawaiFk")
    private Collection<RencanaKinerjaPegawai> rencanaKinerjaPegawaiCollection2;
    @OneToMany(mappedBy = "atasanFk")
    private Collection<Rpegawai> rpegawaiCollection;
    @JoinColumn(name = "ATASAN_FK", referencedColumnName = "RPEGAWAI_PK")
    @ManyToOne
    private Rpegawai atasanFk;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "rpegawaiFk")
    private Collection<Tuser> tuserCollection;

    public Rpegawai() {
    }

    public Rpegawai(Integer rpegawaiPk) {
        this.rpegawaiPk = rpegawaiPk;
    }

    public Rpegawai(Integer rpegawaiPk, String pegawaicode, String pegawainame) {
        this.rpegawaiPk = rpegawaiPk;
        this.pegawaicode = pegawaicode;
        this.pegawainame = pegawainame;
    }

    public Integer getRpegawaiPk() {
        return rpegawaiPk;
    }

    public void setRpegawaiPk(Integer rpegawaiPk) {
        this.rpegawaiPk = rpegawaiPk;
    }

    public String getPegawaicode() {
        return pegawaicode;
    }

    public void setPegawaicode(String pegawaicode) {
        this.pegawaicode = pegawaicode;
    }

    public String getPegawainame() {
        return pegawainame;
    }

    public void setPegawainame(String pegawainame) {
        this.pegawainame = pegawainame;
    }

    public String getRpegawaiPangkat() {
        return rpegawaiPangkat;
    }

    public void setRpegawaiPangkat(String rpegawaiPangkat) {
        this.rpegawaiPangkat = rpegawaiPangkat;
    }

    public String getRpegawaiJabatan() {
        return rpegawaiJabatan;
    }

    public void setRpegawaiJabatan(String rpegawaiJabatan) {
        this.rpegawaiJabatan = rpegawaiJabatan;
    }

    @XmlTransient
    public Collection<RencanaKinerjaPegawai> getRencanaKinerjaPegawaiCollection() {
        return rencanaKinerjaPegawaiCollection;
    }

    public void setRencanaKinerjaPegawaiCollection(Collection<RencanaKinerjaPegawai> rencanaKinerjaPegawaiCollection) {
        this.rencanaKinerjaPegawaiCollection = rencanaKinerjaPegawaiCollection;
    }

    @XmlTransient
    public Collection<RencanaKinerjaPegawai> getRencanaKinerjaPegawaiCollection1() {
        return rencanaKinerjaPegawaiCollection1;
    }

    public void setRencanaKinerjaPegawaiCollection1(Collection<RencanaKinerjaPegawai> rencanaKinerjaPegawaiCollection1) {
        this.rencanaKinerjaPegawaiCollection1 = rencanaKinerjaPegawaiCollection1;
    }

    @XmlTransient
    public Collection<RencanaKinerjaPegawai> getRencanaKinerjaPegawaiCollection2() {
        return rencanaKinerjaPegawaiCollection2;
    }

    public void setRencanaKinerjaPegawaiCollection2(Collection<RencanaKinerjaPegawai> rencanaKinerjaPegawaiCollection2) {
        this.rencanaKinerjaPegawaiCollection2 = rencanaKinerjaPegawaiCollection2;
    }

    @XmlTransient
    public Collection<Rpegawai> getRpegawaiCollection() {
        return rpegawaiCollection;
    }

    public void setRpegawaiCollection(Collection<Rpegawai> rpegawaiCollection) {
        this.rpegawaiCollection = rpegawaiCollection;
    }

    public Rpegawai getAtasanFk() {
        return atasanFk;
    }

    public void setAtasanFk(Rpegawai atasanFk) {
        this.atasanFk = atasanFk;
    }

    @XmlTransient
    public Collection<Tuser> getTuserCollection() {
        return tuserCollection;
    }

    public void setTuserCollection(Collection<Tuser> tuserCollection) {
        this.tuserCollection = tuserCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rpegawaiPk != null ? rpegawaiPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rpegawai)) {
            return false;
        }
        Rpegawai other = (Rpegawai) object;
        if ((this.rpegawaiPk == null && other.rpegawaiPk != null) || (this.rpegawaiPk != null && !this.rpegawaiPk.equals(other.rpegawaiPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rpegawai[ rpegawaiPk=" + rpegawaiPk + " ]";
    }
    
}
