/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RPROVINSI")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rprovinsi.findAll", query = "SELECT r FROM Rprovinsi r"),
    @NamedQuery(name = "Rprovinsi.findByRprovinsiPk", query = "SELECT r FROM Rprovinsi r WHERE r.rprovinsiPk = :rprovinsiPk"),
    @NamedQuery(name = "Rprovinsi.findByRwilayahFk", query = "SELECT r FROM Rprovinsi r WHERE r.rwilayahFk = :rwilayahFk"),
    @NamedQuery(name = "Rprovinsi.findByProvinsiCode", query = "SELECT r FROM Rprovinsi r WHERE r.provinsiCode = :provinsiCode"),
    @NamedQuery(name = "Rprovinsi.findByProvinsiName", query = "SELECT r FROM Rprovinsi r WHERE r.provinsiName = :provinsiName")})
public class Rprovinsi implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RPROVINSI_PK")
    private Integer rprovinsiPk;
    @Column(name = "RWILAYAH_FK")
    private Integer rwilayahFk;
    @Size(max = 30)
    @Column(name = "PROVINSI_CODE")
    private String provinsiCode;
    @Size(max = 100)
    @Column(name = "PROVINSI_NAME")
    private String provinsiName;

    public Rprovinsi() {
    }

    public Rprovinsi(Integer rprovinsiPk) {
        this.rprovinsiPk = rprovinsiPk;
    }

    public Integer getRprovinsiPk() {
        return rprovinsiPk;
    }

    public void setRprovinsiPk(Integer rprovinsiPk) {
        this.rprovinsiPk = rprovinsiPk;
    }

    public Integer getRwilayahFk() {
        return rwilayahFk;
    }

    public void setRwilayahFk(Integer rwilayahFk) {
        this.rwilayahFk = rwilayahFk;
    }

    public String getProvinsiCode() {
        return provinsiCode;
    }

    public void setProvinsiCode(String provinsiCode) {
        this.provinsiCode = provinsiCode;
    }

    public String getProvinsiName() {
        return provinsiName;
    }

    public void setProvinsiName(String provinsiName) {
        this.provinsiName = provinsiName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rprovinsiPk != null ? rprovinsiPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rprovinsi)) {
            return false;
        }
        Rprovinsi other = (Rprovinsi) object;
        if ((this.rprovinsiPk == null && other.rprovinsiPk != null) || (this.rprovinsiPk != null && !this.rprovinsiPk.equals(other.rprovinsiPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rprovinsi[ rprovinsiPk=" + rprovinsiPk + " ]";
    }
    
}
