/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRENSTRA_OC")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrenstraOc.findAll", query = "SELECT r FROM RrenstraOc r"),
    @NamedQuery(name = "RrenstraOc.findByRrenstraOcPk", query = "SELECT r FROM RrenstraOc r WHERE r.rrenstraOcPk = :rrenstraOcPk"),
    @NamedQuery(name = "RrenstraOc.findByRrenstraProgramFk", query = "SELECT r FROM RrenstraOc r WHERE r.rrenstraProgramFk = :rrenstraProgramFk"),
    @NamedQuery(name = "RrenstraOc.findByRenstraOcCode", query = "SELECT r FROM RrenstraOc r WHERE r.renstraOcCode = :renstraOcCode"),
    @NamedQuery(name = "RrenstraOc.findByRenstraOcDesc", query = "SELECT r FROM RrenstraOc r WHERE r.renstraOcDesc = :renstraOcDesc")})
public class RrenstraOc implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRENSTRA_OC_PK")
    private Integer rrenstraOcPk;
    @Column(name = "RRENSTRA_PROGRAM_FK")
    private Integer rrenstraProgramFk;
    @Size(max = 30)
    @Column(name = "RENSTRA_OC_CODE")
    private String renstraOcCode;
    @Size(max = 1000)
    @Column(name = "RENSTRA_OC_DESC")
    private String renstraOcDesc;

    public RrenstraOc() {
    }

    public RrenstraOc(Integer rrenstraOcPk) {
        this.rrenstraOcPk = rrenstraOcPk;
    }

    public Integer getRrenstraOcPk() {
        return rrenstraOcPk;
    }

    public void setRrenstraOcPk(Integer rrenstraOcPk) {
        this.rrenstraOcPk = rrenstraOcPk;
    }

    public Integer getRrenstraProgramFk() {
        return rrenstraProgramFk;
    }

    public void setRrenstraProgramFk(Integer rrenstraProgramFk) {
        this.rrenstraProgramFk = rrenstraProgramFk;
    }

    public String getRenstraOcCode() {
        return renstraOcCode;
    }

    public void setRenstraOcCode(String renstraOcCode) {
        this.renstraOcCode = renstraOcCode;
    }

    public String getRenstraOcDesc() {
        return renstraOcDesc;
    }

    public void setRenstraOcDesc(String renstraOcDesc) {
        this.renstraOcDesc = renstraOcDesc;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrenstraOcPk != null ? rrenstraOcPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrenstraOc)) {
            return false;
        }
        RrenstraOc other = (RrenstraOc) object;
        if ((this.rrenstraOcPk == null && other.rrenstraOcPk != null) || (this.rrenstraOcPk != null && !this.rrenstraOcPk.equals(other.rrenstraOcPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrenstraOc[ rrenstraOcPk=" + rrenstraOcPk + " ]";
    }
    
}
