/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRKP")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rrkp.findAll", query = "SELECT r FROM Rrkp r"),
    @NamedQuery(name = "Rrkp.findByRrkpPk", query = "SELECT r FROM Rrkp r WHERE r.rrkpPk = :rrkpPk"),
    @NamedQuery(name = "Rrkp.findByRkpTahun", query = "SELECT r FROM Rrkp r WHERE r.rkpTahun = :rkpTahun")})
public class Rrkp implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRKP_PK")
    private Integer rrkpPk;
    @Size(max = 4)
    @Column(name = "RKP_TAHUN")
    private String rkpTahun;

    public Rrkp() {
    }

    public Rrkp(Integer rrkpPk) {
        this.rrkpPk = rrkpPk;
    }

    public Integer getRrkpPk() {
        return rrkpPk;
    }

    public void setRrkpPk(Integer rrkpPk) {
        this.rrkpPk = rrkpPk;
    }

    public String getRkpTahun() {
        return rkpTahun;
    }

    public void setRkpTahun(String rkpTahun) {
        this.rkpTahun = rkpTahun;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrkpPk != null ? rrkpPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rrkp)) {
            return false;
        }
        Rrkp other = (Rrkp) object;
        if ((this.rrkpPk == null && other.rrkpPk != null) || (this.rrkpPk != null && !this.rrkpPk.equals(other.rrkpPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rrkp[ rrkpPk=" + rrkpPk + " ]";
    }
    
}
