/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRKP_KEGIATAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrkpKegiatan.findAll", query = "SELECT r FROM RrkpKegiatan r"),
    @NamedQuery(name = "RrkpKegiatan.findByRrkpKegiatanPk", query = "SELECT r FROM RrkpKegiatan r WHERE r.rrkpKegiatanPk = :rrkpKegiatanPk"),
    @NamedQuery(name = "RrkpKegiatan.findByRrkpPrioritasFk", query = "SELECT r FROM RrkpKegiatan r WHERE r.rrkpPrioritasFk = :rrkpPrioritasFk"),
    @NamedQuery(name = "RrkpKegiatan.findByRkpKegiatanCode", query = "SELECT r FROM RrkpKegiatan r WHERE r.rkpKegiatanCode = :rkpKegiatanCode"),
    @NamedQuery(name = "RrkpKegiatan.findByRkpKegiatanName", query = "SELECT r FROM RrkpKegiatan r WHERE r.rkpKegiatanName = :rkpKegiatanName"),
    @NamedQuery(name = "RrkpKegiatan.findByRdepartemenFk", query = "SELECT r FROM RrkpKegiatan r WHERE r.rdepartemenFk = :rdepartemenFk")})
public class RrkpKegiatan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRKP_KEGIATAN_PK")
    private Integer rrkpKegiatanPk;
    @Column(name = "RRKP_PRIORITAS_FK")
    private Integer rrkpPrioritasFk;
    @Size(max = 30)
    @Column(name = "RKP_KEGIATAN_CODE")
    private String rkpKegiatanCode;
    @Size(max = 250)
    @Column(name = "RKP_KEGIATAN_NAME")
    private String rkpKegiatanName;
    @Column(name = "RDEPARTEMEN_FK")
    private Integer rdepartemenFk;

    public RrkpKegiatan() {
    }

    public RrkpKegiatan(Integer rrkpKegiatanPk) {
        this.rrkpKegiatanPk = rrkpKegiatanPk;
    }

    public Integer getRrkpKegiatanPk() {
        return rrkpKegiatanPk;
    }

    public void setRrkpKegiatanPk(Integer rrkpKegiatanPk) {
        this.rrkpKegiatanPk = rrkpKegiatanPk;
    }

    public Integer getRrkpPrioritasFk() {
        return rrkpPrioritasFk;
    }

    public void setRrkpPrioritasFk(Integer rrkpPrioritasFk) {
        this.rrkpPrioritasFk = rrkpPrioritasFk;
    }

    public String getRkpKegiatanCode() {
        return rkpKegiatanCode;
    }

    public void setRkpKegiatanCode(String rkpKegiatanCode) {
        this.rkpKegiatanCode = rkpKegiatanCode;
    }

    public String getRkpKegiatanName() {
        return rkpKegiatanName;
    }

    public void setRkpKegiatanName(String rkpKegiatanName) {
        this.rkpKegiatanName = rkpKegiatanName;
    }

    public Integer getRdepartemenFk() {
        return rdepartemenFk;
    }

    public void setRdepartemenFk(Integer rdepartemenFk) {
        this.rdepartemenFk = rdepartemenFk;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrkpKegiatanPk != null ? rrkpKegiatanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrkpKegiatan)) {
            return false;
        }
        RrkpKegiatan other = (RrkpKegiatan) object;
        if ((this.rrkpKegiatanPk == null && other.rrkpKegiatanPk != null) || (this.rrkpKegiatanPk != null && !this.rrkpKegiatanPk.equals(other.rrkpKegiatanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrkpKegiatan[ rrkpKegiatanPk=" + rrkpKegiatanPk + " ]";
    }
    
}
