/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRKP_PRIORITAS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrkpPrioritas.findAll", query = "SELECT r FROM RrkpPrioritas r"),
    @NamedQuery(name = "RrkpPrioritas.findByRrkpPrioritasPk", query = "SELECT r FROM RrkpPrioritas r WHERE r.rrkpPrioritasPk = :rrkpPrioritasPk"),
    @NamedQuery(name = "RrkpPrioritas.findByRrkpFk", query = "SELECT r FROM RrkpPrioritas r WHERE r.rrkpFk = :rrkpFk"),
    @NamedQuery(name = "RrkpPrioritas.findByRkpPrioritasCode", query = "SELECT r FROM RrkpPrioritas r WHERE r.rkpPrioritasCode = :rkpPrioritasCode"),
    @NamedQuery(name = "RrkpPrioritas.findByRkpPrioritasName", query = "SELECT r FROM RrkpPrioritas r WHERE r.rkpPrioritasName = :rkpPrioritasName")})
public class RrkpPrioritas implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRKP_PRIORITAS_PK")
    private Integer rrkpPrioritasPk;
    @Column(name = "RRKP_FK")
    private Integer rrkpFk;
    @Size(max = 30)
    @Column(name = "RKP_PRIORITAS_CODE")
    private String rkpPrioritasCode;
    @Size(max = 250)
    @Column(name = "RKP_PRIORITAS_NAME")
    private String rkpPrioritasName;

    public RrkpPrioritas() {
    }

    public RrkpPrioritas(Integer rrkpPrioritasPk) {
        this.rrkpPrioritasPk = rrkpPrioritasPk;
    }

    public Integer getRrkpPrioritasPk() {
        return rrkpPrioritasPk;
    }

    public void setRrkpPrioritasPk(Integer rrkpPrioritasPk) {
        this.rrkpPrioritasPk = rrkpPrioritasPk;
    }

    public Integer getRrkpFk() {
        return rrkpFk;
    }

    public void setRrkpFk(Integer rrkpFk) {
        this.rrkpFk = rrkpFk;
    }

    public String getRkpPrioritasCode() {
        return rkpPrioritasCode;
    }

    public void setRkpPrioritasCode(String rkpPrioritasCode) {
        this.rkpPrioritasCode = rkpPrioritasCode;
    }

    public String getRkpPrioritasName() {
        return rkpPrioritasName;
    }

    public void setRkpPrioritasName(String rkpPrioritasName) {
        this.rkpPrioritasName = rkpPrioritasName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrkpPrioritasPk != null ? rrkpPrioritasPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrkpPrioritas)) {
            return false;
        }
        RrkpPrioritas other = (RrkpPrioritas) object;
        if ((this.rrkpPrioritasPk == null && other.rrkpPrioritasPk != null) || (this.rrkpPrioritasPk != null && !this.rrkpPrioritasPk.equals(other.rrkpPrioritasPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrkpPrioritas[ rrkpPrioritasPk=" + rrkpPrioritasPk + " ]";
    }
    
}
