/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RSATUAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rsatuan.findAll", query = "SELECT r FROM Rsatuan r"),
    @NamedQuery(name = "Rsatuan.findByRsatuanPk", query = "SELECT r FROM Rsatuan r WHERE r.rsatuanPk = :rsatuanPk"),
    @NamedQuery(name = "Rsatuan.findByRsatuanCode", query = "SELECT r FROM Rsatuan r WHERE r.rsatuanCode = :rsatuanCode"),
    @NamedQuery(name = "Rsatuan.findByRsatuanName", query = "SELECT r FROM Rsatuan r WHERE r.rsatuanName = :rsatuanName"),
    @NamedQuery(name = "Rsatuan.findByRsatuanCaraHitung", query = "SELECT r FROM Rsatuan r WHERE r.rsatuanCaraHitung = :rsatuanCaraHitung")})
public class Rsatuan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RSATUAN_PK")
    private Integer rsatuanPk;
    @Size(max = 30)
    @Column(name = "RSATUAN_CODE")
    private String rsatuanCode;
    @Size(max = 100)
    @Column(name = "RSATUAN_NAME")
    private String rsatuanName;
    @Size(max = 30)
    @Column(name = "RSATUAN_CARA_HITUNG")
    private String rsatuanCaraHitung;

    public Rsatuan() {
    }

    public Rsatuan(Integer rsatuanPk) {
        this.rsatuanPk = rsatuanPk;
    }

    public Integer getRsatuanPk() {
        return rsatuanPk;
    }

    public void setRsatuanPk(Integer rsatuanPk) {
        this.rsatuanPk = rsatuanPk;
    }

    public String getRsatuanCode() {
        return rsatuanCode;
    }

    public void setRsatuanCode(String rsatuanCode) {
        this.rsatuanCode = rsatuanCode;
    }

    public String getRsatuanName() {
        return rsatuanName;
    }

    public void setRsatuanName(String rsatuanName) {
        this.rsatuanName = rsatuanName;
    }

    public String getRsatuanCaraHitung() {
        return rsatuanCaraHitung;
    }

    public void setRsatuanCaraHitung(String rsatuanCaraHitung) {
        this.rsatuanCaraHitung = rsatuanCaraHitung;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rsatuanPk != null ? rsatuanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rsatuan)) {
            return false;
        }
        Rsatuan other = (Rsatuan) object;
        if ((this.rsatuanPk == null && other.rsatuanPk != null) || (this.rsatuanPk != null && !this.rsatuanPk.equals(other.rsatuanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rsatuan[ rsatuanPk=" + rsatuanPk + " ]";
    }
    
}
