/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RUNIT")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Runit.findAll", query = "SELECT r FROM Runit r"),
    @NamedQuery(name = "Runit.findByRunitPk", query = "SELECT r FROM Runit r WHERE r.runitPk = :runitPk"),
    @NamedQuery(name = "Runit.findByUnitcode", query = "SELECT r FROM Runit r WHERE r.unitcode = :unitcode"),
    @NamedQuery(name = "Runit.findByUnitname", query = "SELECT r FROM Runit r WHERE r.unitname = :unitname"),
    @NamedQuery(name = "Runit.findByUnitstate", query = "SELECT r FROM Runit r WHERE r.unitstate = :unitstate"),
    @NamedQuery(name = "Runit.findByUnitstaterendal", query = "SELECT r FROM Runit r WHERE r.unitstaterendal = :unitstaterendal"),
    @NamedQuery(name = "Runit.findByUnitstateaktif", query = "SELECT r FROM Runit r WHERE r.unitstateaktif = :unitstateaktif")})
public class Runit implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RUNIT_PK")
    private Integer runitPk;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 10)
    @Column(name = "UNITCODE")
    private String unitcode;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 250)
    @Column(name = "UNITNAME")
    private String unitname;
    @Column(name = "UNITSTATE")
    private Short unitstate;
    @Column(name = "UNITSTATERENDAL")
    private Short unitstaterendal;
    @Column(name = "UNITSTATEAKTIF")
    private Short unitstateaktif;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "runitFk")
    private Collection<UnitKerjaPeriode> unitKerjaPeriodeCollection;

    public Runit() {
    }

    public Runit(Integer runitPk) {
        this.runitPk = runitPk;
    }

    public Runit(Integer runitPk, String unitcode, String unitname) {
        this.runitPk = runitPk;
        this.unitcode = unitcode;
        this.unitname = unitname;
    }

    public Integer getRunitPk() {
        return runitPk;
    }

    public void setRunitPk(Integer runitPk) {
        this.runitPk = runitPk;
    }

    public String getUnitcode() {
        return unitcode;
    }

    public void setUnitcode(String unitcode) {
        this.unitcode = unitcode;
    }

    public String getUnitname() {
        return unitname;
    }

    public void setUnitname(String unitname) {
        this.unitname = unitname;
    }

    public Short getUnitstate() {
        return unitstate;
    }

    public void setUnitstate(Short unitstate) {
        this.unitstate = unitstate;
    }

    public Short getUnitstaterendal() {
        return unitstaterendal;
    }

    public void setUnitstaterendal(Short unitstaterendal) {
        this.unitstaterendal = unitstaterendal;
    }

    public Short getUnitstateaktif() {
        return unitstateaktif;
    }

    public void setUnitstateaktif(Short unitstateaktif) {
        this.unitstateaktif = unitstateaktif;
    }

    @XmlTransient
    public Collection<UnitKerjaPeriode> getUnitKerjaPeriodeCollection() {
        return unitKerjaPeriodeCollection;
    }

    public void setUnitKerjaPeriodeCollection(Collection<UnitKerjaPeriode> unitKerjaPeriodeCollection) {
        this.unitKerjaPeriodeCollection = unitKerjaPeriodeCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (runitPk != null ? runitPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Runit)) {
            return false;
        }
        Runit other = (Runit) object;
        if ((this.runitPk == null && other.runitPk != null) || (this.runitPk != null && !this.runitPk.equals(other.runitPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Runit[ runitPk=" + runitPk + " ]";
    }
    
}
