/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RWILAYAH")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rwilayah.findAll", query = "SELECT r FROM Rwilayah r"),
    @NamedQuery(name = "Rwilayah.findByRwilayahPk", query = "SELECT r FROM Rwilayah r WHERE r.rwilayahPk = :rwilayahPk"),
    @NamedQuery(name = "Rwilayah.findByWilayahCode", query = "SELECT r FROM Rwilayah r WHERE r.wilayahCode = :wilayahCode"),
    @NamedQuery(name = "Rwilayah.findByWilayahName", query = "SELECT r FROM Rwilayah r WHERE r.wilayahName = :wilayahName")})
public class Rwilayah implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RWILAYAH_PK")
    private Integer rwilayahPk;
    @Size(max = 30)
    @Column(name = "WILAYAH_CODE")
    private String wilayahCode;
    @Size(max = 100)
    @Column(name = "WILAYAH_NAME")
    private String wilayahName;

    public Rwilayah() {
    }

    public Rwilayah(Integer rwilayahPk) {
        this.rwilayahPk = rwilayahPk;
    }

    public Integer getRwilayahPk() {
        return rwilayahPk;
    }

    public void setRwilayahPk(Integer rwilayahPk) {
        this.rwilayahPk = rwilayahPk;
    }

    public String getWilayahCode() {
        return wilayahCode;
    }

    public void setWilayahCode(String wilayahCode) {
        this.wilayahCode = wilayahCode;
    }

    public String getWilayahName() {
        return wilayahName;
    }

    public void setWilayahName(String wilayahName) {
        this.wilayahName = wilayahName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rwilayahPk != null ? rwilayahPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rwilayah)) {
            return false;
        }
        Rwilayah other = (Rwilayah) object;
        if ((this.rwilayahPk == null && other.rwilayahPk != null) || (this.rwilayahPk != null && !this.rwilayahPk.equals(other.rwilayahPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rwilayah[ rwilayahPk=" + rwilayahPk + " ]";
    }
    
}
