/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TFILE")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tfile.findAll", query = "SELECT t FROM Tfile t"),
    @NamedQuery(name = "Tfile.findByTfilePk", query = "SELECT t FROM Tfile t WHERE t.tfilePk = :tfilePk"),
    @NamedQuery(name = "Tfile.findByFilename", query = "SELECT t FROM Tfile t WHERE t.filename = :filename"),
    @NamedQuery(name = "Tfile.findByWaktucreate", query = "SELECT t FROM Tfile t WHERE t.waktucreate = :waktucreate")})
public class Tfile implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TFILE_PK")
    private Integer tfilePk;
    @Size(max = 50)
    @Column(name = "FILENAME")
    private String filename;
    @Column(name = "WAKTUCREATE")
    @Temporal(TemporalType.TIMESTAMP)
    private Date waktucreate;

    public Tfile() {
    }

    public Tfile(Integer tfilePk) {
        this.tfilePk = tfilePk;
    }

    public Integer getTfilePk() {
        return tfilePk;
    }

    public void setTfilePk(Integer tfilePk) {
        this.tfilePk = tfilePk;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public Date getWaktucreate() {
        return waktucreate;
    }

    public void setWaktucreate(Date waktucreate) {
        this.waktucreate = waktucreate;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tfilePk != null ? tfilePk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tfile)) {
            return false;
        }
        Tfile other = (Tfile) object;
        if ((this.tfilePk == null && other.tfilePk != null) || (this.tfilePk != null && !this.tfilePk.equals(other.tfilePk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Tfile[ tfilePk=" + tfilePk + " ]";
    }
    
}
