/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TPAGU_DIPA")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TpaguDipa.findAll", query = "SELECT t FROM TpaguDipa t"),
    @NamedQuery(name = "TpaguDipa.findByTpaguDipaPk", query = "SELECT t FROM TpaguDipa t WHERE t.tpaguDipaPk = :tpaguDipaPk"),
    @NamedQuery(name = "TpaguDipa.findByRunitFk", query = "SELECT t FROM TpaguDipa t WHERE t.runitFk = :runitFk"),
    @NamedQuery(name = "TpaguDipa.findByRdipaProgramFk", query = "SELECT t FROM TpaguDipa t WHERE t.rdipaProgramFk = :rdipaProgramFk"),
    @NamedQuery(name = "TpaguDipa.findByRdipaOpFk", query = "SELECT t FROM TpaguDipa t WHERE t.rdipaOpFk = :rdipaOpFk"),
    @NamedQuery(name = "TpaguDipa.findByRdipaMakFk", query = "SELECT t FROM TpaguDipa t WHERE t.rdipaMakFk = :rdipaMakFk"),
    @NamedQuery(name = "TpaguDipa.findByAnggaran1", query = "SELECT t FROM TpaguDipa t WHERE t.anggaran1 = :anggaran1"),
    @NamedQuery(name = "TpaguDipa.findByAnggaran2", query = "SELECT t FROM TpaguDipa t WHERE t.anggaran2 = :anggaran2"),
    @NamedQuery(name = "TpaguDipa.findByAnggaran3", query = "SELECT t FROM TpaguDipa t WHERE t.anggaran3 = :anggaran3"),
    @NamedQuery(name = "TpaguDipa.findByAnggaran4", query = "SELECT t FROM TpaguDipa t WHERE t.anggaran4 = :anggaran4"),
    @NamedQuery(name = "TpaguDipa.findByAnggaran5", query = "SELECT t FROM TpaguDipa t WHERE t.anggaran5 = :anggaran5"),
    @NamedQuery(name = "TpaguDipa.findByAnggaran6", query = "SELECT t FROM TpaguDipa t WHERE t.anggaran6 = :anggaran6"),
    @NamedQuery(name = "TpaguDipa.findByAnggaran7", query = "SELECT t FROM TpaguDipa t WHERE t.anggaran7 = :anggaran7"),
    @NamedQuery(name = "TpaguDipa.findByAnggaran8", query = "SELECT t FROM TpaguDipa t WHERE t.anggaran8 = :anggaran8"),
    @NamedQuery(name = "TpaguDipa.findByAnggaran9", query = "SELECT t FROM TpaguDipa t WHERE t.anggaran9 = :anggaran9"),
    @NamedQuery(name = "TpaguDipa.findByAnggaran10", query = "SELECT t FROM TpaguDipa t WHERE t.anggaran10 = :anggaran10"),
    @NamedQuery(name = "TpaguDipa.findByRdipaKegiatanFk", query = "SELECT t FROM TpaguDipa t WHERE t.rdipaKegiatanFk = :rdipaKegiatanFk")})
public class TpaguDipa implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TPAGU_DIPA_PK")
    private Integer tpaguDipaPk;
    @Column(name = "RUNIT_FK")
    private Integer runitFk;
    @Column(name = "RDIPA_PROGRAM_FK")
    private Integer rdipaProgramFk;
    @Column(name = "RDIPA_OP_FK")
    private Integer rdipaOpFk;
    @Column(name = "RDIPA_MAK_FK")
    private Integer rdipaMakFk;
    @Column(name = "ANGGARAN1")
    private Long anggaran1;
    @Column(name = "ANGGARAN2")
    private Long anggaran2;
    @Column(name = "ANGGARAN3")
    private Long anggaran3;
    @Column(name = "ANGGARAN4")
    private Long anggaran4;
    @Column(name = "ANGGARAN5")
    private Long anggaran5;
    @Column(name = "ANGGARAN6")
    private Long anggaran6;
    @Column(name = "ANGGARAN7")
    private Long anggaran7;
    @Column(name = "ANGGARAN8")
    private Long anggaran8;
    @Column(name = "ANGGARAN9")
    private Long anggaran9;
    @Column(name = "ANGGARAN10")
    private Long anggaran10;
    @Column(name = "RDIPA_KEGIATAN_FK")
    private Integer rdipaKegiatanFk;

    public TpaguDipa() {
    }

    public TpaguDipa(Integer tpaguDipaPk) {
        this.tpaguDipaPk = tpaguDipaPk;
    }

    public Integer getTpaguDipaPk() {
        return tpaguDipaPk;
    }

    public void setTpaguDipaPk(Integer tpaguDipaPk) {
        this.tpaguDipaPk = tpaguDipaPk;
    }

    public Integer getRunitFk() {
        return runitFk;
    }

    public void setRunitFk(Integer runitFk) {
        this.runitFk = runitFk;
    }

    public Integer getRdipaProgramFk() {
        return rdipaProgramFk;
    }

    public void setRdipaProgramFk(Integer rdipaProgramFk) {
        this.rdipaProgramFk = rdipaProgramFk;
    }

    public Integer getRdipaOpFk() {
        return rdipaOpFk;
    }

    public void setRdipaOpFk(Integer rdipaOpFk) {
        this.rdipaOpFk = rdipaOpFk;
    }

    public Integer getRdipaMakFk() {
        return rdipaMakFk;
    }

    public void setRdipaMakFk(Integer rdipaMakFk) {
        this.rdipaMakFk = rdipaMakFk;
    }

    public Long getAnggaran1() {
        return anggaran1;
    }

    public void setAnggaran1(Long anggaran1) {
        this.anggaran1 = anggaran1;
    }

    public Long getAnggaran2() {
        return anggaran2;
    }

    public void setAnggaran2(Long anggaran2) {
        this.anggaran2 = anggaran2;
    }

    public Long getAnggaran3() {
        return anggaran3;
    }

    public void setAnggaran3(Long anggaran3) {
        this.anggaran3 = anggaran3;
    }

    public Long getAnggaran4() {
        return anggaran4;
    }

    public void setAnggaran4(Long anggaran4) {
        this.anggaran4 = anggaran4;
    }

    public Long getAnggaran5() {
        return anggaran5;
    }

    public void setAnggaran5(Long anggaran5) {
        this.anggaran5 = anggaran5;
    }

    public Long getAnggaran6() {
        return anggaran6;
    }

    public void setAnggaran6(Long anggaran6) {
        this.anggaran6 = anggaran6;
    }

    public Long getAnggaran7() {
        return anggaran7;
    }

    public void setAnggaran7(Long anggaran7) {
        this.anggaran7 = anggaran7;
    }

    public Long getAnggaran8() {
        return anggaran8;
    }

    public void setAnggaran8(Long anggaran8) {
        this.anggaran8 = anggaran8;
    }

    public Long getAnggaran9() {
        return anggaran9;
    }

    public void setAnggaran9(Long anggaran9) {
        this.anggaran9 = anggaran9;
    }

    public Long getAnggaran10() {
        return anggaran10;
    }

    public void setAnggaran10(Long anggaran10) {
        this.anggaran10 = anggaran10;
    }

    public Integer getRdipaKegiatanFk() {
        return rdipaKegiatanFk;
    }

    public void setRdipaKegiatanFk(Integer rdipaKegiatanFk) {
        this.rdipaKegiatanFk = rdipaKegiatanFk;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tpaguDipaPk != null ? tpaguDipaPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TpaguDipa)) {
            return false;
        }
        TpaguDipa other = (TpaguDipa) object;
        if ((this.tpaguDipaPk == null && other.tpaguDipaPk != null) || (this.tpaguDipaPk != null && !this.tpaguDipaPk.equals(other.tpaguDipaPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.TpaguDipa[ tpaguDipaPk=" + tpaguDipaPk + " ]";
    }
    
}
