/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TPARROLE")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tparrole.findAll", query = "SELECT t FROM Tparrole t"),
    @NamedQuery(name = "Tparrole.findByTparrolePk", query = "SELECT t FROM Tparrole t WHERE t.tparrolePk = :tparrolePk"),
    @NamedQuery(name = "Tparrole.findByParrolecode", query = "SELECT t FROM Tparrole t WHERE t.parrolecode = :parrolecode"),
    @NamedQuery(name = "Tparrole.findByParrolename", query = "SELECT t FROM Tparrole t WHERE t.parrolename = :parrolename")})
public class Tparrole implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TPARROLE_PK")
    private Integer tparrolePk;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 30)
    @Column(name = "PARROLECODE")
    private String parrolecode;
    @Size(max = 100)
    @Column(name = "PARROLENAME")
    private String parrolename;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "tparroleFk")
    private Collection<Tuser> tuserCollection;

    public Tparrole() {
    }

    public Tparrole(Integer tparrolePk) {
        this.tparrolePk = tparrolePk;
    }

    public Tparrole(Integer tparrolePk, String parrolecode) {
        this.tparrolePk = tparrolePk;
        this.parrolecode = parrolecode;
    }

    public Integer getTparrolePk() {
        return tparrolePk;
    }

    public void setTparrolePk(Integer tparrolePk) {
        this.tparrolePk = tparrolePk;
    }

    public String getParrolecode() {
        return parrolecode;
    }

    public void setParrolecode(String parrolecode) {
        this.parrolecode = parrolecode;
    }

    public String getParrolename() {
        return parrolename;
    }

    public void setParrolename(String parrolename) {
        this.parrolename = parrolename;
    }

    @XmlTransient
    public Collection<Tuser> getTuserCollection() {
        return tuserCollection;
    }

    public void setTuserCollection(Collection<Tuser> tuserCollection) {
        this.tuserCollection = tuserCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tparrolePk != null ? tparrolePk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tparrole)) {
            return false;
        }
        Tparrole other = (Tparrole) object;
        if ((this.tparrolePk == null && other.tparrolePk != null) || (this.tparrolePk != null && !this.tparrolePk.equals(other.tparrolePk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Tparrole[ tparrolePk=" + tparrolePk + " ]";
    }
    
}
