/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TRENDAL_KEGIATAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TrendalKegiatan.findAll", query = "SELECT t FROM TrendalKegiatan t"),
    @NamedQuery(name = "TrendalKegiatan.findByTrendalKegiatanPk", query = "SELECT t FROM TrendalKegiatan t WHERE t.trendalKegiatanPk = :trendalKegiatanPk"),
    @NamedQuery(name = "TrendalKegiatan.findByRendalKegiatanType", query = "SELECT t FROM TrendalKegiatan t WHERE t.rendalKegiatanType = :rendalKegiatanType"),
    @NamedQuery(name = "TrendalKegiatan.findByRunitFk", query = "SELECT t FROM TrendalKegiatan t WHERE t.runitFk = :runitFk"),
    @NamedQuery(name = "TrendalKegiatan.findByRkapKegiatanFk", query = "SELECT t FROM TrendalKegiatan t WHERE t.rkapKegiatanFk = :rkapKegiatanFk"),
    @NamedQuery(name = "TrendalKegiatan.findByRkegiatanFk", query = "SELECT t FROM TrendalKegiatan t WHERE t.rkegiatanFk = :rkegiatanFk"),
    @NamedQuery(name = "TrendalKegiatan.findByRrenstraIopFk", query = "SELECT t FROM TrendalKegiatan t WHERE t.rrenstraIopFk = :rrenstraIopFk")})
public class TrendalKegiatan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TRENDAL_KEGIATAN_PK")
    private Integer trendalKegiatanPk;
    @Basic(optional = false)
    @NotNull
    @Column(name = "RENDAL_KEGIATAN_TYPE")
    private int rendalKegiatanType;
    @Column(name = "RUNIT_FK")
    private Integer runitFk;
    @Column(name = "RKAP_KEGIATAN_FK")
    private Integer rkapKegiatanFk;
    @Column(name = "RKEGIATAN_FK")
    private Integer rkegiatanFk;
    @Column(name = "RRENSTRA_IOP_FK")
    private Integer rrenstraIopFk;

    public TrendalKegiatan() {
    }

    public TrendalKegiatan(Integer trendalKegiatanPk) {
        this.trendalKegiatanPk = trendalKegiatanPk;
    }

    public TrendalKegiatan(Integer trendalKegiatanPk, int rendalKegiatanType) {
        this.trendalKegiatanPk = trendalKegiatanPk;
        this.rendalKegiatanType = rendalKegiatanType;
    }

    public Integer getTrendalKegiatanPk() {
        return trendalKegiatanPk;
    }

    public void setTrendalKegiatanPk(Integer trendalKegiatanPk) {
        this.trendalKegiatanPk = trendalKegiatanPk;
    }

    public int getRendalKegiatanType() {
        return rendalKegiatanType;
    }

    public void setRendalKegiatanType(int rendalKegiatanType) {
        this.rendalKegiatanType = rendalKegiatanType;
    }

    public Integer getRunitFk() {
        return runitFk;
    }

    public void setRunitFk(Integer runitFk) {
        this.runitFk = runitFk;
    }

    public Integer getRkapKegiatanFk() {
        return rkapKegiatanFk;
    }

    public void setRkapKegiatanFk(Integer rkapKegiatanFk) {
        this.rkapKegiatanFk = rkapKegiatanFk;
    }

    public Integer getRkegiatanFk() {
        return rkegiatanFk;
    }

    public void setRkegiatanFk(Integer rkegiatanFk) {
        this.rkegiatanFk = rkegiatanFk;
    }

    public Integer getRrenstraIopFk() {
        return rrenstraIopFk;
    }

    public void setRrenstraIopFk(Integer rrenstraIopFk) {
        this.rrenstraIopFk = rrenstraIopFk;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (trendalKegiatanPk != null ? trendalKegiatanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TrendalKegiatan)) {
            return false;
        }
        TrendalKegiatan other = (TrendalKegiatan) object;
        if ((this.trendalKegiatanPk == null && other.trendalKegiatanPk != null) || (this.trendalKegiatanPk != null && !this.trendalKegiatanPk.equals(other.trendalKegiatanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.TrendalKegiatan[ trendalKegiatanPk=" + trendalKegiatanPk + " ]";
    }
    
}
