/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TRENJA_REVIEW")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TrenjaReview.findAll", query = "SELECT t FROM TrenjaReview t"),
    @NamedQuery(name = "TrenjaReview.findByTrenjaReviewPk", query = "SELECT t FROM TrenjaReview t WHERE t.trenjaReviewPk = :trenjaReviewPk"),
    @NamedQuery(name = "TrenjaReview.findByRunitFk", query = "SELECT t FROM TrenjaReview t WHERE t.runitFk = :runitFk"),
    @NamedQuery(name = "TrenjaReview.findByRrenstraProgramFk", query = "SELECT t FROM TrenjaReview t WHERE t.rrenstraProgramFk = :rrenstraProgramFk"),
    @NamedQuery(name = "TrenjaReview.findByTahun", query = "SELECT t FROM TrenjaReview t WHERE t.tahun = :tahun"),
    @NamedQuery(name = "TrenjaReview.findByTglentry", query = "SELECT t FROM TrenjaReview t WHERE t.tglentry = :tglentry"),
    @NamedQuery(name = "TrenjaReview.findByTglvalidasi", query = "SELECT t FROM TrenjaReview t WHERE t.tglvalidasi = :tglvalidasi"),
    @NamedQuery(name = "TrenjaReview.findByCatatan", query = "SELECT t FROM TrenjaReview t WHERE t.catatan = :catatan"),
    @NamedQuery(name = "TrenjaReview.findByStatus", query = "SELECT t FROM TrenjaReview t WHERE t.status = :status")})
public class TrenjaReview implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TRENJA_REVIEW_PK")
    private Integer trenjaReviewPk;
    @Column(name = "RUNIT_FK")
    private Integer runitFk;
    @Column(name = "RRENSTRA_PROGRAM_FK")
    private Integer rrenstraProgramFk;
    @Size(max = 4)
    @Column(name = "TAHUN")
    private String tahun;
    @Column(name = "TGLENTRY")
    @Temporal(TemporalType.DATE)
    private Date tglentry;
    @Column(name = "TGLVALIDASI")
    @Temporal(TemporalType.DATE)
    private Date tglvalidasi;
    @Size(max = 255)
    @Column(name = "CATATAN")
    private String catatan;
    @Column(name = "STATUS")
    private Character status;

    public TrenjaReview() {
    }

    public TrenjaReview(Integer trenjaReviewPk) {
        this.trenjaReviewPk = trenjaReviewPk;
    }

    public Integer getTrenjaReviewPk() {
        return trenjaReviewPk;
    }

    public void setTrenjaReviewPk(Integer trenjaReviewPk) {
        this.trenjaReviewPk = trenjaReviewPk;
    }

    public Integer getRunitFk() {
        return runitFk;
    }

    public void setRunitFk(Integer runitFk) {
        this.runitFk = runitFk;
    }

    public Integer getRrenstraProgramFk() {
        return rrenstraProgramFk;
    }

    public void setRrenstraProgramFk(Integer rrenstraProgramFk) {
        this.rrenstraProgramFk = rrenstraProgramFk;
    }

    public String getTahun() {
        return tahun;
    }

    public void setTahun(String tahun) {
        this.tahun = tahun;
    }

    public Date getTglentry() {
        return tglentry;
    }

    public void setTglentry(Date tglentry) {
        this.tglentry = tglentry;
    }

    public Date getTglvalidasi() {
        return tglvalidasi;
    }

    public void setTglvalidasi(Date tglvalidasi) {
        this.tglvalidasi = tglvalidasi;
    }

    public String getCatatan() {
        return catatan;
    }

    public void setCatatan(String catatan) {
        this.catatan = catatan;
    }

    public Character getStatus() {
        return status;
    }

    public void setStatus(Character status) {
        this.status = status;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (trenjaReviewPk != null ? trenjaReviewPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TrenjaReview)) {
            return false;
        }
        TrenjaReview other = (TrenjaReview) object;
        if ((this.trenjaReviewPk == null && other.trenjaReviewPk != null) || (this.trenjaReviewPk != null && !this.trenjaReviewPk.equals(other.trenjaReviewPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.TrenjaReview[ trenjaReviewPk=" + trenjaReviewPk + " ]";
    }
    
}
