/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TTARGET_OC")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TtargetOc.findAll", query = "SELECT t FROM TtargetOc t"),
    @NamedQuery(name = "TtargetOc.findByTtargetOcPk", query = "SELECT t FROM TtargetOc t WHERE t.ttargetOcPk = :ttargetOcPk"),
    @NamedQuery(name = "TtargetOc.findByRunitFk", query = "SELECT t FROM TtargetOc t WHERE t.runitFk = :runitFk"),
    @NamedQuery(name = "TtargetOc.findByRrenstraIocFk", query = "SELECT t FROM TtargetOc t WHERE t.rrenstraIocFk = :rrenstraIocFk"),
    @NamedQuery(name = "TtargetOc.findByRenstraTocTahun", query = "SELECT t FROM TtargetOc t WHERE t.renstraTocTahun = :renstraTocTahun"),
    @NamedQuery(name = "TtargetOc.findByRenstraTocNilaiPbl", query = "SELECT t FROM TtargetOc t WHERE t.renstraTocNilaiPbl = :renstraTocNilaiPbl"),
    @NamedQuery(name = "TtargetOc.findByRenstraTocNilaiPbt", query = "SELECT t FROM TtargetOc t WHERE t.renstraTocNilaiPbt = :renstraTocNilaiPbt"),
    @NamedQuery(name = "TtargetOc.findByRenjaTocNilai1Pbl", query = "SELECT t FROM TtargetOc t WHERE t.renjaTocNilai1Pbl = :renjaTocNilai1Pbl"),
    @NamedQuery(name = "TtargetOc.findByRenjaTocNilai1Pbt", query = "SELECT t FROM TtargetOc t WHERE t.renjaTocNilai1Pbt = :renjaTocNilai1Pbt"),
    @NamedQuery(name = "TtargetOc.findByRenjaTocNilai2Pbl", query = "SELECT t FROM TtargetOc t WHERE t.renjaTocNilai2Pbl = :renjaTocNilai2Pbl"),
    @NamedQuery(name = "TtargetOc.findByRenjaTocNilai2Pbt", query = "SELECT t FROM TtargetOc t WHERE t.renjaTocNilai2Pbt = :renjaTocNilai2Pbt"),
    @NamedQuery(name = "TtargetOc.findByRenjaTocNilai3Pbl", query = "SELECT t FROM TtargetOc t WHERE t.renjaTocNilai3Pbl = :renjaTocNilai3Pbl"),
    @NamedQuery(name = "TtargetOc.findByRenjaTocNilai3Pbt", query = "SELECT t FROM TtargetOc t WHERE t.renjaTocNilai3Pbt = :renjaTocNilai3Pbt"),
    @NamedQuery(name = "TtargetOc.findByTapkinTocNilaiPbl", query = "SELECT t FROM TtargetOc t WHERE t.tapkinTocNilaiPbl = :tapkinTocNilaiPbl"),
    @NamedQuery(name = "TtargetOc.findByTapkinTocNilaiPbt", query = "SELECT t FROM TtargetOc t WHERE t.tapkinTocNilaiPbt = :tapkinTocNilaiPbt"),
    @NamedQuery(name = "TtargetOc.findByStatus", query = "SELECT t FROM TtargetOc t WHERE t.status = :status"),
    @NamedQuery(name = "TtargetOc.findByIsvalid", query = "SELECT t FROM TtargetOc t WHERE t.isvalid = :isvalid"),
    @NamedQuery(name = "TtargetOc.findByTapkinTocNilaiPbl1", query = "SELECT t FROM TtargetOc t WHERE t.tapkinTocNilaiPbl1 = :tapkinTocNilaiPbl1")})
public class TtargetOc implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TTARGET_OC_PK")
    private Integer ttargetOcPk;
    @Column(name = "RUNIT_FK")
    private Integer runitFk;
    @Column(name = "RRENSTRA_IOC_FK")
    private Integer rrenstraIocFk;
    @Size(max = 4)
    @Column(name = "RENSTRA_TOC_TAHUN")
    private String renstraTocTahun;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "RENSTRA_TOC_NILAI_PBL")
    private BigDecimal renstraTocNilaiPbl;
    @Column(name = "RENSTRA_TOC_NILAI_PBT")
    private BigDecimal renstraTocNilaiPbt;
    @Column(name = "RENJA_TOC_NILAI1_PBL")
    private BigDecimal renjaTocNilai1Pbl;
    @Column(name = "RENJA_TOC_NILAI1_PBT")
    private BigDecimal renjaTocNilai1Pbt;
    @Column(name = "RENJA_TOC_NILAI2_PBL")
    private BigDecimal renjaTocNilai2Pbl;
    @Column(name = "RENJA_TOC_NILAI2_PBT")
    private BigDecimal renjaTocNilai2Pbt;
    @Column(name = "RENJA_TOC_NILAI3_PBL")
    private BigDecimal renjaTocNilai3Pbl;
    @Column(name = "RENJA_TOC_NILAI3_PBT")
    private BigDecimal renjaTocNilai3Pbt;
    @Column(name = "TAPKIN_TOC_NILAI__PBL")
    private BigDecimal tapkinTocNilaiPbl;
    @Column(name = "TAPKIN_TOC_NILAI_PBT")
    private BigDecimal tapkinTocNilaiPbt;
    @Size(max = 5)
    @Column(name = "STATUS")
    private String status;
    @Column(name = "ISVALID")
    private Character isvalid;
    @Column(name = "TAPKIN_TOC_NILAI_PBL")
    private Integer tapkinTocNilaiPbl1;

    public TtargetOc() {
    }

    public TtargetOc(Integer ttargetOcPk) {
        this.ttargetOcPk = ttargetOcPk;
    }

    public Integer getTtargetOcPk() {
        return ttargetOcPk;
    }

    public void setTtargetOcPk(Integer ttargetOcPk) {
        this.ttargetOcPk = ttargetOcPk;
    }

    public Integer getRunitFk() {
        return runitFk;
    }

    public void setRunitFk(Integer runitFk) {
        this.runitFk = runitFk;
    }

    public Integer getRrenstraIocFk() {
        return rrenstraIocFk;
    }

    public void setRrenstraIocFk(Integer rrenstraIocFk) {
        this.rrenstraIocFk = rrenstraIocFk;
    }

    public String getRenstraTocTahun() {
        return renstraTocTahun;
    }

    public void setRenstraTocTahun(String renstraTocTahun) {
        this.renstraTocTahun = renstraTocTahun;
    }

    public BigDecimal getRenstraTocNilaiPbl() {
        return renstraTocNilaiPbl;
    }

    public void setRenstraTocNilaiPbl(BigDecimal renstraTocNilaiPbl) {
        this.renstraTocNilaiPbl = renstraTocNilaiPbl;
    }

    public BigDecimal getRenstraTocNilaiPbt() {
        return renstraTocNilaiPbt;
    }

    public void setRenstraTocNilaiPbt(BigDecimal renstraTocNilaiPbt) {
        this.renstraTocNilaiPbt = renstraTocNilaiPbt;
    }

    public BigDecimal getRenjaTocNilai1Pbl() {
        return renjaTocNilai1Pbl;
    }

    public void setRenjaTocNilai1Pbl(BigDecimal renjaTocNilai1Pbl) {
        this.renjaTocNilai1Pbl = renjaTocNilai1Pbl;
    }

    public BigDecimal getRenjaTocNilai1Pbt() {
        return renjaTocNilai1Pbt;
    }

    public void setRenjaTocNilai1Pbt(BigDecimal renjaTocNilai1Pbt) {
        this.renjaTocNilai1Pbt = renjaTocNilai1Pbt;
    }

    public BigDecimal getRenjaTocNilai2Pbl() {
        return renjaTocNilai2Pbl;
    }

    public void setRenjaTocNilai2Pbl(BigDecimal renjaTocNilai2Pbl) {
        this.renjaTocNilai2Pbl = renjaTocNilai2Pbl;
    }

    public BigDecimal getRenjaTocNilai2Pbt() {
        return renjaTocNilai2Pbt;
    }

    public void setRenjaTocNilai2Pbt(BigDecimal renjaTocNilai2Pbt) {
        this.renjaTocNilai2Pbt = renjaTocNilai2Pbt;
    }

    public BigDecimal getRenjaTocNilai3Pbl() {
        return renjaTocNilai3Pbl;
    }

    public void setRenjaTocNilai3Pbl(BigDecimal renjaTocNilai3Pbl) {
        this.renjaTocNilai3Pbl = renjaTocNilai3Pbl;
    }

    public BigDecimal getRenjaTocNilai3Pbt() {
        return renjaTocNilai3Pbt;
    }

    public void setRenjaTocNilai3Pbt(BigDecimal renjaTocNilai3Pbt) {
        this.renjaTocNilai3Pbt = renjaTocNilai3Pbt;
    }

    public BigDecimal getTapkinTocNilaiPbl() {
        return tapkinTocNilaiPbl;
    }

    public void setTapkinTocNilaiPbl(BigDecimal tapkinTocNilaiPbl) {
        this.tapkinTocNilaiPbl = tapkinTocNilaiPbl;
    }

    public BigDecimal getTapkinTocNilaiPbt() {
        return tapkinTocNilaiPbt;
    }

    public void setTapkinTocNilaiPbt(BigDecimal tapkinTocNilaiPbt) {
        this.tapkinTocNilaiPbt = tapkinTocNilaiPbt;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Character getIsvalid() {
        return isvalid;
    }

    public void setIsvalid(Character isvalid) {
        this.isvalid = isvalid;
    }

    public Integer getTapkinTocNilaiPbl1() {
        return tapkinTocNilaiPbl1;
    }

    public void setTapkinTocNilaiPbl1(Integer tapkinTocNilaiPbl1) {
        this.tapkinTocNilaiPbl1 = tapkinTocNilaiPbl1;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (ttargetOcPk != null ? ttargetOcPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TtargetOc)) {
            return false;
        }
        TtargetOc other = (TtargetOc) object;
        if ((this.ttargetOcPk == null && other.ttargetOcPk != null) || (this.ttargetOcPk != null && !this.ttargetOcPk.equals(other.ttargetOcPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.TtargetOc[ ttargetOcPk=" + ttargetOcPk + " ]";
    }
    
}
