/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TTARGET_OP")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TtargetOp.findAll", query = "SELECT t FROM TtargetOp t"),
    @NamedQuery(name = "TtargetOp.findByTtargetOpPk", query = "SELECT t FROM TtargetOp t WHERE t.ttargetOpPk = :ttargetOpPk"),
    @NamedQuery(name = "TtargetOp.findByRunitFk", query = "SELECT t FROM TtargetOp t WHERE t.runitFk = :runitFk"),
    @NamedQuery(name = "TtargetOp.findByRrenstraKegiatanFk", query = "SELECT t FROM TtargetOp t WHERE t.rrenstraKegiatanFk = :rrenstraKegiatanFk"),
    @NamedQuery(name = "TtargetOp.findByRrenstraIopFk", query = "SELECT t FROM TtargetOp t WHERE t.rrenstraIopFk = :rrenstraIopFk"),
    @NamedQuery(name = "TtargetOp.findByRenstraTopTahun", query = "SELECT t FROM TtargetOp t WHERE t.renstraTopTahun = :renstraTopTahun"),
    @NamedQuery(name = "TtargetOp.findByRenstraTopNilaiPbl", query = "SELECT t FROM TtargetOp t WHERE t.renstraTopNilaiPbl = :renstraTopNilaiPbl"),
    @NamedQuery(name = "TtargetOp.findByRenstraTopNilaiPbt", query = "SELECT t FROM TtargetOp t WHERE t.renstraTopNilaiPbt = :renstraTopNilaiPbt"),
    @NamedQuery(name = "TtargetOp.findByRenstraTopOh", query = "SELECT t FROM TtargetOp t WHERE t.renstraTopOh = :renstraTopOh"),
    @NamedQuery(name = "TtargetOp.findByRenstraTopRp", query = "SELECT t FROM TtargetOp t WHERE t.renstraTopRp = :renstraTopRp"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopOh1", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopOh1 = :renjaTopOh1"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopNilai1Pbl", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopNilai1Pbl = :renjaTopNilai1Pbl"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopNilai1Pbt", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopNilai1Pbt = :renjaTopNilai1Pbt"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopRp1", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopRp1 = :renjaTopRp1"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopOh2", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopOh2 = :renjaTopOh2"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopNilai2Pbl", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopNilai2Pbl = :renjaTopNilai2Pbl"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopNilai2Pbt", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopNilai2Pbt = :renjaTopNilai2Pbt"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopRp2", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopRp2 = :renjaTopRp2"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopOh3", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopOh3 = :renjaTopOh3"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopNilai3Pbl", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopNilai3Pbl = :renjaTopNilai3Pbl"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopNilai3Pbt", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopNilai3Pbt = :renjaTopNilai3Pbt"),
    @NamedQuery(name = "TtargetOp.findByRenjaTopRp3", query = "SELECT t FROM TtargetOp t WHERE t.renjaTopRp3 = :renjaTopRp3"),
    @NamedQuery(name = "TtargetOp.findByTapkinTopOh", query = "SELECT t FROM TtargetOp t WHERE t.tapkinTopOh = :tapkinTopOh"),
    @NamedQuery(name = "TtargetOp.findByTapkinTopNilaiPbl", query = "SELECT t FROM TtargetOp t WHERE t.tapkinTopNilaiPbl = :tapkinTopNilaiPbl"),
    @NamedQuery(name = "TtargetOp.findByTapkinTopNilaiPbt", query = "SELECT t FROM TtargetOp t WHERE t.tapkinTopNilaiPbt = :tapkinTopNilaiPbt"),
    @NamedQuery(name = "TtargetOp.findByTapkinTopRp", query = "SELECT t FROM TtargetOp t WHERE t.tapkinTopRp = :tapkinTopRp"),
    @NamedQuery(name = "TtargetOp.findByStatus", query = "SELECT t FROM TtargetOp t WHERE t.status = :status"),
    @NamedQuery(name = "TtargetOp.findByIsvalid", query = "SELECT t FROM TtargetOp t WHERE t.isvalid = :isvalid")})
public class TtargetOp implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TTARGET_OP_PK")
    private Integer ttargetOpPk;
    @Column(name = "RUNIT_FK")
    private Integer runitFk;
    @Column(name = "RRENSTRA_KEGIATAN_FK")
    private Integer rrenstraKegiatanFk;
    @Column(name = "RRENSTRA_IOP_FK")
    private Integer rrenstraIopFk;
    @Size(max = 4)
    @Column(name = "RENSTRA_TOP_TAHUN")
    private String renstraTopTahun;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "RENSTRA_TOP_NILAI_PBL")
    private BigDecimal renstraTopNilaiPbl;
    @Column(name = "RENSTRA_TOP_NILAI_PBT")
    private BigDecimal renstraTopNilaiPbt;
    @Column(name = "RENSTRA_TOP_OH")
    private Integer renstraTopOh;
    @Column(name = "RENSTRA_TOP_RP")
    private BigDecimal renstraTopRp;
    @Column(name = "RENJA_TOP_OH1")
    private Integer renjaTopOh1;
    @Column(name = "RENJA_TOP_NILAI1_PBL")
    private BigDecimal renjaTopNilai1Pbl;
    @Column(name = "RENJA_TOP_NILAI1_PBT")
    private BigDecimal renjaTopNilai1Pbt;
    @Column(name = "RENJA_TOP_RP1")
    private BigDecimal renjaTopRp1;
    @Column(name = "RENJA_TOP_OH2")
    private Integer renjaTopOh2;
    @Column(name = "RENJA_TOP_NILAI2_PBL")
    private BigDecimal renjaTopNilai2Pbl;
    @Column(name = "RENJA_TOP_NILAI2_PBT")
    private BigDecimal renjaTopNilai2Pbt;
    @Column(name = "RENJA_TOP_RP2")
    private BigDecimal renjaTopRp2;
    @Column(name = "RENJA_TOP_OH3")
    private Integer renjaTopOh3;
    @Column(name = "RENJA_TOP_NILAI3_PBL")
    private BigDecimal renjaTopNilai3Pbl;
    @Column(name = "RENJA_TOP_NILAI3_PBT")
    private BigDecimal renjaTopNilai3Pbt;
    @Column(name = "RENJA_TOP_RP3")
    private BigDecimal renjaTopRp3;
    @Column(name = "TAPKIN_TOP_OH")
    private Integer tapkinTopOh;
    @Column(name = "TAPKIN_TOP_NILAI_PBL")
    private BigDecimal tapkinTopNilaiPbl;
    @Column(name = "TAPKIN_TOP_NILAI_PBT")
    private BigDecimal tapkinTopNilaiPbt;
    @Column(name = "TAPKIN_TOP_RP")
    private BigDecimal tapkinTopRp;
    @Size(max = 5)
    @Column(name = "STATUS")
    private String status;
    @Column(name = "ISVALID")
    private Character isvalid;

    public TtargetOp() {
    }

    public TtargetOp(Integer ttargetOpPk) {
        this.ttargetOpPk = ttargetOpPk;
    }

    public Integer getTtargetOpPk() {
        return ttargetOpPk;
    }

    public void setTtargetOpPk(Integer ttargetOpPk) {
        this.ttargetOpPk = ttargetOpPk;
    }

    public Integer getRunitFk() {
        return runitFk;
    }

    public void setRunitFk(Integer runitFk) {
        this.runitFk = runitFk;
    }

    public Integer getRrenstraKegiatanFk() {
        return rrenstraKegiatanFk;
    }

    public void setRrenstraKegiatanFk(Integer rrenstraKegiatanFk) {
        this.rrenstraKegiatanFk = rrenstraKegiatanFk;
    }

    public Integer getRrenstraIopFk() {
        return rrenstraIopFk;
    }

    public void setRrenstraIopFk(Integer rrenstraIopFk) {
        this.rrenstraIopFk = rrenstraIopFk;
    }

    public String getRenstraTopTahun() {
        return renstraTopTahun;
    }

    public void setRenstraTopTahun(String renstraTopTahun) {
        this.renstraTopTahun = renstraTopTahun;
    }

    public BigDecimal getRenstraTopNilaiPbl() {
        return renstraTopNilaiPbl;
    }

    public void setRenstraTopNilaiPbl(BigDecimal renstraTopNilaiPbl) {
        this.renstraTopNilaiPbl = renstraTopNilaiPbl;
    }

    public BigDecimal getRenstraTopNilaiPbt() {
        return renstraTopNilaiPbt;
    }

    public void setRenstraTopNilaiPbt(BigDecimal renstraTopNilaiPbt) {
        this.renstraTopNilaiPbt = renstraTopNilaiPbt;
    }

    public Integer getRenstraTopOh() {
        return renstraTopOh;
    }

    public void setRenstraTopOh(Integer renstraTopOh) {
        this.renstraTopOh = renstraTopOh;
    }

    public BigDecimal getRenstraTopRp() {
        return renstraTopRp;
    }

    public void setRenstraTopRp(BigDecimal renstraTopRp) {
        this.renstraTopRp = renstraTopRp;
    }

    public Integer getRenjaTopOh1() {
        return renjaTopOh1;
    }

    public void setRenjaTopOh1(Integer renjaTopOh1) {
        this.renjaTopOh1 = renjaTopOh1;
    }

    public BigDecimal getRenjaTopNilai1Pbl() {
        return renjaTopNilai1Pbl;
    }

    public void setRenjaTopNilai1Pbl(BigDecimal renjaTopNilai1Pbl) {
        this.renjaTopNilai1Pbl = renjaTopNilai1Pbl;
    }

    public BigDecimal getRenjaTopNilai1Pbt() {
        return renjaTopNilai1Pbt;
    }

    public void setRenjaTopNilai1Pbt(BigDecimal renjaTopNilai1Pbt) {
        this.renjaTopNilai1Pbt = renjaTopNilai1Pbt;
    }

    public BigDecimal getRenjaTopRp1() {
        return renjaTopRp1;
    }

    public void setRenjaTopRp1(BigDecimal renjaTopRp1) {
        this.renjaTopRp1 = renjaTopRp1;
    }

    public Integer getRenjaTopOh2() {
        return renjaTopOh2;
    }

    public void setRenjaTopOh2(Integer renjaTopOh2) {
        this.renjaTopOh2 = renjaTopOh2;
    }

    public BigDecimal getRenjaTopNilai2Pbl() {
        return renjaTopNilai2Pbl;
    }

    public void setRenjaTopNilai2Pbl(BigDecimal renjaTopNilai2Pbl) {
        this.renjaTopNilai2Pbl = renjaTopNilai2Pbl;
    }

    public BigDecimal getRenjaTopNilai2Pbt() {
        return renjaTopNilai2Pbt;
    }

    public void setRenjaTopNilai2Pbt(BigDecimal renjaTopNilai2Pbt) {
        this.renjaTopNilai2Pbt = renjaTopNilai2Pbt;
    }

    public BigDecimal getRenjaTopRp2() {
        return renjaTopRp2;
    }

    public void setRenjaTopRp2(BigDecimal renjaTopRp2) {
        this.renjaTopRp2 = renjaTopRp2;
    }

    public Integer getRenjaTopOh3() {
        return renjaTopOh3;
    }

    public void setRenjaTopOh3(Integer renjaTopOh3) {
        this.renjaTopOh3 = renjaTopOh3;
    }

    public BigDecimal getRenjaTopNilai3Pbl() {
        return renjaTopNilai3Pbl;
    }

    public void setRenjaTopNilai3Pbl(BigDecimal renjaTopNilai3Pbl) {
        this.renjaTopNilai3Pbl = renjaTopNilai3Pbl;
    }

    public BigDecimal getRenjaTopNilai3Pbt() {
        return renjaTopNilai3Pbt;
    }

    public void setRenjaTopNilai3Pbt(BigDecimal renjaTopNilai3Pbt) {
        this.renjaTopNilai3Pbt = renjaTopNilai3Pbt;
    }

    public BigDecimal getRenjaTopRp3() {
        return renjaTopRp3;
    }

    public void setRenjaTopRp3(BigDecimal renjaTopRp3) {
        this.renjaTopRp3 = renjaTopRp3;
    }

    public Integer getTapkinTopOh() {
        return tapkinTopOh;
    }

    public void setTapkinTopOh(Integer tapkinTopOh) {
        this.tapkinTopOh = tapkinTopOh;
    }

    public BigDecimal getTapkinTopNilaiPbl() {
        return tapkinTopNilaiPbl;
    }

    public void setTapkinTopNilaiPbl(BigDecimal tapkinTopNilaiPbl) {
        this.tapkinTopNilaiPbl = tapkinTopNilaiPbl;
    }

    public BigDecimal getTapkinTopNilaiPbt() {
        return tapkinTopNilaiPbt;
    }

    public void setTapkinTopNilaiPbt(BigDecimal tapkinTopNilaiPbt) {
        this.tapkinTopNilaiPbt = tapkinTopNilaiPbt;
    }

    public BigDecimal getTapkinTopRp() {
        return tapkinTopRp;
    }

    public void setTapkinTopRp(BigDecimal tapkinTopRp) {
        this.tapkinTopRp = tapkinTopRp;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Character getIsvalid() {
        return isvalid;
    }

    public void setIsvalid(Character isvalid) {
        this.isvalid = isvalid;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (ttargetOpPk != null ? ttargetOpPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TtargetOp)) {
            return false;
        }
        TtargetOp other = (TtargetOp) object;
        if ((this.ttargetOpPk == null && other.ttargetOpPk != null) || (this.ttargetOpPk != null && !this.ttargetOpPk.equals(other.ttargetOpPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.TtargetOp[ ttargetOpPk=" + ttargetOpPk + " ]";
    }
    
}
