/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TURKT_PELAKSANA_TEMP")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TurktPelaksanaTemp.findAll", query = "SELECT t FROM TurktPelaksanaTemp t"),
    @NamedQuery(name = "TurktPelaksanaTemp.findByTurktPelaksanaTempPk", query = "SELECT t FROM TurktPelaksanaTemp t WHERE t.turktPelaksanaTempPk = :turktPelaksanaTempPk"),
    @NamedQuery(name = "TurktPelaksanaTemp.findByTurktPelaksanaFk", query = "SELECT t FROM TurktPelaksanaTemp t WHERE t.turktPelaksanaFk = :turktPelaksanaFk"),
    @NamedQuery(name = "TurktPelaksanaTemp.findByTurktAsalFk", query = "SELECT t FROM TurktPelaksanaTemp t WHERE t.turktAsalFk = :turktAsalFk"),
    @NamedQuery(name = "TurktPelaksanaTemp.findByRunitFk", query = "SELECT t FROM TurktPelaksanaTemp t WHERE t.runitFk = :runitFk"),
    @NamedQuery(name = "TurktPelaksanaTemp.findByRkabkotaFk", query = "SELECT t FROM TurktPelaksanaTemp t WHERE t.rkabkotaFk = :rkabkotaFk"),
    @NamedQuery(name = "TurktPelaksanaTemp.findByJmlPelaksana", query = "SELECT t FROM TurktPelaksanaTemp t WHERE t.jmlPelaksana = :jmlPelaksana"),
    @NamedQuery(name = "TurktPelaksanaTemp.findByKinerja", query = "SELECT t FROM TurktPelaksanaTemp t WHERE t.kinerja = :kinerja"),
    @NamedQuery(name = "TurktPelaksanaTemp.findByTurktPenugasanFk", query = "SELECT t FROM TurktPelaksanaTemp t WHERE t.turktPenugasanFk = :turktPenugasanFk")})
public class TurktPelaksanaTemp implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TURKT_PELAKSANA_TEMP_PK")
    private Integer turktPelaksanaTempPk;
    @Column(name = "TURKT_PELAKSANA_FK")
    private Integer turktPelaksanaFk;
    @Column(name = "TURKT_ASAL_FK")
    private Integer turktAsalFk;
    @Column(name = "RUNIT_FK")
    private Integer runitFk;
    @Column(name = "RKABKOTA_FK")
    private Integer rkabkotaFk;
    @Column(name = "JML_PELAKSANA")
    private Integer jmlPelaksana;
    @Column(name = "KINERJA")
    private Integer kinerja;
    @Column(name = "TURKT_PENUGASAN_FK")
    private Integer turktPenugasanFk;

    public TurktPelaksanaTemp() {
    }

    public TurktPelaksanaTemp(Integer turktPelaksanaTempPk) {
        this.turktPelaksanaTempPk = turktPelaksanaTempPk;
    }

    public Integer getTurktPelaksanaTempPk() {
        return turktPelaksanaTempPk;
    }

    public void setTurktPelaksanaTempPk(Integer turktPelaksanaTempPk) {
        this.turktPelaksanaTempPk = turktPelaksanaTempPk;
    }

    public Integer getTurktPelaksanaFk() {
        return turktPelaksanaFk;
    }

    public void setTurktPelaksanaFk(Integer turktPelaksanaFk) {
        this.turktPelaksanaFk = turktPelaksanaFk;
    }

    public Integer getTurktAsalFk() {
        return turktAsalFk;
    }

    public void setTurktAsalFk(Integer turktAsalFk) {
        this.turktAsalFk = turktAsalFk;
    }

    public Integer getRunitFk() {
        return runitFk;
    }

    public void setRunitFk(Integer runitFk) {
        this.runitFk = runitFk;
    }

    public Integer getRkabkotaFk() {
        return rkabkotaFk;
    }

    public void setRkabkotaFk(Integer rkabkotaFk) {
        this.rkabkotaFk = rkabkotaFk;
    }

    public Integer getJmlPelaksana() {
        return jmlPelaksana;
    }

    public void setJmlPelaksana(Integer jmlPelaksana) {
        this.jmlPelaksana = jmlPelaksana;
    }

    public Integer getKinerja() {
        return kinerja;
    }

    public void setKinerja(Integer kinerja) {
        this.kinerja = kinerja;
    }

    public Integer getTurktPenugasanFk() {
        return turktPenugasanFk;
    }

    public void setTurktPenugasanFk(Integer turktPenugasanFk) {
        this.turktPenugasanFk = turktPenugasanFk;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (turktPelaksanaTempPk != null ? turktPelaksanaTempPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TurktPelaksanaTemp)) {
            return false;
        }
        TurktPelaksanaTemp other = (TurktPelaksanaTemp) object;
        if ((this.turktPelaksanaTempPk == null && other.turktPelaksanaTempPk != null) || (this.turktPelaksanaTempPk != null && !this.turktPelaksanaTempPk.equals(other.turktPelaksanaTempPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.TurktPelaksanaTemp[ turktPelaksanaTempPk=" + turktPelaksanaTempPk + " ]";
    }
    
}
