/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TUSER")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tuser.findAll", query = "SELECT t FROM Tuser t"),
    @NamedQuery(name = "Tuser.findByTuserpk", query = "SELECT t FROM Tuser t WHERE t.tuserpk = :tuserpk"),
    @NamedQuery(name = "Tuser.findByUsercode", query = "SELECT t FROM Tuser t WHERE t.usercode = :usercode"),
    @NamedQuery(name = "Tuser.findByUsername", query = "SELECT t FROM Tuser t WHERE t.username = :username"),
    @NamedQuery(name = "Tuser.findByPassword", query = "SELECT t FROM Tuser t WHERE t.password = :password")})
public class Tuser implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TUSERPK")
    private Long tuserpk;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 30)
    @Column(name = "USERCODE")
    private String usercode;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 50)
    @Column(name = "USERNAME")
    private String username;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 50)
    @Column(name = "PASSWORD")
    private String password;
    @JoinColumn(name = "TPARROLE_FK", referencedColumnName = "TPARROLE_PK")
    @ManyToOne(optional = false)
    private Tparrole tparroleFk;
    @JoinColumn(name = "RPEGAWAI_FK", referencedColumnName = "RPEGAWAI_PK")
    @ManyToOne(optional = false)
    private Rpegawai rpegawaiFk;

    public Tuser() {
    }

    public Tuser(Long tuserpk) {
        this.tuserpk = tuserpk;
    }

    public Tuser(Long tuserpk, String usercode, String username, String password) {
        this.tuserpk = tuserpk;
        this.usercode = usercode;
        this.username = username;
        this.password = password;
    }

    public Long getTuserpk() {
        return tuserpk;
    }

    public void setTuserpk(Long tuserpk) {
        this.tuserpk = tuserpk;
    }

    public String getUsercode() {
        return usercode;
    }

    public void setUsercode(String usercode) {
        this.usercode = usercode;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Tparrole getTparroleFk() {
        return tparroleFk;
    }

    public void setTparroleFk(Tparrole tparroleFk) {
        this.tparroleFk = tparroleFk;
    }

    public Rpegawai getRpegawaiFk() {
        return rpegawaiFk;
    }

    public void setRpegawaiFk(Rpegawai rpegawaiFk) {
        this.rpegawaiFk = rpegawaiFk;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tuserpk != null ? tuserpk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tuser)) {
            return false;
        }
        Tuser other = (Tuser) object;
        if ((this.tuserpk == null && other.tuserpk != null) || (this.tuserpk != null && !this.tuserpk.equals(other.tuserpk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Tuser[ tuserpk=" + tuserpk + " ]";
    }
    
}
