/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "EXPLAIN_INSTANCE")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "ExplainInstance.findAll", query = "SELECT e FROM ExplainInstance e"),
    @NamedQuery(name = "ExplainInstance.findByExplainRequester", query = "SELECT e FROM ExplainInstance e WHERE e.explainInstancePK.explainRequester = :explainRequester"),
    @NamedQuery(name = "ExplainInstance.findByExplainTime", query = "SELECT e FROM ExplainInstance e WHERE e.explainInstancePK.explainTime = :explainTime"),
    @NamedQuery(name = "ExplainInstance.findBySourceName", query = "SELECT e FROM ExplainInstance e WHERE e.explainInstancePK.sourceName = :sourceName"),
    @NamedQuery(name = "ExplainInstance.findBySourceSchema", query = "SELECT e FROM ExplainInstance e WHERE e.explainInstancePK.sourceSchema = :sourceSchema"),
    @NamedQuery(name = "ExplainInstance.findBySourceVersion", query = "SELECT e FROM ExplainInstance e WHERE e.explainInstancePK.sourceVersion = :sourceVersion"),
    @NamedQuery(name = "ExplainInstance.findByExplainOption", query = "SELECT e FROM ExplainInstance e WHERE e.explainOption = :explainOption"),
    @NamedQuery(name = "ExplainInstance.findBySnapshotTaken", query = "SELECT e FROM ExplainInstance e WHERE e.snapshotTaken = :snapshotTaken"),
    @NamedQuery(name = "ExplainInstance.findByDb2Version", query = "SELECT e FROM ExplainInstance e WHERE e.db2Version = :db2Version"),
    @NamedQuery(name = "ExplainInstance.findBySqlType", query = "SELECT e FROM ExplainInstance e WHERE e.sqlType = :sqlType"),
    @NamedQuery(name = "ExplainInstance.findByQueryopt", query = "SELECT e FROM ExplainInstance e WHERE e.queryopt = :queryopt"),
    @NamedQuery(name = "ExplainInstance.findByBlock", query = "SELECT e FROM ExplainInstance e WHERE e.block = :block"),
    @NamedQuery(name = "ExplainInstance.findByIsolation", query = "SELECT e FROM ExplainInstance e WHERE e.isolation = :isolation"),
    @NamedQuery(name = "ExplainInstance.findByBuffpage", query = "SELECT e FROM ExplainInstance e WHERE e.buffpage = :buffpage"),
    @NamedQuery(name = "ExplainInstance.findByAvgAppls", query = "SELECT e FROM ExplainInstance e WHERE e.avgAppls = :avgAppls"),
    @NamedQuery(name = "ExplainInstance.findBySortheap", query = "SELECT e FROM ExplainInstance e WHERE e.sortheap = :sortheap"),
    @NamedQuery(name = "ExplainInstance.findByLocklist", query = "SELECT e FROM ExplainInstance e WHERE e.locklist = :locklist"),
    @NamedQuery(name = "ExplainInstance.findByMaxlocks", query = "SELECT e FROM ExplainInstance e WHERE e.maxlocks = :maxlocks"),
    @NamedQuery(name = "ExplainInstance.findByLocksAvail", query = "SELECT e FROM ExplainInstance e WHERE e.locksAvail = :locksAvail"),
    @NamedQuery(name = "ExplainInstance.findByCpuSpeed", query = "SELECT e FROM ExplainInstance e WHERE e.cpuSpeed = :cpuSpeed"),
    @NamedQuery(name = "ExplainInstance.findByRemarks", query = "SELECT e FROM ExplainInstance e WHERE e.remarks = :remarks"),
    @NamedQuery(name = "ExplainInstance.findByDbheap", query = "SELECT e FROM ExplainInstance e WHERE e.dbheap = :dbheap"),
    @NamedQuery(name = "ExplainInstance.findByCommSpeed", query = "SELECT e FROM ExplainInstance e WHERE e.commSpeed = :commSpeed"),
    @NamedQuery(name = "ExplainInstance.findByParallelism", query = "SELECT e FROM ExplainInstance e WHERE e.parallelism = :parallelism"),
    @NamedQuery(name = "ExplainInstance.findByDatajoiner", query = "SELECT e FROM ExplainInstance e WHERE e.datajoiner = :datajoiner")})
public class ExplainInstance implements Serializable {
    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected ExplainInstancePK explainInstancePK;
    @Basic(optional = false)
    @NotNull
    @Column(name = "EXPLAIN_OPTION")
    private char explainOption;
    @Basic(optional = false)
    @NotNull
    @Column(name = "SNAPSHOT_TAKEN")
    private char snapshotTaken;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 7)
    @Column(name = "DB2_VERSION")
    private String db2Version;
    @Basic(optional = false)
    @NotNull
    @Column(name = "SQL_TYPE")
    private char sqlType;
    @Basic(optional = false)
    @NotNull
    @Column(name = "QUERYOPT")
    private int queryopt;
    @Basic(optional = false)
    @NotNull
    @Column(name = "BLOCK")
    private char block;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "ISOLATION")
    private String isolation;
    @Basic(optional = false)
    @NotNull
    @Column(name = "BUFFPAGE")
    private int buffpage;
    @Basic(optional = false)
    @NotNull
    @Column(name = "AVG_APPLS")
    private int avgAppls;
    @Basic(optional = false)
    @NotNull
    @Column(name = "SORTHEAP")
    private int sortheap;
    @Basic(optional = false)
    @NotNull
    @Column(name = "LOCKLIST")
    private int locklist;
    @Basic(optional = false)
    @NotNull
    @Column(name = "MAXLOCKS")
    private short maxlocks;
    @Basic(optional = false)
    @NotNull
    @Column(name = "LOCKS_AVAIL")
    private int locksAvail;
    @Basic(optional = false)
    @NotNull
    @Column(name = "CPU_SPEED")
    private double cpuSpeed;
    @Size(max = 254)
    @Column(name = "REMARKS")
    private String remarks;
    @Basic(optional = false)
    @NotNull
    @Column(name = "DBHEAP")
    private int dbheap;
    @Basic(optional = false)
    @NotNull
    @Column(name = "COMM_SPEED")
    private double commSpeed;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "PARALLELISM")
    private String parallelism;
    @Basic(optional = false)
    @NotNull
    @Column(name = "DATAJOINER")
    private char datajoiner;

    public ExplainInstance() {
    }

    public ExplainInstance(ExplainInstancePK explainInstancePK) {
        this.explainInstancePK = explainInstancePK;
    }

    public ExplainInstance(ExplainInstancePK explainInstancePK, char explainOption, char snapshotTaken, String db2Version, char sqlType, int queryopt, char block, String isolation, int buffpage, int avgAppls, int sortheap, int locklist, short maxlocks, int locksAvail, double cpuSpeed, int dbheap, double commSpeed, String parallelism, char datajoiner) {
        this.explainInstancePK = explainInstancePK;
        this.explainOption = explainOption;
        this.snapshotTaken = snapshotTaken;
        this.db2Version = db2Version;
        this.sqlType = sqlType;
        this.queryopt = queryopt;
        this.block = block;
        this.isolation = isolation;
        this.buffpage = buffpage;
        this.avgAppls = avgAppls;
        this.sortheap = sortheap;
        this.locklist = locklist;
        this.maxlocks = maxlocks;
        this.locksAvail = locksAvail;
        this.cpuSpeed = cpuSpeed;
        this.dbheap = dbheap;
        this.commSpeed = commSpeed;
        this.parallelism = parallelism;
        this.datajoiner = datajoiner;
    }

    public ExplainInstance(String explainRequester, Date explainTime, String sourceName, String sourceSchema, String sourceVersion) {
        this.explainInstancePK = new ExplainInstancePK(explainRequester, explainTime, sourceName, sourceSchema, sourceVersion);
    }

    public ExplainInstancePK getExplainInstancePK() {
        return explainInstancePK;
    }

    public void setExplainInstancePK(ExplainInstancePK explainInstancePK) {
        this.explainInstancePK = explainInstancePK;
    }

    public char getExplainOption() {
        return explainOption;
    }

    public void setExplainOption(char explainOption) {
        this.explainOption = explainOption;
    }

    public char getSnapshotTaken() {
        return snapshotTaken;
    }

    public void setSnapshotTaken(char snapshotTaken) {
        this.snapshotTaken = snapshotTaken;
    }

    public String getDb2Version() {
        return db2Version;
    }

    public void setDb2Version(String db2Version) {
        this.db2Version = db2Version;
    }

    public char getSqlType() {
        return sqlType;
    }

    public void setSqlType(char sqlType) {
        this.sqlType = sqlType;
    }

    public int getQueryopt() {
        return queryopt;
    }

    public void setQueryopt(int queryopt) {
        this.queryopt = queryopt;
    }

    public char getBlock() {
        return block;
    }

    public void setBlock(char block) {
        this.block = block;
    }

    public String getIsolation() {
        return isolation;
    }

    public void setIsolation(String isolation) {
        this.isolation = isolation;
    }

    public int getBuffpage() {
        return buffpage;
    }

    public void setBuffpage(int buffpage) {
        this.buffpage = buffpage;
    }

    public int getAvgAppls() {
        return avgAppls;
    }

    public void setAvgAppls(int avgAppls) {
        this.avgAppls = avgAppls;
    }

    public int getSortheap() {
        return sortheap;
    }

    public void setSortheap(int sortheap) {
        this.sortheap = sortheap;
    }

    public int getLocklist() {
        return locklist;
    }

    public void setLocklist(int locklist) {
        this.locklist = locklist;
    }

    public short getMaxlocks() {
        return maxlocks;
    }

    public void setMaxlocks(short maxlocks) {
        this.maxlocks = maxlocks;
    }

    public int getLocksAvail() {
        return locksAvail;
    }

    public void setLocksAvail(int locksAvail) {
        this.locksAvail = locksAvail;
    }

    public double getCpuSpeed() {
        return cpuSpeed;
    }

    public void setCpuSpeed(double cpuSpeed) {
        this.cpuSpeed = cpuSpeed;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public int getDbheap() {
        return dbheap;
    }

    public void setDbheap(int dbheap) {
        this.dbheap = dbheap;
    }

    public double getCommSpeed() {
        return commSpeed;
    }

    public void setCommSpeed(double commSpeed) {
        this.commSpeed = commSpeed;
    }

    public String getParallelism() {
        return parallelism;
    }

    public void setParallelism(String parallelism) {
        this.parallelism = parallelism;
    }

    public char getDatajoiner() {
        return datajoiner;
    }

    public void setDatajoiner(char datajoiner) {
        this.datajoiner = datajoiner;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (explainInstancePK != null ? explainInstancePK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ExplainInstance)) {
            return false;
        }
        ExplainInstance other = (ExplainInstance) object;
        if ((this.explainInstancePK == null && other.explainInstancePK != null) || (this.explainInstancePK != null && !this.explainInstancePK.equals(other.explainInstancePK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.ExplainInstance[ explainInstancePK=" + explainInstancePK + " ]";
    }
    
}
