/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "KELOMPOK_PERAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "KelompokPeran.findAll", query = "SELECT k FROM KelompokPeran k"),
    @NamedQuery(name = "KelompokPeran.findByKelompokPeranPk", query = "SELECT k FROM KelompokPeran k WHERE k.kelompokPeranPk = :kelompokPeranPk"),
    @NamedQuery(name = "KelompokPeran.findByKelompokPeranNama", query = "SELECT k FROM KelompokPeran k WHERE k.kelompokPeranNama = :kelompokPeranNama")})
public class KelompokPeran implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "KELOMPOK_PERAN_PK")
    private Long kelompokPeranPk;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 255)
    @Column(name = "KELOMPOK_PERAN_NAMA")
    private String kelompokPeranNama;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "kelompokPeranFk")
    private Collection<Peran> peranCollection;

    public KelompokPeran() {
    }

    public KelompokPeran(Long kelompokPeranPk) {
        this.kelompokPeranPk = kelompokPeranPk;
    }

    public KelompokPeran(Long kelompokPeranPk, String kelompokPeranNama) {
        this.kelompokPeranPk = kelompokPeranPk;
        this.kelompokPeranNama = kelompokPeranNama;
    }

    public Long getKelompokPeranPk() {
        return kelompokPeranPk;
    }

    public void setKelompokPeranPk(Long kelompokPeranPk) {
        this.kelompokPeranPk = kelompokPeranPk;
    }

    public String getKelompokPeranNama() {
        return kelompokPeranNama;
    }

    public void setKelompokPeranNama(String kelompokPeranNama) {
        this.kelompokPeranNama = kelompokPeranNama;
    }

    @XmlTransient
    public Collection<Peran> getPeranCollection() {
        return peranCollection;
    }

    public void setPeranCollection(Collection<Peran> peranCollection) {
        this.peranCollection = peranCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (kelompokPeranPk != null ? kelompokPeranPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof KelompokPeran)) {
            return false;
        }
        KelompokPeran other = (KelompokPeran) object;
        if ((this.kelompokPeranPk == null && other.kelompokPeranPk != null) || (this.kelompokPeranPk != null && !this.kelompokPeranPk.equals(other.kelompokPeranPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.KelompokPeran[ kelompokPeranPk=" + kelompokPeranPk + " ]";
    }
    
}
