/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RBIDANG")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rbidang.findAll", query = "SELECT r FROM Rbidang r"),
    @NamedQuery(name = "Rbidang.findByRbidangPk", query = "SELECT r FROM Rbidang r WHERE r.rbidangPk = :rbidangPk"),
    @NamedQuery(name = "Rbidang.findByRunitFk", query = "SELECT r FROM Rbidang r WHERE r.runitFk = :runitFk"),
    @NamedQuery(name = "Rbidang.findByBidangcode", query = "SELECT r FROM Rbidang r WHERE r.bidangcode = :bidangcode"),
    @NamedQuery(name = "Rbidang.findByBidangname", query = "SELECT r FROM Rbidang r WHERE r.bidangname = :bidangname")})
public class Rbidang implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RBIDANG_PK")
    private Integer rbidangPk;
    @Column(name = "RUNIT_FK")
    private Integer runitFk;
    @Size(max = 15)
    @Column(name = "BIDANGCODE")
    private String bidangcode;
    @Size(max = 100)
    @Column(name = "BIDANGNAME")
    private String bidangname;

    public Rbidang() {
    }

    public Rbidang(Integer rbidangPk) {
        this.rbidangPk = rbidangPk;
    }

    public Integer getRbidangPk() {
        return rbidangPk;
    }

    public void setRbidangPk(Integer rbidangPk) {
        this.rbidangPk = rbidangPk;
    }

    public Integer getRunitFk() {
        return runitFk;
    }

    public void setRunitFk(Integer runitFk) {
        this.runitFk = runitFk;
    }

    public String getBidangcode() {
        return bidangcode;
    }

    public void setBidangcode(String bidangcode) {
        this.bidangcode = bidangcode;
    }

    public String getBidangname() {
        return bidangname;
    }

    public void setBidangname(String bidangname) {
        this.bidangname = bidangname;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rbidangPk != null ? rbidangPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rbidang)) {
            return false;
        }
        Rbidang other = (Rbidang) object;
        if ((this.rbidangPk == null && other.rbidangPk != null) || (this.rbidangPk != null && !this.rbidangPk.equals(other.rbidangPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rbidang[ rbidangPk=" + rbidangPk + " ]";
    }
    
}
