/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RDEPARTEMEN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rdepartemen.findAll", query = "SELECT r FROM Rdepartemen r"),
    @NamedQuery(name = "Rdepartemen.findByRdepartemenPk", query = "SELECT r FROM Rdepartemen r WHERE r.rdepartemenPk = :rdepartemenPk"),
    @NamedQuery(name = "Rdepartemen.findByRmenkoFk", query = "SELECT r FROM Rdepartemen r WHERE r.rmenkoFk = :rmenkoFk"),
    @NamedQuery(name = "Rdepartemen.findByRjenisLembagaFk", query = "SELECT r FROM Rdepartemen r WHERE r.rjenisLembagaFk = :rjenisLembagaFk"),
    @NamedQuery(name = "Rdepartemen.findByDepartemenCode", query = "SELECT r FROM Rdepartemen r WHERE r.departemenCode = :departemenCode"),
    @NamedQuery(name = "Rdepartemen.findByDepartemenName", query = "SELECT r FROM Rdepartemen r WHERE r.departemenName = :departemenName"),
    @NamedQuery(name = "Rdepartemen.findByDepartemenAktif", query = "SELECT r FROM Rdepartemen r WHERE r.departemenAktif = :departemenAktif")})
public class Rdepartemen implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RDEPARTEMEN_PK")
    private Integer rdepartemenPk;
    @Column(name = "RMENKO_FK")
    private Integer rmenkoFk;
    @Column(name = "RJENIS_LEMBAGA_FK")
    private Integer rjenisLembagaFk;
    @Size(max = 30)
    @Column(name = "DEPARTEMEN_CODE")
    private String departemenCode;
    @Size(max = 250)
    @Column(name = "DEPARTEMEN_NAME")
    private String departemenName;
    @Basic(optional = false)
    @NotNull
    @Column(name = "DEPARTEMEN_AKTIF")
    private char departemenAktif;

    public Rdepartemen() {
    }

    public Rdepartemen(Integer rdepartemenPk) {
        this.rdepartemenPk = rdepartemenPk;
    }

    public Rdepartemen(Integer rdepartemenPk, char departemenAktif) {
        this.rdepartemenPk = rdepartemenPk;
        this.departemenAktif = departemenAktif;
    }

    public Integer getRdepartemenPk() {
        return rdepartemenPk;
    }

    public void setRdepartemenPk(Integer rdepartemenPk) {
        this.rdepartemenPk = rdepartemenPk;
    }

    public Integer getRmenkoFk() {
        return rmenkoFk;
    }

    public void setRmenkoFk(Integer rmenkoFk) {
        this.rmenkoFk = rmenkoFk;
    }

    public Integer getRjenisLembagaFk() {
        return rjenisLembagaFk;
    }

    public void setRjenisLembagaFk(Integer rjenisLembagaFk) {
        this.rjenisLembagaFk = rjenisLembagaFk;
    }

    public String getDepartemenCode() {
        return departemenCode;
    }

    public void setDepartemenCode(String departemenCode) {
        this.departemenCode = departemenCode;
    }

    public String getDepartemenName() {
        return departemenName;
    }

    public void setDepartemenName(String departemenName) {
        this.departemenName = departemenName;
    }

    public char getDepartemenAktif() {
        return departemenAktif;
    }

    public void setDepartemenAktif(char departemenAktif) {
        this.departemenAktif = departemenAktif;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rdepartemenPk != null ? rdepartemenPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rdepartemen)) {
            return false;
        }
        Rdepartemen other = (Rdepartemen) object;
        if ((this.rdepartemenPk == null && other.rdepartemenPk != null) || (this.rdepartemenPk != null && !this.rdepartemenPk.equals(other.rdepartemenPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rdepartemen[ rdepartemenPk=" + rdepartemenPk + " ]";
    }
    
}
