/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RDIPA")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rdipa.findAll", query = "SELECT r FROM Rdipa r"),
    @NamedQuery(name = "Rdipa.findByRdipaPk", query = "SELECT r FROM Rdipa r WHERE r.rdipaPk = :rdipaPk"),
    @NamedQuery(name = "Rdipa.findByTahun", query = "SELECT r FROM Rdipa r WHERE r.tahun = :tahun")})
public class Rdipa implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RDIPA_PK")
    private Integer rdipaPk;
    @Size(max = 4)
    @Column(name = "TAHUN")
    private String tahun;

    public Rdipa() {
    }

    public Rdipa(Integer rdipaPk) {
        this.rdipaPk = rdipaPk;
    }

    public Integer getRdipaPk() {
        return rdipaPk;
    }

    public void setRdipaPk(Integer rdipaPk) {
        this.rdipaPk = rdipaPk;
    }

    public String getTahun() {
        return tahun;
    }

    public void setTahun(String tahun) {
        this.tahun = tahun;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rdipaPk != null ? rdipaPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rdipa)) {
            return false;
        }
        Rdipa other = (Rdipa) object;
        if ((this.rdipaPk == null && other.rdipaPk != null) || (this.rdipaPk != null && !this.rdipaPk.equals(other.rdipaPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rdipa[ rdipaPk=" + rdipaPk + " ]";
    }
    
}
