/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RDIPA_KEGIATAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RdipaKegiatan.findAll", query = "SELECT r FROM RdipaKegiatan r"),
    @NamedQuery(name = "RdipaKegiatan.findByRdipaKegiatanPk", query = "SELECT r FROM RdipaKegiatan r WHERE r.rdipaKegiatanPk = :rdipaKegiatanPk"),
    @NamedQuery(name = "RdipaKegiatan.findByRdipaFk", query = "SELECT r FROM RdipaKegiatan r WHERE r.rdipaFk = :rdipaFk"),
    @NamedQuery(name = "RdipaKegiatan.findByDipaKegiatanCode", query = "SELECT r FROM RdipaKegiatan r WHERE r.dipaKegiatanCode = :dipaKegiatanCode"),
    @NamedQuery(name = "RdipaKegiatan.findByDipaKegiatanName", query = "SELECT r FROM RdipaKegiatan r WHERE r.dipaKegiatanName = :dipaKegiatanName")})
public class RdipaKegiatan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RDIPA_KEGIATAN_PK")
    private Integer rdipaKegiatanPk;
    @Column(name = "RDIPA_FK")
    private Integer rdipaFk;
    @Size(max = 30)
    @Column(name = "DIPA_KEGIATAN_CODE")
    private String dipaKegiatanCode;
    @Size(max = 250)
    @Column(name = "DIPA_KEGIATAN_NAME")
    private String dipaKegiatanName;

    public RdipaKegiatan() {
    }

    public RdipaKegiatan(Integer rdipaKegiatanPk) {
        this.rdipaKegiatanPk = rdipaKegiatanPk;
    }

    public Integer getRdipaKegiatanPk() {
        return rdipaKegiatanPk;
    }

    public void setRdipaKegiatanPk(Integer rdipaKegiatanPk) {
        this.rdipaKegiatanPk = rdipaKegiatanPk;
    }

    public Integer getRdipaFk() {
        return rdipaFk;
    }

    public void setRdipaFk(Integer rdipaFk) {
        this.rdipaFk = rdipaFk;
    }

    public String getDipaKegiatanCode() {
        return dipaKegiatanCode;
    }

    public void setDipaKegiatanCode(String dipaKegiatanCode) {
        this.dipaKegiatanCode = dipaKegiatanCode;
    }

    public String getDipaKegiatanName() {
        return dipaKegiatanName;
    }

    public void setDipaKegiatanName(String dipaKegiatanName) {
        this.dipaKegiatanName = dipaKegiatanName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rdipaKegiatanPk != null ? rdipaKegiatanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RdipaKegiatan)) {
            return false;
        }
        RdipaKegiatan other = (RdipaKegiatan) object;
        if ((this.rdipaKegiatanPk == null && other.rdipaKegiatanPk != null) || (this.rdipaKegiatanPk != null && !this.rdipaKegiatanPk.equals(other.rdipaKegiatanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RdipaKegiatan[ rdipaKegiatanPk=" + rdipaKegiatanPk + " ]";
    }
    
}
