/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RDIPA_MAK")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RdipaMak.findAll", query = "SELECT r FROM RdipaMak r"),
    @NamedQuery(name = "RdipaMak.findByRdipaMakPk", query = "SELECT r FROM RdipaMak r WHERE r.rdipaMakPk = :rdipaMakPk"),
    @NamedQuery(name = "RdipaMak.findByRdipaFk", query = "SELECT r FROM RdipaMak r WHERE r.rdipaFk = :rdipaFk"),
    @NamedQuery(name = "RdipaMak.findByDipaMakCode", query = "SELECT r FROM RdipaMak r WHERE r.dipaMakCode = :dipaMakCode"),
    @NamedQuery(name = "RdipaMak.findByDipaMakName", query = "SELECT r FROM RdipaMak r WHERE r.dipaMakName = :dipaMakName")})
public class RdipaMak implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RDIPA_MAK_PK")
    private Integer rdipaMakPk;
    @Column(name = "RDIPA_FK")
    private Integer rdipaFk;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 30)
    @Column(name = "DIPA_MAK_CODE")
    private String dipaMakCode;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 250)
    @Column(name = "DIPA_MAK_NAME")
    private String dipaMakName;

    public RdipaMak() {
    }

    public RdipaMak(Integer rdipaMakPk) {
        this.rdipaMakPk = rdipaMakPk;
    }

    public RdipaMak(Integer rdipaMakPk, String dipaMakCode, String dipaMakName) {
        this.rdipaMakPk = rdipaMakPk;
        this.dipaMakCode = dipaMakCode;
        this.dipaMakName = dipaMakName;
    }

    public Integer getRdipaMakPk() {
        return rdipaMakPk;
    }

    public void setRdipaMakPk(Integer rdipaMakPk) {
        this.rdipaMakPk = rdipaMakPk;
    }

    public Integer getRdipaFk() {
        return rdipaFk;
    }

    public void setRdipaFk(Integer rdipaFk) {
        this.rdipaFk = rdipaFk;
    }

    public String getDipaMakCode() {
        return dipaMakCode;
    }

    public void setDipaMakCode(String dipaMakCode) {
        this.dipaMakCode = dipaMakCode;
    }

    public String getDipaMakName() {
        return dipaMakName;
    }

    public void setDipaMakName(String dipaMakName) {
        this.dipaMakName = dipaMakName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rdipaMakPk != null ? rdipaMakPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RdipaMak)) {
            return false;
        }
        RdipaMak other = (RdipaMak) object;
        if ((this.rdipaMakPk == null && other.rdipaMakPk != null) || (this.rdipaMakPk != null && !this.rdipaMakPk.equals(other.rdipaMakPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RdipaMak[ rdipaMakPk=" + rdipaMakPk + " ]";
    }
    
}
