/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RDIPA_OP")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RdipaOp.findAll", query = "SELECT r FROM RdipaOp r"),
    @NamedQuery(name = "RdipaOp.findByRdipaOpPk", query = "SELECT r FROM RdipaOp r WHERE r.rdipaOpPk = :rdipaOpPk"),
    @NamedQuery(name = "RdipaOp.findByRdipaFk", query = "SELECT r FROM RdipaOp r WHERE r.rdipaFk = :rdipaFk"),
    @NamedQuery(name = "RdipaOp.findByDipaOpCode", query = "SELECT r FROM RdipaOp r WHERE r.dipaOpCode = :dipaOpCode"),
    @NamedQuery(name = "RdipaOp.findByDipaOpName", query = "SELECT r FROM RdipaOp r WHERE r.dipaOpName = :dipaOpName"),
    @NamedQuery(name = "RdipaOp.findByRdipaKegiatanFk", query = "SELECT r FROM RdipaOp r WHERE r.rdipaKegiatanFk = :rdipaKegiatanFk"),
    @NamedQuery(name = "RdipaOp.findByRsatuanFk", query = "SELECT r FROM RdipaOp r WHERE r.rsatuanFk = :rsatuanFk")})
public class RdipaOp implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RDIPA_OP_PK")
    private Integer rdipaOpPk;
    @Column(name = "RDIPA_FK")
    private Integer rdipaFk;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 30)
    @Column(name = "DIPA_OP_CODE")
    private String dipaOpCode;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 250)
    @Column(name = "DIPA_OP_NAME")
    private String dipaOpName;
    @Column(name = "RDIPA_KEGIATAN_FK")
    private Integer rdipaKegiatanFk;
    @Column(name = "RSATUAN_FK")
    private Integer rsatuanFk;

    public RdipaOp() {
    }

    public RdipaOp(Integer rdipaOpPk) {
        this.rdipaOpPk = rdipaOpPk;
    }

    public RdipaOp(Integer rdipaOpPk, String dipaOpCode, String dipaOpName) {
        this.rdipaOpPk = rdipaOpPk;
        this.dipaOpCode = dipaOpCode;
        this.dipaOpName = dipaOpName;
    }

    public Integer getRdipaOpPk() {
        return rdipaOpPk;
    }

    public void setRdipaOpPk(Integer rdipaOpPk) {
        this.rdipaOpPk = rdipaOpPk;
    }

    public Integer getRdipaFk() {
        return rdipaFk;
    }

    public void setRdipaFk(Integer rdipaFk) {
        this.rdipaFk = rdipaFk;
    }

    public String getDipaOpCode() {
        return dipaOpCode;
    }

    public void setDipaOpCode(String dipaOpCode) {
        this.dipaOpCode = dipaOpCode;
    }

    public String getDipaOpName() {
        return dipaOpName;
    }

    public void setDipaOpName(String dipaOpName) {
        this.dipaOpName = dipaOpName;
    }

    public Integer getRdipaKegiatanFk() {
        return rdipaKegiatanFk;
    }

    public void setRdipaKegiatanFk(Integer rdipaKegiatanFk) {
        this.rdipaKegiatanFk = rdipaKegiatanFk;
    }

    public Integer getRsatuanFk() {
        return rsatuanFk;
    }

    public void setRsatuanFk(Integer rsatuanFk) {
        this.rsatuanFk = rsatuanFk;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rdipaOpPk != null ? rdipaOpPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RdipaOp)) {
            return false;
        }
        RdipaOp other = (RdipaOp) object;
        if ((this.rdipaOpPk == null && other.rdipaOpPk != null) || (this.rdipaOpPk != null && !this.rdipaOpPk.equals(other.rdipaOpPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RdipaOp[ rdipaOpPk=" + rdipaOpPk + " ]";
    }
    
}
