/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RDIPA_PROGRAM")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RdipaProgram.findAll", query = "SELECT r FROM RdipaProgram r"),
    @NamedQuery(name = "RdipaProgram.findByRdipaProgramPk", query = "SELECT r FROM RdipaProgram r WHERE r.rdipaProgramPk = :rdipaProgramPk"),
    @NamedQuery(name = "RdipaProgram.findByRdipaFk", query = "SELECT r FROM RdipaProgram r WHERE r.rdipaFk = :rdipaFk"),
    @NamedQuery(name = "RdipaProgram.findByDipaProgramCode", query = "SELECT r FROM RdipaProgram r WHERE r.dipaProgramCode = :dipaProgramCode"),
    @NamedQuery(name = "RdipaProgram.findByDipaProgramName", query = "SELECT r FROM RdipaProgram r WHERE r.dipaProgramName = :dipaProgramName")})
public class RdipaProgram implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RDIPA_PROGRAM_PK")
    private Integer rdipaProgramPk;
    @Column(name = "RDIPA_FK")
    private Integer rdipaFk;
    @Size(max = 30)
    @Column(name = "DIPA_PROGRAM_CODE")
    private String dipaProgramCode;
    @Size(max = 250)
    @Column(name = "DIPA_PROGRAM_NAME")
    private String dipaProgramName;

    public RdipaProgram() {
    }

    public RdipaProgram(Integer rdipaProgramPk) {
        this.rdipaProgramPk = rdipaProgramPk;
    }

    public Integer getRdipaProgramPk() {
        return rdipaProgramPk;
    }

    public void setRdipaProgramPk(Integer rdipaProgramPk) {
        this.rdipaProgramPk = rdipaProgramPk;
    }

    public Integer getRdipaFk() {
        return rdipaFk;
    }

    public void setRdipaFk(Integer rdipaFk) {
        this.rdipaFk = rdipaFk;
    }

    public String getDipaProgramCode() {
        return dipaProgramCode;
    }

    public void setDipaProgramCode(String dipaProgramCode) {
        this.dipaProgramCode = dipaProgramCode;
    }

    public String getDipaProgramName() {
        return dipaProgramName;
    }

    public void setDipaProgramName(String dipaProgramName) {
        this.dipaProgramName = dipaProgramName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rdipaProgramPk != null ? rdipaProgramPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RdipaProgram)) {
            return false;
        }
        RdipaProgram other = (RdipaProgram) object;
        if ((this.rdipaProgramPk == null && other.rdipaProgramPk != null) || (this.rdipaProgramPk != null && !this.rdipaProgramPk.equals(other.rdipaProgramPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RdipaProgram[ rdipaProgramPk=" + rdipaProgramPk + " ]";
    }
    
}
