/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RISSUE_DAERAH")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RissueDaerah.findAll", query = "SELECT r FROM RissueDaerah r"),
    @NamedQuery(name = "RissueDaerah.findByRissueDaerahPk", query = "SELECT r FROM RissueDaerah r WHERE r.rissueDaerahPk = :rissueDaerahPk"),
    @NamedQuery(name = "RissueDaerah.findByIssueDaerahCode", query = "SELECT r FROM RissueDaerah r WHERE r.issueDaerahCode = :issueDaerahCode"),
    @NamedQuery(name = "RissueDaerah.findByIssueDaerahName", query = "SELECT r FROM RissueDaerah r WHERE r.issueDaerahName = :issueDaerahName")})
public class RissueDaerah implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RISSUE_DAERAH_PK")
    private Integer rissueDaerahPk;
    @Size(max = 30)
    @Column(name = "ISSUE_DAERAH_CODE")
    private String issueDaerahCode;
    @Size(max = 250)
    @Column(name = "ISSUE_DAERAH_NAME")
    private String issueDaerahName;

    public RissueDaerah() {
    }

    public RissueDaerah(Integer rissueDaerahPk) {
        this.rissueDaerahPk = rissueDaerahPk;
    }

    public Integer getRissueDaerahPk() {
        return rissueDaerahPk;
    }

    public void setRissueDaerahPk(Integer rissueDaerahPk) {
        this.rissueDaerahPk = rissueDaerahPk;
    }

    public String getIssueDaerahCode() {
        return issueDaerahCode;
    }

    public void setIssueDaerahCode(String issueDaerahCode) {
        this.issueDaerahCode = issueDaerahCode;
    }

    public String getIssueDaerahName() {
        return issueDaerahName;
    }

    public void setIssueDaerahName(String issueDaerahName) {
        this.issueDaerahName = issueDaerahName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rissueDaerahPk != null ? rissueDaerahPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RissueDaerah)) {
            return false;
        }
        RissueDaerah other = (RissueDaerah) object;
        if ((this.rissueDaerahPk == null && other.rissueDaerahPk != null) || (this.rissueDaerahPk != null && !this.rissueDaerahPk.equals(other.rissueDaerahPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RissueDaerah[ rissueDaerahPk=" + rissueDaerahPk + " ]";
    }
    
}
