/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RKABKOTA")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rkabkota.findAll", query = "SELECT r FROM Rkabkota r"),
    @NamedQuery(name = "Rkabkota.findByRkabkotaPk", query = "SELECT r FROM Rkabkota r WHERE r.rkabkotaPk = :rkabkotaPk"),
    @NamedQuery(name = "Rkabkota.findByRprovinsiFk", query = "SELECT r FROM Rkabkota r WHERE r.rprovinsiFk = :rprovinsiFk"),
    @NamedQuery(name = "Rkabkota.findByKabkotaCode", query = "SELECT r FROM Rkabkota r WHERE r.kabkotaCode = :kabkotaCode"),
    @NamedQuery(name = "Rkabkota.findByKabkotaName", query = "SELECT r FROM Rkabkota r WHERE r.kabkotaName = :kabkotaName")})
public class Rkabkota implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RKABKOTA_PK")
    private Integer rkabkotaPk;
    @Column(name = "RPROVINSI_FK")
    private Integer rprovinsiFk;
    @Size(max = 30)
    @Column(name = "KABKOTA_CODE")
    private String kabkotaCode;
    @Size(max = 100)
    @Column(name = "KABKOTA_NAME")
    private String kabkotaName;

    public Rkabkota() {
    }

    public Rkabkota(Integer rkabkotaPk) {
        this.rkabkotaPk = rkabkotaPk;
    }

    public Integer getRkabkotaPk() {
        return rkabkotaPk;
    }

    public void setRkabkotaPk(Integer rkabkotaPk) {
        this.rkabkotaPk = rkabkotaPk;
    }

    public Integer getRprovinsiFk() {
        return rprovinsiFk;
    }

    public void setRprovinsiFk(Integer rprovinsiFk) {
        this.rprovinsiFk = rprovinsiFk;
    }

    public String getKabkotaCode() {
        return kabkotaCode;
    }

    public void setKabkotaCode(String kabkotaCode) {
        this.kabkotaCode = kabkotaCode;
    }

    public String getKabkotaName() {
        return kabkotaName;
    }

    public void setKabkotaName(String kabkotaName) {
        this.kabkotaName = kabkotaName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rkabkotaPk != null ? rkabkotaPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rkabkota)) {
            return false;
        }
        Rkabkota other = (Rkabkota) object;
        if ((this.rkabkotaPk == null && other.rkabkotaPk != null) || (this.rkabkotaPk != null && !this.rkabkotaPk.equals(other.rkabkotaPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rkabkota[ rkabkotaPk=" + rkabkotaPk + " ]";
    }
    
}
