/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RKAP_PROGRAM")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RkapProgram.findAll", query = "SELECT r FROM RkapProgram r"),
    @NamedQuery(name = "RkapProgram.findByRkapProgramPk", query = "SELECT r FROM RkapProgram r WHERE r.rkapProgramPk = :rkapProgramPk"),
    @NamedQuery(name = "RkapProgram.findByRkapKebijakanFk", query = "SELECT r FROM RkapProgram r WHERE r.rkapKebijakanFk = :rkapKebijakanFk"),
    @NamedQuery(name = "RkapProgram.findByKapProgramCode", query = "SELECT r FROM RkapProgram r WHERE r.kapProgramCode = :kapProgramCode"),
    @NamedQuery(name = "RkapProgram.findByKapProgramName", query = "SELECT r FROM RkapProgram r WHERE r.kapProgramName = :kapProgramName")})
public class RkapProgram implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RKAP_PROGRAM_PK")
    private Integer rkapProgramPk;
    @Column(name = "RKAP_KEBIJAKAN_FK")
    private Integer rkapKebijakanFk;
    @Size(max = 30)
    @Column(name = "KAP_PROGRAM_CODE")
    private String kapProgramCode;
    @Size(max = 250)
    @Column(name = "KAP_PROGRAM_NAME")
    private String kapProgramName;

    public RkapProgram() {
    }

    public RkapProgram(Integer rkapProgramPk) {
        this.rkapProgramPk = rkapProgramPk;
    }

    public Integer getRkapProgramPk() {
        return rkapProgramPk;
    }

    public void setRkapProgramPk(Integer rkapProgramPk) {
        this.rkapProgramPk = rkapProgramPk;
    }

    public Integer getRkapKebijakanFk() {
        return rkapKebijakanFk;
    }

    public void setRkapKebijakanFk(Integer rkapKebijakanFk) {
        this.rkapKebijakanFk = rkapKebijakanFk;
    }

    public String getKapProgramCode() {
        return kapProgramCode;
    }

    public void setKapProgramCode(String kapProgramCode) {
        this.kapProgramCode = kapProgramCode;
    }

    public String getKapProgramName() {
        return kapProgramName;
    }

    public void setKapProgramName(String kapProgramName) {
        this.kapProgramName = kapProgramName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rkapProgramPk != null ? rkapProgramPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RkapProgram)) {
            return false;
        }
        RkapProgram other = (RkapProgram) object;
        if ((this.rkapProgramPk == null && other.rkapProgramPk != null) || (this.rkapProgramPk != null && !this.rkapProgramPk.equals(other.rkapProgramPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RkapProgram[ rkapProgramPk=" + rkapProgramPk + " ]";
    }
    
}
