/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RKEGIATAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rkegiatan.findAll", query = "SELECT r FROM Rkegiatan r"),
    @NamedQuery(name = "Rkegiatan.findByRkegiatanPk", query = "SELECT r FROM Rkegiatan r WHERE r.rkegiatanPk = :rkegiatanPk"),
    @NamedQuery(name = "Rkegiatan.findByRgroupKegiatanFk", query = "SELECT r FROM Rkegiatan r WHERE r.rgroupKegiatanFk = :rgroupKegiatanFk"),
    @NamedQuery(name = "Rkegiatan.findByKegiatanCode", query = "SELECT r FROM Rkegiatan r WHERE r.kegiatanCode = :kegiatanCode"),
    @NamedQuery(name = "Rkegiatan.findByKegiatanName", query = "SELECT r FROM Rkegiatan r WHERE r.kegiatanName = :kegiatanName")})
public class Rkegiatan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RKEGIATAN_PK")
    private Integer rkegiatanPk;
    @Column(name = "RGROUP_KEGIATAN_FK")
    private Integer rgroupKegiatanFk;
    @Size(max = 30)
    @Column(name = "KEGIATAN_CODE")
    private String kegiatanCode;
    @Size(max = 100)
    @Column(name = "KEGIATAN_NAME")
    private String kegiatanName;

    public Rkegiatan() {
    }

    public Rkegiatan(Integer rkegiatanPk) {
        this.rkegiatanPk = rkegiatanPk;
    }

    public Integer getRkegiatanPk() {
        return rkegiatanPk;
    }

    public void setRkegiatanPk(Integer rkegiatanPk) {
        this.rkegiatanPk = rkegiatanPk;
    }

    public Integer getRgroupKegiatanFk() {
        return rgroupKegiatanFk;
    }

    public void setRgroupKegiatanFk(Integer rgroupKegiatanFk) {
        this.rgroupKegiatanFk = rgroupKegiatanFk;
    }

    public String getKegiatanCode() {
        return kegiatanCode;
    }

    public void setKegiatanCode(String kegiatanCode) {
        this.kegiatanCode = kegiatanCode;
    }

    public String getKegiatanName() {
        return kegiatanName;
    }

    public void setKegiatanName(String kegiatanName) {
        this.kegiatanName = kegiatanName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rkegiatanPk != null ? rkegiatanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rkegiatan)) {
            return false;
        }
        Rkegiatan other = (Rkegiatan) object;
        if ((this.rkegiatanPk == null && other.rkegiatanPk != null) || (this.rkegiatanPk != null && !this.rkegiatanPk.equals(other.rkegiatanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rkegiatan[ rkegiatanPk=" + rkegiatanPk + " ]";
    }
    
}
