/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RLEMBAGA_TK2")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RlembagaTk2.findAll", query = "SELECT r FROM RlembagaTk2 r"),
    @NamedQuery(name = "RlembagaTk2.findByRlembagaTk2Pk", query = "SELECT r FROM RlembagaTk2 r WHERE r.rlembagaTk2Pk = :rlembagaTk2Pk"),
    @NamedQuery(name = "RlembagaTk2.findByRdepartemenFk", query = "SELECT r FROM RlembagaTk2 r WHERE r.rdepartemenFk = :rdepartemenFk"),
    @NamedQuery(name = "RlembagaTk2.findByLembagaTk2Code", query = "SELECT r FROM RlembagaTk2 r WHERE r.lembagaTk2Code = :lembagaTk2Code"),
    @NamedQuery(name = "RlembagaTk2.findByLembagaTk2Name", query = "SELECT r FROM RlembagaTk2 r WHERE r.lembagaTk2Name = :lembagaTk2Name")})
public class RlembagaTk2 implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RLEMBAGA_TK2_PK")
    private Integer rlembagaTk2Pk;
    @Column(name = "RDEPARTEMEN_FK")
    private Integer rdepartemenFk;
    @Size(max = 30)
    @Column(name = "LEMBAGA_TK2_CODE")
    private String lembagaTk2Code;
    @Size(max = 250)
    @Column(name = "LEMBAGA_TK2_NAME")
    private String lembagaTk2Name;

    public RlembagaTk2() {
    }

    public RlembagaTk2(Integer rlembagaTk2Pk) {
        this.rlembagaTk2Pk = rlembagaTk2Pk;
    }

    public Integer getRlembagaTk2Pk() {
        return rlembagaTk2Pk;
    }

    public void setRlembagaTk2Pk(Integer rlembagaTk2Pk) {
        this.rlembagaTk2Pk = rlembagaTk2Pk;
    }

    public Integer getRdepartemenFk() {
        return rdepartemenFk;
    }

    public void setRdepartemenFk(Integer rdepartemenFk) {
        this.rdepartemenFk = rdepartemenFk;
    }

    public String getLembagaTk2Code() {
        return lembagaTk2Code;
    }

    public void setLembagaTk2Code(String lembagaTk2Code) {
        this.lembagaTk2Code = lembagaTk2Code;
    }

    public String getLembagaTk2Name() {
        return lembagaTk2Name;
    }

    public void setLembagaTk2Name(String lembagaTk2Name) {
        this.lembagaTk2Name = lembagaTk2Name;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rlembagaTk2Pk != null ? rlembagaTk2Pk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RlembagaTk2)) {
            return false;
        }
        RlembagaTk2 other = (RlembagaTk2) object;
        if ((this.rlembagaTk2Pk == null && other.rlembagaTk2Pk != null) || (this.rlembagaTk2Pk != null && !this.rlembagaTk2Pk.equals(other.rlembagaTk2Pk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RlembagaTk2[ rlembagaTk2Pk=" + rlembagaTk2Pk + " ]";
    }
    
}
