/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RPP60")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rpp60.findAll", query = "SELECT r FROM Rpp60 r"),
    @NamedQuery(name = "Rpp60.findByRpp60Pk", query = "SELECT r FROM Rpp60 r WHERE r.rpp60Pk = :rpp60Pk"),
    @NamedQuery(name = "Rpp60.findByPp60Code", query = "SELECT r FROM Rpp60 r WHERE r.pp60Code = :pp60Code"),
    @NamedQuery(name = "Rpp60.findByPp60Name", query = "SELECT r FROM Rpp60 r WHERE r.pp60Name = :pp60Name")})
public class Rpp60 implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RPP60_PK")
    private Integer rpp60Pk;
    @Size(max = 30)
    @Column(name = "PP60_CODE")
    private String pp60Code;
    @Size(max = 100)
    @Column(name = "PP60_NAME")
    private String pp60Name;

    public Rpp60() {
    }

    public Rpp60(Integer rpp60Pk) {
        this.rpp60Pk = rpp60Pk;
    }

    public Integer getRpp60Pk() {
        return rpp60Pk;
    }

    public void setRpp60Pk(Integer rpp60Pk) {
        this.rpp60Pk = rpp60Pk;
    }

    public String getPp60Code() {
        return pp60Code;
    }

    public void setPp60Code(String pp60Code) {
        this.pp60Code = pp60Code;
    }

    public String getPp60Name() {
        return pp60Name;
    }

    public void setPp60Name(String pp60Name) {
        this.pp60Name = pp60Name;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rpp60Pk != null ? rpp60Pk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rpp60)) {
            return false;
        }
        Rpp60 other = (Rpp60) object;
        if ((this.rpp60Pk == null && other.rpp60Pk != null) || (this.rpp60Pk != null && !this.rpp60Pk.equals(other.rpp60Pk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rpp60[ rpp60Pk=" + rpp60Pk + " ]";
    }
    
}
