/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RPRODUK")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Rproduk.findAll", query = "SELECT r FROM Rproduk r"),
    @NamedQuery(name = "Rproduk.findByRprodukPk", query = "SELECT r FROM Rproduk r WHERE r.rprodukPk = :rprodukPk"),
    @NamedQuery(name = "Rproduk.findByProdukCode", query = "SELECT r FROM Rproduk r WHERE r.produkCode = :produkCode"),
    @NamedQuery(name = "Rproduk.findByProdukName", query = "SELECT r FROM Rproduk r WHERE r.produkName = :produkName")})
public class Rproduk implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RPRODUK_PK")
    private Integer rprodukPk;
    @Size(max = 30)
    @Column(name = "PRODUK_CODE")
    private String produkCode;
    @Size(max = 250)
    @Column(name = "PRODUK_NAME")
    private String produkName;

    public Rproduk() {
    }

    public Rproduk(Integer rprodukPk) {
        this.rprodukPk = rprodukPk;
    }

    public Integer getRprodukPk() {
        return rprodukPk;
    }

    public void setRprodukPk(Integer rprodukPk) {
        this.rprodukPk = rprodukPk;
    }

    public String getProdukCode() {
        return produkCode;
    }

    public void setProdukCode(String produkCode) {
        this.produkCode = produkCode;
    }

    public String getProdukName() {
        return produkName;
    }

    public void setProdukName(String produkName) {
        this.produkName = produkName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rprodukPk != null ? rprodukPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Rproduk)) {
            return false;
        }
        Rproduk other = (Rproduk) object;
        if ((this.rprodukPk == null && other.rprodukPk != null) || (this.rprodukPk != null && !this.rprodukPk.equals(other.rprodukPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.Rproduk[ rprodukPk=" + rprodukPk + " ]";
    }
    
}
