/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRENSTRA_IOC")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrenstraIoc.findAll", query = "SELECT r FROM RrenstraIoc r"),
    @NamedQuery(name = "RrenstraIoc.findByRrenstraIocPk", query = "SELECT r FROM RrenstraIoc r WHERE r.rrenstraIocPk = :rrenstraIocPk"),
    @NamedQuery(name = "RrenstraIoc.findByRrenstraOcFk", query = "SELECT r FROM RrenstraIoc r WHERE r.rrenstraOcFk = :rrenstraOcFk"),
    @NamedQuery(name = "RrenstraIoc.findByRsatuanFk", query = "SELECT r FROM RrenstraIoc r WHERE r.rsatuanFk = :rsatuanFk"),
    @NamedQuery(name = "RrenstraIoc.findByRenstraIocCode", query = "SELECT r FROM RrenstraIoc r WHERE r.renstraIocCode = :renstraIocCode"),
    @NamedQuery(name = "RrenstraIoc.findByRenstraIocName", query = "SELECT r FROM RrenstraIoc r WHERE r.renstraIocName = :renstraIocName")})
public class RrenstraIoc implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRENSTRA_IOC_PK")
    private Integer rrenstraIocPk;
    @Column(name = "RRENSTRA_OC_FK")
    private Integer rrenstraOcFk;
    @Column(name = "RSATUAN_FK")
    private Integer rsatuanFk;
    @Size(max = 30)
    @Column(name = "RENSTRA_IOC_CODE")
    private String renstraIocCode;
    @Size(max = 250)
    @Column(name = "RENSTRA_IOC_NAME")
    private String renstraIocName;

    public RrenstraIoc() {
    }

    public RrenstraIoc(Integer rrenstraIocPk) {
        this.rrenstraIocPk = rrenstraIocPk;
    }

    public Integer getRrenstraIocPk() {
        return rrenstraIocPk;
    }

    public void setRrenstraIocPk(Integer rrenstraIocPk) {
        this.rrenstraIocPk = rrenstraIocPk;
    }

    public Integer getRrenstraOcFk() {
        return rrenstraOcFk;
    }

    public void setRrenstraOcFk(Integer rrenstraOcFk) {
        this.rrenstraOcFk = rrenstraOcFk;
    }

    public Integer getRsatuanFk() {
        return rsatuanFk;
    }

    public void setRsatuanFk(Integer rsatuanFk) {
        this.rsatuanFk = rsatuanFk;
    }

    public String getRenstraIocCode() {
        return renstraIocCode;
    }

    public void setRenstraIocCode(String renstraIocCode) {
        this.renstraIocCode = renstraIocCode;
    }

    public String getRenstraIocName() {
        return renstraIocName;
    }

    public void setRenstraIocName(String renstraIocName) {
        this.renstraIocName = renstraIocName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrenstraIocPk != null ? rrenstraIocPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrenstraIoc)) {
            return false;
        }
        RrenstraIoc other = (RrenstraIoc) object;
        if ((this.rrenstraIocPk == null && other.rrenstraIocPk != null) || (this.rrenstraIocPk != null && !this.rrenstraIocPk.equals(other.rrenstraIocPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrenstraIoc[ rrenstraIocPk=" + rrenstraIocPk + " ]";
    }
    
}
