/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRENSTRA_IOP")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrenstraIop.findAll", query = "SELECT r FROM RrenstraIop r"),
    @NamedQuery(name = "RrenstraIop.findByRrenstraIopPk", query = "SELECT r FROM RrenstraIop r WHERE r.rrenstraIopPk = :rrenstraIopPk"),
    @NamedQuery(name = "RrenstraIop.findByRrenstraOcFk", query = "SELECT r FROM RrenstraIop r WHERE r.rrenstraOcFk = :rrenstraOcFk"),
    @NamedQuery(name = "RrenstraIop.findByRsatuanFk", query = "SELECT r FROM RrenstraIop r WHERE r.rsatuanFk = :rsatuanFk"),
    @NamedQuery(name = "RrenstraIop.findByRrenstraIopCode", query = "SELECT r FROM RrenstraIop r WHERE r.rrenstraIopCode = :rrenstraIopCode"),
    @NamedQuery(name = "RrenstraIop.findByRrenstraIopName", query = "SELECT r FROM RrenstraIop r WHERE r.rrenstraIopName = :rrenstraIopName")})
public class RrenstraIop implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRENSTRA_IOP_PK")
    private Integer rrenstraIopPk;
    @Column(name = "RRENSTRA_OC_FK")
    private Integer rrenstraOcFk;
    @Column(name = "RSATUAN_FK")
    private Integer rsatuanFk;
    @Size(max = 30)
    @Column(name = "RRENSTRA_IOP_CODE")
    private String rrenstraIopCode;
    @Size(max = 250)
    @Column(name = "RRENSTRA_IOP_NAME")
    private String rrenstraIopName;

    public RrenstraIop() {
    }

    public RrenstraIop(Integer rrenstraIopPk) {
        this.rrenstraIopPk = rrenstraIopPk;
    }

    public Integer getRrenstraIopPk() {
        return rrenstraIopPk;
    }

    public void setRrenstraIopPk(Integer rrenstraIopPk) {
        this.rrenstraIopPk = rrenstraIopPk;
    }

    public Integer getRrenstraOcFk() {
        return rrenstraOcFk;
    }

    public void setRrenstraOcFk(Integer rrenstraOcFk) {
        this.rrenstraOcFk = rrenstraOcFk;
    }

    public Integer getRsatuanFk() {
        return rsatuanFk;
    }

    public void setRsatuanFk(Integer rsatuanFk) {
        this.rsatuanFk = rsatuanFk;
    }

    public String getRrenstraIopCode() {
        return rrenstraIopCode;
    }

    public void setRrenstraIopCode(String rrenstraIopCode) {
        this.rrenstraIopCode = rrenstraIopCode;
    }

    public String getRrenstraIopName() {
        return rrenstraIopName;
    }

    public void setRrenstraIopName(String rrenstraIopName) {
        this.rrenstraIopName = rrenstraIopName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrenstraIopPk != null ? rrenstraIopPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrenstraIop)) {
            return false;
        }
        RrenstraIop other = (RrenstraIop) object;
        if ((this.rrenstraIopPk == null && other.rrenstraIopPk != null) || (this.rrenstraIopPk != null && !this.rrenstraIopPk.equals(other.rrenstraIopPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrenstraIop[ rrenstraIopPk=" + rrenstraIopPk + " ]";
    }
    
}
