/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRENSTRA_KEGIATAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrenstraKegiatan.findAll", query = "SELECT r FROM RrenstraKegiatan r"),
    @NamedQuery(name = "RrenstraKegiatan.findByRrenstraKegiatanPk", query = "SELECT r FROM RrenstraKegiatan r WHERE r.rrenstraKegiatanPk = :rrenstraKegiatanPk"),
    @NamedQuery(name = "RrenstraKegiatan.findByRrenstraProgramFk", query = "SELECT r FROM RrenstraKegiatan r WHERE r.rrenstraProgramFk = :rrenstraProgramFk"),
    @NamedQuery(name = "RrenstraKegiatan.findByRenstraKegiatanCode", query = "SELECT r FROM RrenstraKegiatan r WHERE r.renstraKegiatanCode = :renstraKegiatanCode"),
    @NamedQuery(name = "RrenstraKegiatan.findByRenstraKegiatanName", query = "SELECT r FROM RrenstraKegiatan r WHERE r.renstraKegiatanName = :renstraKegiatanName"),
    @NamedQuery(name = "RrenstraKegiatan.findByRenstraKegiatanDesc", query = "SELECT r FROM RrenstraKegiatan r WHERE r.renstraKegiatanDesc = :renstraKegiatanDesc"),
    @NamedQuery(name = "RrenstraKegiatan.findByRenstraKegiatanOp", query = "SELECT r FROM RrenstraKegiatan r WHERE r.renstraKegiatanOp = :renstraKegiatanOp")})
public class RrenstraKegiatan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRENSTRA_KEGIATAN_PK")
    private Integer rrenstraKegiatanPk;
    @Column(name = "RRENSTRA_PROGRAM_FK")
    private Integer rrenstraProgramFk;
    @Size(max = 30)
    @Column(name = "RENSTRA_KEGIATAN_CODE")
    private String renstraKegiatanCode;
    @Size(max = 250)
    @Column(name = "RENSTRA_KEGIATAN_NAME")
    private String renstraKegiatanName;
    @Size(max = 250)
    @Column(name = "RENSTRA_KEGIATAN_DESC")
    private String renstraKegiatanDesc;
    @Size(max = 250)
    @Column(name = "RENSTRA_KEGIATAN_OP")
    private String renstraKegiatanOp;

    public RrenstraKegiatan() {
    }

    public RrenstraKegiatan(Integer rrenstraKegiatanPk) {
        this.rrenstraKegiatanPk = rrenstraKegiatanPk;
    }

    public Integer getRrenstraKegiatanPk() {
        return rrenstraKegiatanPk;
    }

    public void setRrenstraKegiatanPk(Integer rrenstraKegiatanPk) {
        this.rrenstraKegiatanPk = rrenstraKegiatanPk;
    }

    public Integer getRrenstraProgramFk() {
        return rrenstraProgramFk;
    }

    public void setRrenstraProgramFk(Integer rrenstraProgramFk) {
        this.rrenstraProgramFk = rrenstraProgramFk;
    }

    public String getRenstraKegiatanCode() {
        return renstraKegiatanCode;
    }

    public void setRenstraKegiatanCode(String renstraKegiatanCode) {
        this.renstraKegiatanCode = renstraKegiatanCode;
    }

    public String getRenstraKegiatanName() {
        return renstraKegiatanName;
    }

    public void setRenstraKegiatanName(String renstraKegiatanName) {
        this.renstraKegiatanName = renstraKegiatanName;
    }

    public String getRenstraKegiatanDesc() {
        return renstraKegiatanDesc;
    }

    public void setRenstraKegiatanDesc(String renstraKegiatanDesc) {
        this.renstraKegiatanDesc = renstraKegiatanDesc;
    }

    public String getRenstraKegiatanOp() {
        return renstraKegiatanOp;
    }

    public void setRenstraKegiatanOp(String renstraKegiatanOp) {
        this.renstraKegiatanOp = renstraKegiatanOp;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrenstraKegiatanPk != null ? rrenstraKegiatanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrenstraKegiatan)) {
            return false;
        }
        RrenstraKegiatan other = (RrenstraKegiatan) object;
        if ((this.rrenstraKegiatanPk == null && other.rrenstraKegiatanPk != null) || (this.rrenstraKegiatanPk != null && !this.rrenstraKegiatanPk.equals(other.rrenstraKegiatanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrenstraKegiatan[ rrenstraKegiatanPk=" + rrenstraKegiatanPk + " ]";
    }
    
}
