/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRENSTRA_MISI")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrenstraMisi.findAll", query = "SELECT r FROM RrenstraMisi r"),
    @NamedQuery(name = "RrenstraMisi.findByRrenstraMisiPk", query = "SELECT r FROM RrenstraMisi r WHERE r.rrenstraMisiPk = :rrenstraMisiPk"),
    @NamedQuery(name = "RrenstraMisi.findByRrenstraVisiFk", query = "SELECT r FROM RrenstraMisi r WHERE r.rrenstraVisiFk = :rrenstraVisiFk"),
    @NamedQuery(name = "RrenstraMisi.findByRrenstraMisiCode", query = "SELECT r FROM RrenstraMisi r WHERE r.rrenstraMisiCode = :rrenstraMisiCode"),
    @NamedQuery(name = "RrenstraMisi.findByRrenstraMisiDesc", query = "SELECT r FROM RrenstraMisi r WHERE r.rrenstraMisiDesc = :rrenstraMisiDesc")})
public class RrenstraMisi implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRENSTRA_MISI_PK")
    private Integer rrenstraMisiPk;
    @Column(name = "RRENSTRA_VISI_FK")
    private Integer rrenstraVisiFk;
    @Size(max = 30)
    @Column(name = "RRENSTRA_MISI_CODE")
    private String rrenstraMisiCode;
    @Size(max = 250)
    @Column(name = "RRENSTRA_MISI_DESC")
    private String rrenstraMisiDesc;

    public RrenstraMisi() {
    }

    public RrenstraMisi(Integer rrenstraMisiPk) {
        this.rrenstraMisiPk = rrenstraMisiPk;
    }

    public Integer getRrenstraMisiPk() {
        return rrenstraMisiPk;
    }

    public void setRrenstraMisiPk(Integer rrenstraMisiPk) {
        this.rrenstraMisiPk = rrenstraMisiPk;
    }

    public Integer getRrenstraVisiFk() {
        return rrenstraVisiFk;
    }

    public void setRrenstraVisiFk(Integer rrenstraVisiFk) {
        this.rrenstraVisiFk = rrenstraVisiFk;
    }

    public String getRrenstraMisiCode() {
        return rrenstraMisiCode;
    }

    public void setRrenstraMisiCode(String rrenstraMisiCode) {
        this.rrenstraMisiCode = rrenstraMisiCode;
    }

    public String getRrenstraMisiDesc() {
        return rrenstraMisiDesc;
    }

    public void setRrenstraMisiDesc(String rrenstraMisiDesc) {
        this.rrenstraMisiDesc = rrenstraMisiDesc;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrenstraMisiPk != null ? rrenstraMisiPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrenstraMisi)) {
            return false;
        }
        RrenstraMisi other = (RrenstraMisi) object;
        if ((this.rrenstraMisiPk == null && other.rrenstraMisiPk != null) || (this.rrenstraMisiPk != null && !this.rrenstraMisiPk.equals(other.rrenstraMisiPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrenstraMisi[ rrenstraMisiPk=" + rrenstraMisiPk + " ]";
    }
    
}
