/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRENSTRA_PROGRAM")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrenstraProgram.findAll", query = "SELECT r FROM RrenstraProgram r"),
    @NamedQuery(name = "RrenstraProgram.findByRrenstraProgramPk", query = "SELECT r FROM RrenstraProgram r WHERE r.rrenstraProgramPk = :rrenstraProgramPk"),
    @NamedQuery(name = "RrenstraProgram.findByRrenstraVisiFk", query = "SELECT r FROM RrenstraProgram r WHERE r.rrenstraVisiFk = :rrenstraVisiFk"),
    @NamedQuery(name = "RrenstraProgram.findByRensraProgramCode", query = "SELECT r FROM RrenstraProgram r WHERE r.rensraProgramCode = :rensraProgramCode"),
    @NamedQuery(name = "RrenstraProgram.findByRenstraProgramName", query = "SELECT r FROM RrenstraProgram r WHERE r.renstraProgramName = :renstraProgramName"),
    @NamedQuery(name = "RrenstraProgram.findByRenstraProgramDesc", query = "SELECT r FROM RrenstraProgram r WHERE r.renstraProgramDesc = :renstraProgramDesc")})
public class RrenstraProgram implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRENSTRA_PROGRAM_PK")
    private Integer rrenstraProgramPk;
    @Column(name = "RRENSTRA_VISI_FK")
    private Integer rrenstraVisiFk;
    @Size(max = 30)
    @Column(name = "RENSRA_PROGRAM_CODE")
    private String rensraProgramCode;
    @Size(max = 250)
    @Column(name = "RENSTRA_PROGRAM_NAME")
    private String renstraProgramName;
    @Size(max = 1000)
    @Column(name = "RENSTRA_PROGRAM_DESC")
    private String renstraProgramDesc;

    public RrenstraProgram() {
    }

    public RrenstraProgram(Integer rrenstraProgramPk) {
        this.rrenstraProgramPk = rrenstraProgramPk;
    }

    public Integer getRrenstraProgramPk() {
        return rrenstraProgramPk;
    }

    public void setRrenstraProgramPk(Integer rrenstraProgramPk) {
        this.rrenstraProgramPk = rrenstraProgramPk;
    }

    public Integer getRrenstraVisiFk() {
        return rrenstraVisiFk;
    }

    public void setRrenstraVisiFk(Integer rrenstraVisiFk) {
        this.rrenstraVisiFk = rrenstraVisiFk;
    }

    public String getRensraProgramCode() {
        return rensraProgramCode;
    }

    public void setRensraProgramCode(String rensraProgramCode) {
        this.rensraProgramCode = rensraProgramCode;
    }

    public String getRenstraProgramName() {
        return renstraProgramName;
    }

    public void setRenstraProgramName(String renstraProgramName) {
        this.renstraProgramName = renstraProgramName;
    }

    public String getRenstraProgramDesc() {
        return renstraProgramDesc;
    }

    public void setRenstraProgramDesc(String renstraProgramDesc) {
        this.renstraProgramDesc = renstraProgramDesc;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrenstraProgramPk != null ? rrenstraProgramPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrenstraProgram)) {
            return false;
        }
        RrenstraProgram other = (RrenstraProgram) object;
        if ((this.rrenstraProgramPk == null && other.rrenstraProgramPk != null) || (this.rrenstraProgramPk != null && !this.rrenstraProgramPk.equals(other.rrenstraProgramPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrenstraProgram[ rrenstraProgramPk=" + rrenstraProgramPk + " ]";
    }
    
}
