/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRENSTRA_TUJUAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrenstraTujuan.findAll", query = "SELECT r FROM RrenstraTujuan r"),
    @NamedQuery(name = "RrenstraTujuan.findByRrenstraTujuanPk", query = "SELECT r FROM RrenstraTujuan r WHERE r.rrenstraTujuanPk = :rrenstraTujuanPk"),
    @NamedQuery(name = "RrenstraTujuan.findByRrenstraMisiFk", query = "SELECT r FROM RrenstraTujuan r WHERE r.rrenstraMisiFk = :rrenstraMisiFk"),
    @NamedQuery(name = "RrenstraTujuan.findByRrenstraTujuanCode", query = "SELECT r FROM RrenstraTujuan r WHERE r.rrenstraTujuanCode = :rrenstraTujuanCode"),
    @NamedQuery(name = "RrenstraTujuan.findByRrenstraTujuanDesc", query = "SELECT r FROM RrenstraTujuan r WHERE r.rrenstraTujuanDesc = :rrenstraTujuanDesc")})
public class RrenstraTujuan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRENSTRA_TUJUAN_PK")
    private Integer rrenstraTujuanPk;
    @Column(name = "RRENSTRA_MISI_FK")
    private Integer rrenstraMisiFk;
    @Size(max = 30)
    @Column(name = "RRENSTRA_TUJUAN_CODE")
    private String rrenstraTujuanCode;
    @Size(max = 250)
    @Column(name = "RRENSTRA_TUJUAN_DESC")
    private String rrenstraTujuanDesc;

    public RrenstraTujuan() {
    }

    public RrenstraTujuan(Integer rrenstraTujuanPk) {
        this.rrenstraTujuanPk = rrenstraTujuanPk;
    }

    public Integer getRrenstraTujuanPk() {
        return rrenstraTujuanPk;
    }

    public void setRrenstraTujuanPk(Integer rrenstraTujuanPk) {
        this.rrenstraTujuanPk = rrenstraTujuanPk;
    }

    public Integer getRrenstraMisiFk() {
        return rrenstraMisiFk;
    }

    public void setRrenstraMisiFk(Integer rrenstraMisiFk) {
        this.rrenstraMisiFk = rrenstraMisiFk;
    }

    public String getRrenstraTujuanCode() {
        return rrenstraTujuanCode;
    }

    public void setRrenstraTujuanCode(String rrenstraTujuanCode) {
        this.rrenstraTujuanCode = rrenstraTujuanCode;
    }

    public String getRrenstraTujuanDesc() {
        return rrenstraTujuanDesc;
    }

    public void setRrenstraTujuanDesc(String rrenstraTujuanDesc) {
        this.rrenstraTujuanDesc = rrenstraTujuanDesc;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrenstraTujuanPk != null ? rrenstraTujuanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrenstraTujuan)) {
            return false;
        }
        RrenstraTujuan other = (RrenstraTujuan) object;
        if ((this.rrenstraTujuanPk == null && other.rrenstraTujuanPk != null) || (this.rrenstraTujuanPk != null && !this.rrenstraTujuanPk.equals(other.rrenstraTujuanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrenstraTujuan[ rrenstraTujuanPk=" + rrenstraTujuanPk + " ]";
    }
    
}
