/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRENSTRA_VISI")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrenstraVisi.findAll", query = "SELECT r FROM RrenstraVisi r"),
    @NamedQuery(name = "RrenstraVisi.findByRrenstraVisiPk", query = "SELECT r FROM RrenstraVisi r WHERE r.rrenstraVisiPk = :rrenstraVisiPk"),
    @NamedQuery(name = "RrenstraVisi.findByRenstraVisiCode", query = "SELECT r FROM RrenstraVisi r WHERE r.renstraVisiCode = :renstraVisiCode"),
    @NamedQuery(name = "RrenstraVisi.findByRenstraVisiDesc", query = "SELECT r FROM RrenstraVisi r WHERE r.renstraVisiDesc = :renstraVisiDesc")})
public class RrenstraVisi implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRENSTRA_VISI_PK")
    private Integer rrenstraVisiPk;
    @Size(max = 10)
    @Column(name = "RENSTRA_VISI_CODE")
    private String renstraVisiCode;
    @Size(max = 1000)
    @Column(name = "RENSTRA_VISI_DESC")
    private String renstraVisiDesc;

    public RrenstraVisi() {
    }

    public RrenstraVisi(Integer rrenstraVisiPk) {
        this.rrenstraVisiPk = rrenstraVisiPk;
    }

    public Integer getRrenstraVisiPk() {
        return rrenstraVisiPk;
    }

    public void setRrenstraVisiPk(Integer rrenstraVisiPk) {
        this.rrenstraVisiPk = rrenstraVisiPk;
    }

    public String getRenstraVisiCode() {
        return renstraVisiCode;
    }

    public void setRenstraVisiCode(String renstraVisiCode) {
        this.renstraVisiCode = renstraVisiCode;
    }

    public String getRenstraVisiDesc() {
        return renstraVisiDesc;
    }

    public void setRenstraVisiDesc(String renstraVisiDesc) {
        this.renstraVisiDesc = renstraVisiDesc;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrenstraVisiPk != null ? rrenstraVisiPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrenstraVisi)) {
            return false;
        }
        RrenstraVisi other = (RrenstraVisi) object;
        if ((this.rrenstraVisiPk == null && other.rrenstraVisiPk != null) || (this.rrenstraVisiPk != null && !this.rrenstraVisiPk.equals(other.rrenstraVisiPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrenstraVisi[ rrenstraVisiPk=" + rrenstraVisiPk + " ]";
    }
    
}
