/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRKP_BIDANG")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrkpBidang.findAll", query = "SELECT r FROM RrkpBidang r"),
    @NamedQuery(name = "RrkpBidang.findByRrkpBidangPk", query = "SELECT r FROM RrkpBidang r WHERE r.rrkpBidangPk = :rrkpBidangPk"),
    @NamedQuery(name = "RrkpBidang.findByRkpBidangCode", query = "SELECT r FROM RrkpBidang r WHERE r.rkpBidangCode = :rkpBidangCode"),
    @NamedQuery(name = "RrkpBidang.findByRkpBidangName", query = "SELECT r FROM RrkpBidang r WHERE r.rkpBidangName = :rkpBidangName")})
public class RrkpBidang implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRKP_BIDANG_PK")
    private Integer rrkpBidangPk;
    @Size(max = 30)
    @Column(name = "RKP_BIDANG_CODE")
    private String rkpBidangCode;
    @Size(max = 100)
    @Column(name = "RKP_BIDANG_NAME")
    private String rkpBidangName;

    public RrkpBidang() {
    }

    public RrkpBidang(Integer rrkpBidangPk) {
        this.rrkpBidangPk = rrkpBidangPk;
    }

    public Integer getRrkpBidangPk() {
        return rrkpBidangPk;
    }

    public void setRrkpBidangPk(Integer rrkpBidangPk) {
        this.rrkpBidangPk = rrkpBidangPk;
    }

    public String getRkpBidangCode() {
        return rkpBidangCode;
    }

    public void setRkpBidangCode(String rkpBidangCode) {
        this.rkpBidangCode = rkpBidangCode;
    }

    public String getRkpBidangName() {
        return rkpBidangName;
    }

    public void setRkpBidangName(String rkpBidangName) {
        this.rkpBidangName = rkpBidangName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrkpBidangPk != null ? rrkpBidangPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrkpBidang)) {
            return false;
        }
        RrkpBidang other = (RrkpBidang) object;
        if ((this.rrkpBidangPk == null && other.rrkpBidangPk != null) || (this.rrkpBidangPk != null && !this.rrkpBidangPk.equals(other.rrkpBidangPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrkpBidang[ rrkpBidangPk=" + rrkpBidangPk + " ]";
    }
    
}
