/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRPJMN_BIDANG")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrpjmnBidang.findAll", query = "SELECT r FROM RrpjmnBidang r"),
    @NamedQuery(name = "RrpjmnBidang.findByRrpjmnBidangPk", query = "SELECT r FROM RrpjmnBidang r WHERE r.rrpjmnBidangPk = :rrpjmnBidangPk"),
    @NamedQuery(name = "RrpjmnBidang.findByRpjmnBidangCode", query = "SELECT r FROM RrpjmnBidang r WHERE r.rpjmnBidangCode = :rpjmnBidangCode"),
    @NamedQuery(name = "RrpjmnBidang.findByRpjmnBidangName", query = "SELECT r FROM RrpjmnBidang r WHERE r.rpjmnBidangName = :rpjmnBidangName")})
public class RrpjmnBidang implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRPJMN_BIDANG_PK")
    private Integer rrpjmnBidangPk;
    @Size(max = 30)
    @Column(name = "RPJMN_BIDANG_CODE")
    private String rpjmnBidangCode;
    @Size(max = 100)
    @Column(name = "RPJMN_BIDANG_NAME")
    private String rpjmnBidangName;

    public RrpjmnBidang() {
    }

    public RrpjmnBidang(Integer rrpjmnBidangPk) {
        this.rrpjmnBidangPk = rrpjmnBidangPk;
    }

    public Integer getRrpjmnBidangPk() {
        return rrpjmnBidangPk;
    }

    public void setRrpjmnBidangPk(Integer rrpjmnBidangPk) {
        this.rrpjmnBidangPk = rrpjmnBidangPk;
    }

    public String getRpjmnBidangCode() {
        return rpjmnBidangCode;
    }

    public void setRpjmnBidangCode(String rpjmnBidangCode) {
        this.rpjmnBidangCode = rpjmnBidangCode;
    }

    public String getRpjmnBidangName() {
        return rpjmnBidangName;
    }

    public void setRpjmnBidangName(String rpjmnBidangName) {
        this.rpjmnBidangName = rpjmnBidangName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrpjmnBidangPk != null ? rrpjmnBidangPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrpjmnBidang)) {
            return false;
        }
        RrpjmnBidang other = (RrpjmnBidang) object;
        if ((this.rrpjmnBidangPk == null && other.rrpjmnBidangPk != null) || (this.rrpjmnBidangPk != null && !this.rrpjmnBidangPk.equals(other.rrpjmnBidangPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrpjmnBidang[ rrpjmnBidangPk=" + rrpjmnBidangPk + " ]";
    }
    
}
