/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRPJMN_KEGIATAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrpjmnKegiatan.findAll", query = "SELECT r FROM RrpjmnKegiatan r"),
    @NamedQuery(name = "RrpjmnKegiatan.findByRrpjmnKegiatanPk", query = "SELECT r FROM RrpjmnKegiatan r WHERE r.rrpjmnKegiatanPk = :rrpjmnKegiatanPk"),
    @NamedQuery(name = "RrpjmnKegiatan.findByRrpjmnPrioritasFk", query = "SELECT r FROM RrpjmnKegiatan r WHERE r.rrpjmnPrioritasFk = :rrpjmnPrioritasFk"),
    @NamedQuery(name = "RrpjmnKegiatan.findByRpjmnKegiatanCode", query = "SELECT r FROM RrpjmnKegiatan r WHERE r.rpjmnKegiatanCode = :rpjmnKegiatanCode"),
    @NamedQuery(name = "RrpjmnKegiatan.findByRpjmnKegiatanName", query = "SELECT r FROM RrpjmnKegiatan r WHERE r.rpjmnKegiatanName = :rpjmnKegiatanName"),
    @NamedQuery(name = "RrpjmnKegiatan.findByRdepartemenFk", query = "SELECT r FROM RrpjmnKegiatan r WHERE r.rdepartemenFk = :rdepartemenFk")})
public class RrpjmnKegiatan implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRPJMN_KEGIATAN_PK")
    private Integer rrpjmnKegiatanPk;
    @Column(name = "RRPJMN_PRIORITAS_FK")
    private Integer rrpjmnPrioritasFk;
    @Size(max = 30)
    @Column(name = "RPJMN_KEGIATAN_CODE")
    private String rpjmnKegiatanCode;
    @Size(max = 250)
    @Column(name = "RPJMN_KEGIATAN_NAME")
    private String rpjmnKegiatanName;
    @Column(name = "RDEPARTEMEN_FK")
    private Integer rdepartemenFk;

    public RrpjmnKegiatan() {
    }

    public RrpjmnKegiatan(Integer rrpjmnKegiatanPk) {
        this.rrpjmnKegiatanPk = rrpjmnKegiatanPk;
    }

    public Integer getRrpjmnKegiatanPk() {
        return rrpjmnKegiatanPk;
    }

    public void setRrpjmnKegiatanPk(Integer rrpjmnKegiatanPk) {
        this.rrpjmnKegiatanPk = rrpjmnKegiatanPk;
    }

    public Integer getRrpjmnPrioritasFk() {
        return rrpjmnPrioritasFk;
    }

    public void setRrpjmnPrioritasFk(Integer rrpjmnPrioritasFk) {
        this.rrpjmnPrioritasFk = rrpjmnPrioritasFk;
    }

    public String getRpjmnKegiatanCode() {
        return rpjmnKegiatanCode;
    }

    public void setRpjmnKegiatanCode(String rpjmnKegiatanCode) {
        this.rpjmnKegiatanCode = rpjmnKegiatanCode;
    }

    public String getRpjmnKegiatanName() {
        return rpjmnKegiatanName;
    }

    public void setRpjmnKegiatanName(String rpjmnKegiatanName) {
        this.rpjmnKegiatanName = rpjmnKegiatanName;
    }

    public Integer getRdepartemenFk() {
        return rdepartemenFk;
    }

    public void setRdepartemenFk(Integer rdepartemenFk) {
        this.rdepartemenFk = rdepartemenFk;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrpjmnKegiatanPk != null ? rrpjmnKegiatanPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrpjmnKegiatan)) {
            return false;
        }
        RrpjmnKegiatan other = (RrpjmnKegiatan) object;
        if ((this.rrpjmnKegiatanPk == null && other.rrpjmnKegiatanPk != null) || (this.rrpjmnKegiatanPk != null && !this.rrpjmnKegiatanPk.equals(other.rrpjmnKegiatanPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrpjmnKegiatan[ rrpjmnKegiatanPk=" + rrpjmnKegiatanPk + " ]";
    }
    
}
