/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "RRPJMN_PRIORITAS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "RrpjmnPrioritas.findAll", query = "SELECT r FROM RrpjmnPrioritas r"),
    @NamedQuery(name = "RrpjmnPrioritas.findByRrpjmnPrioritasPk", query = "SELECT r FROM RrpjmnPrioritas r WHERE r.rrpjmnPrioritasPk = :rrpjmnPrioritasPk"),
    @NamedQuery(name = "RrpjmnPrioritas.findByRrpjmnFk", query = "SELECT r FROM RrpjmnPrioritas r WHERE r.rrpjmnFk = :rrpjmnFk"),
    @NamedQuery(name = "RrpjmnPrioritas.findByRpjmnPrioritasCode", query = "SELECT r FROM RrpjmnPrioritas r WHERE r.rpjmnPrioritasCode = :rpjmnPrioritasCode"),
    @NamedQuery(name = "RrpjmnPrioritas.findByRpjmnPrioritasName", query = "SELECT r FROM RrpjmnPrioritas r WHERE r.rpjmnPrioritasName = :rpjmnPrioritasName")})
public class RrpjmnPrioritas implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "RRPJMN_PRIORITAS_PK")
    private Integer rrpjmnPrioritasPk;
    @Column(name = "RRPJMN_FK")
    private Integer rrpjmnFk;
    @Size(max = 30)
    @Column(name = "RPJMN_PRIORITAS_CODE")
    private String rpjmnPrioritasCode;
    @Size(max = 250)
    @Column(name = "RPJMN_PRIORITAS_NAME")
    private String rpjmnPrioritasName;

    public RrpjmnPrioritas() {
    }

    public RrpjmnPrioritas(Integer rrpjmnPrioritasPk) {
        this.rrpjmnPrioritasPk = rrpjmnPrioritasPk;
    }

    public Integer getRrpjmnPrioritasPk() {
        return rrpjmnPrioritasPk;
    }

    public void setRrpjmnPrioritasPk(Integer rrpjmnPrioritasPk) {
        this.rrpjmnPrioritasPk = rrpjmnPrioritasPk;
    }

    public Integer getRrpjmnFk() {
        return rrpjmnFk;
    }

    public void setRrpjmnFk(Integer rrpjmnFk) {
        this.rrpjmnFk = rrpjmnFk;
    }

    public String getRpjmnPrioritasCode() {
        return rpjmnPrioritasCode;
    }

    public void setRpjmnPrioritasCode(String rpjmnPrioritasCode) {
        this.rpjmnPrioritasCode = rpjmnPrioritasCode;
    }

    public String getRpjmnPrioritasName() {
        return rpjmnPrioritasName;
    }

    public void setRpjmnPrioritasName(String rpjmnPrioritasName) {
        this.rpjmnPrioritasName = rpjmnPrioritasName;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (rrpjmnPrioritasPk != null ? rrpjmnPrioritasPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof RrpjmnPrioritas)) {
            return false;
        }
        RrpjmnPrioritas other = (RrpjmnPrioritas) object;
        if ((this.rrpjmnPrioritasPk == null && other.rrpjmnPrioritasPk != null) || (this.rrpjmnPrioritasPk != null && !this.rrpjmnPrioritasPk.equals(other.rrpjmnPrioritasPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.RrpjmnPrioritas[ rrpjmnPrioritasPk=" + rrpjmnPrioritasPk + " ]";
    }
    
}
