/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TURKT_ANGGARAN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TurktAnggaran.findAll", query = "SELECT t FROM TurktAnggaran t"),
    @NamedQuery(name = "TurktAnggaran.findByTurktAnggaranPk", query = "SELECT t FROM TurktAnggaran t WHERE t.turktAnggaranPk = :turktAnggaranPk"),
    @NamedQuery(name = "TurktAnggaran.findByTpaguDipaFk", query = "SELECT t FROM TurktAnggaran t WHERE t.tpaguDipaFk = :tpaguDipaFk"),
    @NamedQuery(name = "TurktAnggaran.findByTurktPenugasanFk", query = "SELECT t FROM TurktAnggaran t WHERE t.turktPenugasanFk = :turktPenugasanFk"),
    @NamedQuery(name = "TurktAnggaran.findByAnggaran", query = "SELECT t FROM TurktAnggaran t WHERE t.anggaran = :anggaran")})
public class TurktAnggaran implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TURKT_ANGGARAN_PK")
    private Integer turktAnggaranPk;
    @Column(name = "TPAGU_DIPA_FK")
    private Integer tpaguDipaFk;
    @Column(name = "TURKT_PENUGASAN_FK")
    private Integer turktPenugasanFk;
    @Column(name = "ANGGARAN")
    private Long anggaran;

    public TurktAnggaran() {
    }

    public TurktAnggaran(Integer turktAnggaranPk) {
        this.turktAnggaranPk = turktAnggaranPk;
    }

    public Integer getTurktAnggaranPk() {
        return turktAnggaranPk;
    }

    public void setTurktAnggaranPk(Integer turktAnggaranPk) {
        this.turktAnggaranPk = turktAnggaranPk;
    }

    public Integer getTpaguDipaFk() {
        return tpaguDipaFk;
    }

    public void setTpaguDipaFk(Integer tpaguDipaFk) {
        this.tpaguDipaFk = tpaguDipaFk;
    }

    public Integer getTurktPenugasanFk() {
        return turktPenugasanFk;
    }

    public void setTurktPenugasanFk(Integer turktPenugasanFk) {
        this.turktPenugasanFk = turktPenugasanFk;
    }

    public Long getAnggaran() {
        return anggaran;
    }

    public void setAnggaran(Long anggaran) {
        this.anggaran = anggaran;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (turktAnggaranPk != null ? turktAnggaranPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TurktAnggaran)) {
            return false;
        }
        TurktAnggaran other = (TurktAnggaran) object;
        if ((this.turktAnggaranPk == null && other.turktAnggaranPk != null) || (this.turktAnggaranPk != null && !this.turktAnggaranPk.equals(other.turktAnggaranPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.TurktAnggaran[ turktAnggaranPk=" + turktAnggaranPk + " ]";
    }
    
}
