/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TURKT_ANGGARAN_TEMP")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TurktAnggaranTemp.findAll", query = "SELECT t FROM TurktAnggaranTemp t"),
    @NamedQuery(name = "TurktAnggaranTemp.findByTurktAnggaranTempPk", query = "SELECT t FROM TurktAnggaranTemp t WHERE t.turktAnggaranTempPk = :turktAnggaranTempPk"),
    @NamedQuery(name = "TurktAnggaranTemp.findByTurktAnggaranFk", query = "SELECT t FROM TurktAnggaranTemp t WHERE t.turktAnggaranFk = :turktAnggaranFk"),
    @NamedQuery(name = "TurktAnggaranTemp.findByTpaguDipaFk", query = "SELECT t FROM TurktAnggaranTemp t WHERE t.tpaguDipaFk = :tpaguDipaFk"),
    @NamedQuery(name = "TurktAnggaranTemp.findByTurktPenugasanFk", query = "SELECT t FROM TurktAnggaranTemp t WHERE t.turktPenugasanFk = :turktPenugasanFk"),
    @NamedQuery(name = "TurktAnggaranTemp.findByRdipaUnitFk", query = "SELECT t FROM TurktAnggaranTemp t WHERE t.rdipaUnitFk = :rdipaUnitFk"),
    @NamedQuery(name = "TurktAnggaranTemp.findByRdipaProgramFk", query = "SELECT t FROM TurktAnggaranTemp t WHERE t.rdipaProgramFk = :rdipaProgramFk"),
    @NamedQuery(name = "TurktAnggaranTemp.findByRdipaKegiatanFk", query = "SELECT t FROM TurktAnggaranTemp t WHERE t.rdipaKegiatanFk = :rdipaKegiatanFk"),
    @NamedQuery(name = "TurktAnggaranTemp.findByRdipaOpFk", query = "SELECT t FROM TurktAnggaranTemp t WHERE t.rdipaOpFk = :rdipaOpFk"),
    @NamedQuery(name = "TurktAnggaranTemp.findByRdipaMakFk", query = "SELECT t FROM TurktAnggaranTemp t WHERE t.rdipaMakFk = :rdipaMakFk"),
    @NamedQuery(name = "TurktAnggaranTemp.findByAnggaran", query = "SELECT t FROM TurktAnggaranTemp t WHERE t.anggaran = :anggaran")})
public class TurktAnggaranTemp implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TURKT_ANGGARAN_TEMP_PK")
    private Integer turktAnggaranTempPk;
    @Column(name = "TURKT_ANGGARAN_FK")
    private Integer turktAnggaranFk;
    @Column(name = "TPAGU_DIPA_FK")
    private Integer tpaguDipaFk;
    @Column(name = "TURKT_PENUGASAN_FK")
    private Integer turktPenugasanFk;
    @Column(name = "RDIPA_UNIT_FK")
    private Integer rdipaUnitFk;
    @Column(name = "RDIPA_PROGRAM_FK")
    private Integer rdipaProgramFk;
    @Column(name = "RDIPA_KEGIATAN_FK")
    private Integer rdipaKegiatanFk;
    @Column(name = "RDIPA_OP_FK")
    private Integer rdipaOpFk;
    @Column(name = "RDIPA_MAK_FK")
    private Integer rdipaMakFk;
    @Column(name = "ANGGARAN")
    private Long anggaran;

    public TurktAnggaranTemp() {
    }

    public TurktAnggaranTemp(Integer turktAnggaranTempPk) {
        this.turktAnggaranTempPk = turktAnggaranTempPk;
    }

    public Integer getTurktAnggaranTempPk() {
        return turktAnggaranTempPk;
    }

    public void setTurktAnggaranTempPk(Integer turktAnggaranTempPk) {
        this.turktAnggaranTempPk = turktAnggaranTempPk;
    }

    public Integer getTurktAnggaranFk() {
        return turktAnggaranFk;
    }

    public void setTurktAnggaranFk(Integer turktAnggaranFk) {
        this.turktAnggaranFk = turktAnggaranFk;
    }

    public Integer getTpaguDipaFk() {
        return tpaguDipaFk;
    }

    public void setTpaguDipaFk(Integer tpaguDipaFk) {
        this.tpaguDipaFk = tpaguDipaFk;
    }

    public Integer getTurktPenugasanFk() {
        return turktPenugasanFk;
    }

    public void setTurktPenugasanFk(Integer turktPenugasanFk) {
        this.turktPenugasanFk = turktPenugasanFk;
    }

    public Integer getRdipaUnitFk() {
        return rdipaUnitFk;
    }

    public void setRdipaUnitFk(Integer rdipaUnitFk) {
        this.rdipaUnitFk = rdipaUnitFk;
    }

    public Integer getRdipaProgramFk() {
        return rdipaProgramFk;
    }

    public void setRdipaProgramFk(Integer rdipaProgramFk) {
        this.rdipaProgramFk = rdipaProgramFk;
    }

    public Integer getRdipaKegiatanFk() {
        return rdipaKegiatanFk;
    }

    public void setRdipaKegiatanFk(Integer rdipaKegiatanFk) {
        this.rdipaKegiatanFk = rdipaKegiatanFk;
    }

    public Integer getRdipaOpFk() {
        return rdipaOpFk;
    }

    public void setRdipaOpFk(Integer rdipaOpFk) {
        this.rdipaOpFk = rdipaOpFk;
    }

    public Integer getRdipaMakFk() {
        return rdipaMakFk;
    }

    public void setRdipaMakFk(Integer rdipaMakFk) {
        this.rdipaMakFk = rdipaMakFk;
    }

    public Long getAnggaran() {
        return anggaran;
    }

    public void setAnggaran(Long anggaran) {
        this.anggaran = anggaran;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (turktAnggaranTempPk != null ? turktAnggaranTempPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TurktAnggaranTemp)) {
            return false;
        }
        TurktAnggaranTemp other = (TurktAnggaranTemp) object;
        if ((this.turktAnggaranTempPk == null && other.turktAnggaranTempPk != null) || (this.turktAnggaranTempPk != null && !this.turktAnggaranTempPk.equals(other.turktAnggaranTempPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.TurktAnggaranTemp[ turktAnggaranTempPk=" + turktAnggaranTempPk + " ]";
    }
    
}
