/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TURKT_PELAKSANA")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TurktPelaksana.findAll", query = "SELECT t FROM TurktPelaksana t"),
    @NamedQuery(name = "TurktPelaksana.findByTurktPelaksanaPk", query = "SELECT t FROM TurktPelaksana t WHERE t.turktPelaksanaPk = :turktPelaksanaPk"),
    @NamedQuery(name = "TurktPelaksana.findByRunitFk", query = "SELECT t FROM TurktPelaksana t WHERE t.runitFk = :runitFk"),
    @NamedQuery(name = "TurktPelaksana.findByTurktFk", query = "SELECT t FROM TurktPelaksana t WHERE t.turktFk = :turktFk"),
    @NamedQuery(name = "TurktPelaksana.findByJmlPp", query = "SELECT t FROM TurktPelaksana t WHERE t.jmlPp = :jmlPp"),
    @NamedQuery(name = "TurktPelaksana.findByJmlPpGen", query = "SELECT t FROM TurktPelaksana t WHERE t.jmlPpGen = :jmlPpGen"),
    @NamedQuery(name = "TurktPelaksana.findByTurktPelaksanaState", query = "SELECT t FROM TurktPelaksana t WHERE t.turktPelaksanaState = :turktPelaksanaState")})
public class TurktPelaksana implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TURKT_PELAKSANA_PK")
    private Integer turktPelaksanaPk;
    @Column(name = "RUNIT_FK")
    private Integer runitFk;
    @Column(name = "TURKT_FK")
    private Integer turktFk;
    @Column(name = "JML_PP")
    private Integer jmlPp;
    @Column(name = "JML_PP_GEN")
    private Integer jmlPpGen;
    @Column(name = "TURKT_PELAKSANA_STATE")
    private Integer turktPelaksanaState;

    public TurktPelaksana() {
    }

    public TurktPelaksana(Integer turktPelaksanaPk) {
        this.turktPelaksanaPk = turktPelaksanaPk;
    }

    public Integer getTurktPelaksanaPk() {
        return turktPelaksanaPk;
    }

    public void setTurktPelaksanaPk(Integer turktPelaksanaPk) {
        this.turktPelaksanaPk = turktPelaksanaPk;
    }

    public Integer getRunitFk() {
        return runitFk;
    }

    public void setRunitFk(Integer runitFk) {
        this.runitFk = runitFk;
    }

    public Integer getTurktFk() {
        return turktFk;
    }

    public void setTurktFk(Integer turktFk) {
        this.turktFk = turktFk;
    }

    public Integer getJmlPp() {
        return jmlPp;
    }

    public void setJmlPp(Integer jmlPp) {
        this.jmlPp = jmlPp;
    }

    public Integer getJmlPpGen() {
        return jmlPpGen;
    }

    public void setJmlPpGen(Integer jmlPpGen) {
        this.jmlPpGen = jmlPpGen;
    }

    public Integer getTurktPelaksanaState() {
        return turktPelaksanaState;
    }

    public void setTurktPelaksanaState(Integer turktPelaksanaState) {
        this.turktPelaksanaState = turktPelaksanaState;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (turktPelaksanaPk != null ? turktPelaksanaPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TurktPelaksana)) {
            return false;
        }
        TurktPelaksana other = (TurktPelaksana) object;
        if ((this.turktPelaksanaPk == null && other.turktPelaksanaPk != null) || (this.turktPelaksanaPk != null && !this.turktPelaksanaPk.equals(other.turktPelaksanaPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.TurktPelaksana[ turktPelaksanaPk=" + turktPelaksanaPk + " ]";
    }
    
}
