/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package id.go.bpkp.ski.entity;

import java.io.Serializable;
import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author phai
 */
@Entity
@Table(name = "TURKT_SDPBLN")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "TurktSdpbln.findAll", query = "SELECT t FROM TurktSdpbln t"),
    @NamedQuery(name = "TurktSdpbln.findByTurktSdpblnPk", query = "SELECT t FROM TurktSdpbln t WHERE t.turktSdpblnPk = :turktSdpblnPk"),
    @NamedQuery(name = "TurktSdpbln.findByTurktPenugasanFk", query = "SELECT t FROM TurktSdpbln t WHERE t.turktPenugasanFk = :turktPenugasanFk"),
    @NamedQuery(name = "TurktSdpbln.findByBulan", query = "SELECT t FROM TurktSdpbln t WHERE t.bulan = :bulan"),
    @NamedQuery(name = "TurktSdpbln.findByHpPm", query = "SELECT t FROM TurktSdpbln t WHERE t.hpPm = :hpPm"),
    @NamedQuery(name = "TurktSdpbln.findByHpPt", query = "SELECT t FROM TurktSdpbln t WHERE t.hpPt = :hpPt"),
    @NamedQuery(name = "TurktSdpbln.findByHpKt", query = "SELECT t FROM TurktSdpbln t WHERE t.hpKt = :hpKt"),
    @NamedQuery(name = "TurktSdpbln.findByHpAt", query = "SELECT t FROM TurktSdpbln t WHERE t.hpAt = :hpAt"),
    @NamedQuery(name = "TurktSdpbln.findByOhS", query = "SELECT t FROM TurktSdpbln t WHERE t.ohS = :ohS"),
    @NamedQuery(name = "TurktSdpbln.findByOhF", query = "SELECT t FROM TurktSdpbln t WHERE t.ohF = :ohF"),
    @NamedQuery(name = "TurktSdpbln.findByAnggaran", query = "SELECT t FROM TurktSdpbln t WHERE t.anggaran = :anggaran")})
public class TurktSdpbln implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "TURKT_SDPBLN_PK")
    private Integer turktSdpblnPk;
    @Column(name = "TURKT_PENUGASAN_FK")
    private Integer turktPenugasanFk;
    @Column(name = "BULAN")
    private Integer bulan;
    @Column(name = "HP_PM")
    private Integer hpPm;
    @Column(name = "HP_PT")
    private Integer hpPt;
    @Column(name = "HP_KT")
    private Integer hpKt;
    @Column(name = "HP_AT")
    private Integer hpAt;
    @Column(name = "OH_S")
    private Integer ohS;
    @Column(name = "OH_F")
    private Integer ohF;
    @Column(name = "ANGGARAN")
    private Long anggaran;

    public TurktSdpbln() {
    }

    public TurktSdpbln(Integer turktSdpblnPk) {
        this.turktSdpblnPk = turktSdpblnPk;
    }

    public Integer getTurktSdpblnPk() {
        return turktSdpblnPk;
    }

    public void setTurktSdpblnPk(Integer turktSdpblnPk) {
        this.turktSdpblnPk = turktSdpblnPk;
    }

    public Integer getTurktPenugasanFk() {
        return turktPenugasanFk;
    }

    public void setTurktPenugasanFk(Integer turktPenugasanFk) {
        this.turktPenugasanFk = turktPenugasanFk;
    }

    public Integer getBulan() {
        return bulan;
    }

    public void setBulan(Integer bulan) {
        this.bulan = bulan;
    }

    public Integer getHpPm() {
        return hpPm;
    }

    public void setHpPm(Integer hpPm) {
        this.hpPm = hpPm;
    }

    public Integer getHpPt() {
        return hpPt;
    }

    public void setHpPt(Integer hpPt) {
        this.hpPt = hpPt;
    }

    public Integer getHpKt() {
        return hpKt;
    }

    public void setHpKt(Integer hpKt) {
        this.hpKt = hpKt;
    }

    public Integer getHpAt() {
        return hpAt;
    }

    public void setHpAt(Integer hpAt) {
        this.hpAt = hpAt;
    }

    public Integer getOhS() {
        return ohS;
    }

    public void setOhS(Integer ohS) {
        this.ohS = ohS;
    }

    public Integer getOhF() {
        return ohF;
    }

    public void setOhF(Integer ohF) {
        this.ohF = ohF;
    }

    public Long getAnggaran() {
        return anggaran;
    }

    public void setAnggaran(Long anggaran) {
        this.anggaran = anggaran;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (turktSdpblnPk != null ? turktSdpblnPk.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TurktSdpbln)) {
            return false;
        }
        TurktSdpbln other = (TurktSdpbln) object;
        if ((this.turktSdpblnPk == null && other.turktSdpblnPk != null) || (this.turktSdpblnPk != null && !this.turktSdpblnPk.equals(other.turktSdpblnPk))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "id.go.bpkp.ski.entity.TurktSdpbln[ turktSdpblnPk=" + turktSdpblnPk + " ]";
    }
    
}
